
#include <stdio.h>
//#include <io.h>
//#include <conio.h>
#include <stdlib.h>
#include <string.h>

#pragma pack(1)

#define	BYTE	unsigned char
#define	WORD	unsigned short
#define	DWORD	unsigned int

extern BYTE byCoCoFont[256][12];
extern BYTE byCoCo3Font[128][8];

struct GLYPHENTRY {
	WORD	wWidth;		// Width of character in pixels
	DWORD	dwAddress;	// Address of character info
	} GlyphEntry;

struct FONTINFO {
	WORD	dfVersion;			// Specifies the version (0x0200 or 0x0300) of the file. 
	DWORD	dfSize;				// Specifies the total size of the file, in bytes. 
	char	dfCopyright[60];	// Specifies copyright information. 
	WORD	dfType;				// Specifies the type of font file.
	WORD	dfPoints;			// Specifies the nominal point size (that is, the number identifying the point size) at which
								//		this character set looks best. 
	WORD	dfVertRes;			// Specifies the nominal vertical resolution (that is, the number identifying the vertical
								//		resolution), in dots per inch, at which this character set was digitized. 
	WORD	dfHorizRes;			// Specifies the nominal horizontal resolution (that is, the number identifying the
								//		horizontal resolution), in dots per inch, at which this character set was digitized. 
	WORD	dfAscent;			// Specifies the distance from the top of a character-definition cell to the base line of the
								//		typographical font. The dfAscent member is useful for aligning the base lines of
								//		fonts with different heights. 
	WORD	dfInternalLeading;	// Specifies the amount of leading inside the bounds set by the dfPixHeight member. Accent
								//		marks can occur in this area. The designer can set the value to zero. 
	WORD	dfExternalLeading;	// Specifies the amount of extra leading that the designer requests the application to add
								//		between rows. Since this area is outside the font proper, it contains no marks and is
								//		not altered by text-output calls in either opaque or transparent mode. The designer
								//		can set	the value to zero. 
	BYTE	dfItalic;			// Specifies whether the character-definition data represents an italic font. If the flag is
								//		set, the low-order bit is 1. All other bits are zero. 
	BYTE	dfUnderline;		// Specifies whether the character-definition data represents an underlined font. If the flag
								//		is set, the low-order bit is 1. All other bits are zero. 
	BYTE	dfStrikeOut;		// Specifies whether the character-definition data represents a strikeout font. If the flag
								//		is set, the low-order bit is 1. All other bits are zero. 
	WORD	dfWeight;			// Specifies the weight of the characters in the character-definition data, on a scale of 1
								//		through 1000. A dfWeight value of 400 specifies a regular weight. 
	BYTE	dfCharSet;			// Specifies the character set defined by this font. 
	WORD	dfPixWidth;			// Specifies the width of the grid on which a vector font was digitized. For raster fonts,
								//		if the dfPixWidth member is nonzero, it represents the width for all the characters
								//		in the bitmap. If the member is zero, the font has variable-width characters whose
								//		widths are specified in the array for the dfCharTable member. 
	WORD	dfPixHeight;		// Specifies the height of the character bitmap for raster fonts or the height of the grid on
								//		which a vector font was digitized. 
	BYTE	dfPitchAndFamily;	// Specifies the pitch and font family. If the font is variable pitch, the low bit is set.
								//		The four high bits give the family name of the font. Font families describe the
								//		general look of a font. They identify fonts when the exact name is not available.
								//		The font families are described as follows: 
								//			Family			Description
								//			FF_DONTCARE		Unknown. 
								//			FF_ROMAN		Proportionally spaced fonts with serifs. 
								//			FF_SWISS		Proportionally spaced fonts without serifs. 
								//			FF_MODERN		Fixed-pitch fonts. 
								//			FF_SCRIPT		Cursive or script fonts. (Both are designed to look similar to handwriting. Script fonts have joined letters; cursive fonts do not.) 
								//			FF_DECORATIVE	Novelty fonts. 
	WORD	dfAvgWidth;			// Specifies the width of characters in the font. For fixed-pitch fonts, this value is the
								//		same as the value for the dfPixWidth member. For variable-pitch fonts, it is the
								//		width of the character "X". 
	WORD	dfMaxWidth;			// Specifies the maximum pixel width of any character in the font. For fixed-pitch fonts,
								//		this value is the same as the value of the dfPixWidth member. 
	BYTE	dfFirstChar;		// Specifies the first character code defined by the font. Character definitions are stored
								//		only for the characters actually present in the font. Use this member, therefore,
								//		when calculating indexes for either the dfBits or dfCharOffset member. 
	BYTE	dfLastChar;			// Specifies the last character code defined by the font. All characters with codes between
								//		the values for the dfFirstChar and dfLastChar members must be present in the
								//		character definitions for the font. 
	BYTE	dfDefaultChar;		// Specifies the character to substitute whenever a string contains a character that is out
								//		of range. The character is given relative to the dfFirstChar member so that the
								//		dfDefaultChar member is the actual value of the character less the value of the
								//		dfFirstChar member. The dfDefaultChar member indicates a special character that is
								//		not a space. 
	WORD	dfBreakChar;		// Specifies the character that defines word breaks for word wrapping and word-spacing
								//		justification. The character is given relative to the dfFirstChar member so that the
								//		dfBreakChar member is the actual value of the character less that of the dfFirstChar
								//		member. The dfBreakChar member is normally 32 minus the value of the dfFirstChar
								//		member (the ASCII space character). 
	BYTE	dfWidthBytes;		// Specifies the number of bytes in each row of the bitmap. This value is always even so that
								//		the rows start on word boundaries. For vector fonts, this member has no meaning. 
	DWORD	dfDevice;			// Specifies the offset in the file to the string giving the device name. For a generic font,
								//		this value is zero. 
	DWORD	dfFace;				// Specifies the offset in the file to the null-terminated string that names the face. 
	DWORD	dfBitsPointer;		// Specifies the absolute machine address of the bitmap. This is set by GDI at load time.
								//		The value of the dfBitsPointer member is guaranteed to be even. 
	DWORD	dfBitsOffset;		// Specifies the offset in the file to the beginning of the bitmap information. If the third
								//		bit in the dfType member is set, the dfBitsOffset member is an absolute address of
								//		the bitmap (probably in read-only memory). 
								//		For raster fonts, the dfBitsOffset member points to a sequence of bytes that make up
								//		the bitmap of the font. The height of the bitmap is the height of the font, and its
								//		width is the sum of the widths of the characters in the font, rounded up to the next
								//		word boundary. 
								//		For vector fonts, the dfBitsOffset member points to a string of bytes or words
								//		(depending on the size of the grid on which the font was digitized) that specify the
								//		strokes for each character of the font. The value of the dfBitsOffset member must be
								//		even. 
	BYTE	dfReserved;			// Not used. 
	WORD	dfFlags;			// Specifies the bit flags that define the format of the glyph bitmap, as follows: 
								//		DFF_FIXED			0x0001 
								//		DFF_PROPORTIONAL	0x0002 
								//		DFF_ABCFIXED		0x0004 
								//		DFF_ABCPROPORTIONAL	0x0008 
								//		DFF_1COLOR			0x0010 
								//		DFF_16COLOR			0x0020 
								//		DFF_256COLOR		0x0040 
								//		DFF_RGBCOLOR		0x0080 
	WORD	dfAspace;			// Specifies the global A space, if any. The value of the dfAspace member is the distance
								//		from the current position to the left edge of the bitmap. 
	WORD	dfBspace;			// Specifies the global B space, if any. The value of the dfBspace member is the width of the
								//		character. 
	WORD	dfCspace;			// Specifies the global C space, if any. The value of the dfCspace member is the distance
								//		from the right edge of the bitmap to the new current position. The increment of a
								//		character is the sum of the A, B, and C spaces. These spaces apply to all glyphs,
								//		including DFF_ABCFIXED. 
	DWORD	dfColorPointer;		// Specifies the offset to the color table for color fonts, if any. The format of the bits is
								//		like a device-independent bitmap (DIB), but without the header. (That is, the
								//		characters are not split into disjoint bytes; instead, they are left intact.) If no
								//		color table is needed, this entry is NULL. 
	BYTE	dfReserved1[18];	// Not used. 
	//GLYPHENTRY	dfCharTable[x];		// Specifies an array of entries for raster, fixed-pitch vector, and proportionally spaced
								// vector fonts.
} WinFontInfo;

void main(int argc, char *argv[])
{
	const int iChars=256;
	//WORD wBytes=12;		// Bytes per char (pixel data only)
	WORD wBytes=8;		// Bytes per char (pixel data only)
	//WORD wHeight=12;	// Height in pixels
	WORD wHeight=8;		// Height in pixels
	WORD wWidth=8;		// Width in pixels

	char szFaceName[32];
	//strcpy(szFaceName,"CoCoSG6");
	strcpy(szFaceName,"CoCo3");
	
	memset(&WinFontInfo,0,sizeof(WinFontInfo));
	WinFontInfo.dfVersion=0x0300;
	strcpy(WinFontInfo.dfCopyright,"(C) 1998 Kevin Timmerman\0");
	WinFontInfo.dfPoints=10;
	WinFontInfo.dfVertRes=19;
	WinFontInfo.dfHorizRes=47;
	WinFontInfo.dfWeight=500;
	WinFontInfo.dfCharSet=2;	// 0=ANSI 2=SYMBOL 255=OEM
	WinFontInfo.dfPitchAndFamily=48;
	WinFontInfo.dfFirstChar=0;
	WinFontInfo.dfLastChar=iChars-1;
	WinFontInfo.dfDefaultChar=96;
	WinFontInfo.dfFlags=1;
	
	WinFontInfo.dfSize=sizeof(WinFontInfo)+(sizeof(GLYPHENTRY)+wBytes)*iChars+strlen(szFaceName)+1; //3741;
	WinFontInfo.dfAscent=(WORD)wHeight*9/10;
	WinFontInfo.dfPixWidth=wWidth;
	WinFontInfo.dfPixHeight=wHeight;
	WinFontInfo.dfAvgWidth=wWidth;
	WinFontInfo.dfMaxWidth=wWidth;
	WinFontInfo.dfWidthBytes=wBytes/wHeight; //(wWidth-1)/8+1;
	WinFontInfo.dfFace=sizeof(WinFontInfo)+(sizeof(GLYPHENTRY)+wBytes)*iChars;
	WinFontInfo.dfBitsOffset=sizeof(WinFontInfo)+sizeof(GLYPHENTRY)*iChars;

	printf("Version: 0x%04X\n",(int)WinFontInfo.dfVersion);
	printf("Size: %li\n",(long int)WinFontInfo.dfSize);
	printf("Copyright: %s\n",WinFontInfo.dfCopyright);
	printf("Type: %i\n",(int)WinFontInfo.dfType);
	printf("Points: %i\n",(int)WinFontInfo.dfPoints);
	printf("Vertical Resolution: %i\n",(int)WinFontInfo.dfVertRes);
	printf("Horizontal Resolution: %i\n",(int)WinFontInfo.dfHorizRes);
	printf("Ascent: %i\n",(int)WinFontInfo.dfAscent);
	printf("Internal Leading: %i\n",(int)WinFontInfo.dfInternalLeading);
	printf("External Leading: %i\n",(int)WinFontInfo.dfExternalLeading);
	printf("Italic: %i\n",(int)WinFontInfo.dfItalic);
	printf("Underline: %i\n",(int)WinFontInfo.dfUnderline);
	printf("Strikeout: %i\n",(int)WinFontInfo.dfStrikeOut);
	printf("Weight: %i\n",(int)WinFontInfo.dfWeight);
	printf("Character Set: %i\n",(int)WinFontInfo.dfCharSet);
	printf("Pixel Width: %i\n",(int)WinFontInfo.dfPixWidth);
	printf("Pixel Height: %i\n",(int)WinFontInfo.dfPixHeight);
	printf("Pitch and Family: %i\n",(int)WinFontInfo.dfPitchAndFamily);
	printf("Average Width: %i\n",(int)WinFontInfo.dfAvgWidth);
	printf("Maximum Width: %i\n",(int)WinFontInfo.dfMaxWidth);
	printf("First Char: %i\n",(int)WinFontInfo.dfFirstChar);
	printf("Last Char: %i\n",(int)WinFontInfo.dfLastChar);
	printf("Default Char: %i\n",(int)WinFontInfo.dfDefaultChar);
	printf("Break Char: %i\n",(int)WinFontInfo.dfBreakChar);
	printf("Width Bytes: %i\n",(int)WinFontInfo.dfWidthBytes);
	printf("Bits Offset: %li\n",(long int)WinFontInfo.dfBitsOffset);
	printf("Flags: %i\n",(int)WinFontInfo.dfFlags);
	printf("A Space: %i\n",(int)WinFontInfo.dfAspace);
	printf("B Space: %i\n",(int)WinFontInfo.dfBspace);
	printf("C Space: %i\n",(int)WinFontInfo.dfCspace);
	
	
	char szWinFontFile[64]="d:\\source\\fonts\\M80\\";
	strcat(szWinFontFile,szFaceName);
	strcat(szWinFontFile,".fnt");
	FILE *WinFontFile=fopen(szWinFontFile,"wb");
	
	fwrite(&WinFontInfo,sizeof(WinFontInfo),1,WinFontFile);
	
	for(int i=0;i<iChars;i++) {
	    GlyphEntry.wWidth=WinFontInfo.dfPixWidth;
	    GlyphEntry.dwAddress=sizeof(WinFontInfo)+sizeof(GLYPHENTRY)*iChars+i*WinFontInfo.dfPixHeight*WinFontInfo.dfWidthBytes;
	    fwrite(&GlyphEntry,sizeof(GLYPHENTRY),1,WinFontFile);
	}
	
	for(i=0;i<128;i++) {
		for(int iLine=0;iLine<(int)wHeight;iLine++) {
			BYTE by;
			//by=byCoCoFont[i][iLine];
			by=byCoCo3Font[i][iLine];
			fwrite(&by,1,1,WinFontFile);
		}
	}
#if 0
	for(;i<iChars;i++) {
		for(int iLine=0;iLine<(int)wHeight;iLine++) {
			BYTE by=(BYTE)i;
			if(iLine<4) by>>=2;
			if(iLine<8) by>>=2;
			BYTE by2=0;
			if(by&0x01) by2|=0x0F;
			if(by&0x02) by2|=0xF0;
			fwrite(&by2,1,1,WinFontFile);
		}
	}
#else
	for(;i<iChars;i++) {
		for(int iLine=0;iLine<(int)wHeight;iLine++) {
			BYTE by;
			by=byCoCo3Font[i-128][iLine];
			fwrite(&by,1,1,WinFontFile);
		}
	}
#endif

	fwrite(szFaceName,strlen(szFaceName)+1,1,WinFontFile);
		
	fclose(WinFontFile);
}

BYTE byCoCoFont[256][12]={
	0x00,0x00,0x00,0x1C,0x22,0x02,0x12,0x2A,0x2A,0x1E,0x00,0x00,
	0x00,0x00,0x00,0x08,0x14,0x22,0x22,0x3E,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x3C,0x12,0x12,0x1C,0x12,0x12,0x3C,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x20,0x20,0x20,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x3C,0x12,0x12,0x12,0x12,0x12,0x3C,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x20,0x20,0x3C,0x20,0x20,0x3E,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x20,0x20,0x3C,0x20,0x20,0x20,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x20,0x2C,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x22,0x3E,0x22,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x08,0x08,0x08,0x08,0x08,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x22,0x24,0x28,0x30,0x28,0x24,0x22,0x00,0x00,
	0x00,0x00,0x00,0x20,0x20,0x20,0x20,0x20,0x20,0x3E,0x00,0x00,
	0x00,0x00,0x00,0x22,0x36,0x2A,0x2A,0x22,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x22,0x32,0x2A,0x26,0x22,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x3C,0x22,0x22,0x3C,0x20,0x20,0x20,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x2A,0x24,0x1A,0x00,0x00,
	0x00,0x00,0x00,0x3C,0x22,0x22,0x3C,0x28,0x24,0x22,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x10,0x08,0x04,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x22,0x22,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x22,0x14,0x14,0x08,0x08,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x22,0x2A,0x2A,0x36,0x22,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x14,0x08,0x14,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x14,0x08,0x08,0x08,0x08,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x02,0x04,0x08,0x10,0x20,0x3E,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x10,0x10,0x10,0x10,0x10,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x20,0x20,0x10,0x08,0x04,0x02,0x02,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x04,0x04,0x04,0x04,0x04,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x08,0x1C,0x2A,0x08,0x08,0x08,0x08,0x00,0x00,
	0x00,0x00,0x00,0x08,0x10,0x3E,0x10,0x08,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x08,0x08,0x08,0x08,0x08,0x00,0x08,0x00,0x00,
	0x00,0x00,0x00,0x14,0x14,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x14,0x14,0x36,0x00,0x36,0x14,0x14,0x00,0x00,
	0x00,0x00,0x00,0x08,0x1E,0x20,0x1C,0x02,0x3C,0x08,0x00,0x00,
	0x00,0x00,0x00,0x32,0x32,0x04,0x08,0x10,0x26,0x26,0x00,0x00,
	0x00,0x00,0x00,0x10,0x28,0x28,0x10,0x2A,0x24,0x1A,0x00,0x00,
	0x00,0x00,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x04,0x08,0x10,0x10,0x10,0x08,0x04,0x00,0x00,
	0x00,0x00,0x00,0x10,0x08,0x04,0x04,0x04,0x08,0x10,0x00,0x00,
	0x00,0x00,0x00,0x00,0x08,0x1C,0x3E,0x1C,0x08,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x08,0x08,0x3E,0x08,0x08,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x18,0x08,0x10,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x18,0x00,0x00,
	0x00,0x00,0x00,0x02,0x02,0x04,0x08,0x10,0x20,0x20,0x00,0x00,
	0x00,0x00,0x00,0x08,0x14,0x22,0x22,0x22,0x14,0x08,0x00,0x00,
	0x00,0x00,0x00,0x08,0x18,0x08,0x08,0x08,0x08,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x02,0x1E,0x20,0x20,0x3E,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x02,0x0C,0x02,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x04,0x0C,0x14,0x3E,0x04,0x04,0x04,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x20,0x3C,0x02,0x02,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x20,0x20,0x3C,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x02,0x04,0x08,0x10,0x20,0x20,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x22,0x1C,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x22,0x1C,0x02,0x02,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x00,0x18,0x18,0x00,0x18,0x18,0x00,0x00,0x00,
	0x00,0x00,0x00,0x18,0x18,0x00,0x18,0x18,0x08,0x10,0x00,0x00,
	0x00,0x00,0x00,0x04,0x08,0x10,0x20,0x10,0x08,0x04,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x3E,0x00,0x3E,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x20,0x10,0x08,0x04,0x08,0x10,0x20,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x02,0x04,0x08,0x00,0x08,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x02,0x12,0x2A,0x2A,0x1E,0x00,0x00,
	0x00,0x00,0x00,0x08,0x14,0x22,0x22,0x3E,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x3C,0x12,0x12,0x1C,0x12,0x12,0x3C,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x20,0x20,0x20,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x3C,0x12,0x12,0x12,0x12,0x12,0x3C,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x20,0x20,0x3C,0x20,0x20,0x3E,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x20,0x20,0x3C,0x20,0x20,0x20,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x20,0x2C,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x22,0x3E,0x22,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x08,0x08,0x08,0x08,0x08,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x22,0x24,0x28,0x30,0x28,0x24,0x22,0x00,0x00,
	0x00,0x00,0x00,0x20,0x20,0x20,0x20,0x20,0x20,0x3E,0x00,0x00,
	0x00,0x00,0x00,0x22,0x36,0x2A,0x2A,0x22,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x22,0x32,0x2A,0x26,0x22,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x3C,0x22,0x22,0x3C,0x20,0x20,0x20,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x22,0x22,0x2A,0x24,0x1A,0x00,0x00,
	0x00,0x00,0x00,0x3C,0x22,0x22,0x3C,0x28,0x24,0x22,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x10,0x08,0x04,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x22,0x22,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x22,0x14,0x14,0x08,0x08,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x22,0x2A,0x2A,0x36,0x22,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x14,0x08,0x14,0x22,0x22,0x00,0x00,
	0x00,0x00,0x00,0x22,0x22,0x14,0x08,0x08,0x08,0x08,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x02,0x04,0x08,0x10,0x20,0x3E,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x10,0x10,0x10,0x10,0x10,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x20,0x20,0x10,0x08,0x04,0x02,0x02,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x04,0x04,0x04,0x04,0x04,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x08,0x1C,0x2A,0x08,0x08,0x08,0x08,0x00,0x00,
	0x00,0x00,0x00,0x08,0x10,0x3E,0x10,0x08,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x08,0x08,0x08,0x08,0x08,0x00,0x08,0x00,0x00,
	0x00,0x00,0x00,0x14,0x14,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x14,0x14,0x36,0x00,0x36,0x14,0x14,0x00,0x00,
	0x00,0x00,0x00,0x08,0x1E,0x20,0x1C,0x02,0x3C,0x08,0x00,0x00,
	0x00,0x00,0x00,0x32,0x32,0x04,0x08,0x10,0x26,0x26,0x00,0x00,
	0x00,0x00,0x00,0x10,0x28,0x28,0x10,0x2A,0x24,0x1A,0x00,0x00,
	0x00,0x00,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x04,0x08,0x10,0x10,0x10,0x08,0x04,0x00,0x00,
	0x00,0x00,0x00,0x10,0x08,0x04,0x04,0x04,0x08,0x10,0x00,0x00,
	0x00,0x00,0x00,0x00,0x08,0x1C,0x3E,0x1C,0x08,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x08,0x08,0x3E,0x08,0x08,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x18,0x08,0x10,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x18,0x00,0x00,
	0x00,0x00,0x00,0x02,0x02,0x04,0x08,0x10,0x20,0x20,0x00,0x00,
	0x00,0x00,0x00,0x08,0x14,0x22,0x22,0x22,0x14,0x08,0x00,0x00,
	0x00,0x00,0x00,0x08,0x18,0x08,0x08,0x08,0x08,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x02,0x1E,0x20,0x20,0x3E,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x02,0x0C,0x02,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x04,0x0C,0x14,0x3E,0x04,0x04,0x04,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x20,0x3C,0x02,0x02,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x20,0x20,0x3C,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x3E,0x02,0x04,0x08,0x10,0x20,0x20,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x22,0x1C,0x22,0x22,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x22,0x1C,0x02,0x02,0x1C,0x00,0x00,
	0x00,0x00,0x00,0x00,0x18,0x18,0x00,0x18,0x18,0x00,0x00,0x00,
	0x00,0x00,0x00,0x18,0x18,0x00,0x18,0x18,0x08,0x10,0x00,0x00,
	0x00,0x00,0x00,0x04,0x08,0x10,0x20,0x10,0x08,0x04,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x3E,0x00,0x3E,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x20,0x10,0x08,0x04,0x08,0x10,0x20,0x00,0x00,
	0x00,0x00,0x00,0x1C,0x22,0x02,0x04,0x08,0x00,0x08,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x00,0x00,0x00,0x00,0x00,0x00,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x0F,0x0F,0x0F,0x0F,0x0F,0x0F,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,
	0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF
};

BYTE byCoCo3Font[128][8]={
	0x38,0x44,0x40,0x40,0x40,0x44,0x38,0x10,
	0x44,0x00,0x44,0x44,0x44,0x4C,0x34,0x00,
	0x08,0x10,0x38,0x44,0x7C,0x40,0x38,0x00,
	0x10,0x28,0x38,0x04,0x3C,0x44,0x3C,0x00,
	0x28,0x00,0x38,0x04,0x3C,0x44,0x3C,0x00,
	0x20,0x10,0x38,0x04,0x3C,0x44,0x3C,0x00,
	0x10,0x00,0x38,0x04,0x3C,0x44,0x3C,0x00,
	0x00,0x00,0x38,0x44,0x40,0x44,0x38,0x10,
	0x10,0x28,0x38,0x44,0x7C,0x40,0x38,0x00,
	0x28,0x00,0x38,0x44,0x7C,0x40,0x38,0x00,
	0x20,0x10,0x38,0x44,0x7C,0x40,0x38,0x00,
	0x28,0x00,0x30,0x10,0x10,0x10,0x38,0x00,
	0x10,0x28,0x00,0x30,0x10,0x10,0x38,0x00,
	0x00,0x18,0x24,0x38,0x24,0x24,0x38,0x40,
	0x44,0x10,0x28,0x44,0x7C,0x44,0x44,0x00,
	0x10,0x10,0x28,0x44,0x7C,0x44,0x44,0x00,
	0x08,0x10,0x38,0x44,0x44,0x44,0x38,0x00,
	0x00,0x00,0x68,0x14,0x3C,0x50,0x3C,0x00,
	0x3C,0x50,0x50,0x78,0x50,0x50,0x5C,0x00,
	0x10,0x28,0x38,0x44,0x44,0x44,0x38,0x00,
	0x28,0x00,0x38,0x44,0x44,0x44,0x38,0x00,
	0x00,0x00,0x38,0x4C,0x54,0x64,0x38,0x00,
	0x10,0x28,0x00,0x44,0x44,0x4C,0x34,0x00,
	0x20,0x10,0x00,0x44,0x44,0x4C,0x34,0x00,
	0x38,0x4C,0x54,0x54,0x54,0x64,0x38,0x00,
	0x44,0x38,0x44,0x44,0x44,0x44,0x38,0x00,
	0x38,0x44,0x44,0x44,0x44,0x44,0x38,0x00,
	0x38,0x40,0x38,0x44,0x38,0x04,0x38,0x00,
	0x08,0x14,0x10,0x38,0x10,0x14,0x78,0x00,
	0x10,0x10,0x7C,0x10,0x10,0x00,0x7C,0x00,
	0x10,0x28,0x10,0x00,0x00,0x00,0x00,0x00,
	0x08,0x14,0x10,0x38,0x10,0x50,0x20,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x10,0x10,0x10,0x10,0x10,0x00,0x10,0x00,
	0x28,0x28,0x00,0x00,0x00,0x00,0x00,0x00,
	0x28,0x28,0x6C,0x00,0x6C,0x28,0x28,0x00,
	0x10,0x3C,0x40,0x38,0x04,0x78,0x10,0x00,
	0x60,0x64,0x08,0x10,0x20,0x4C,0x0C,0x00,
	0x20,0x50,0x50,0x20,0x54,0x48,0x34,0x00,
	0x10,0x10,0x20,0x00,0x00,0x00,0x00,0x00,
	0x08,0x10,0x20,0x20,0x20,0x10,0x08,0x00,
	0x20,0x10,0x08,0x08,0x08,0x10,0x20,0x00,
	0x00,0x10,0x54,0x38,0x38,0x54,0x10,0x00,
	0x00,0x10,0x10,0x7C,0x10,0x10,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x20,
	0x00,0x00,0x00,0x7C,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,
	0x00,0x04,0x08,0x10,0x20,0x40,0x00,0x00,
	0x38,0x44,0x4C,0x54,0x64,0x44,0x38,0x00,
	0x10,0x30,0x10,0x10,0x10,0x10,0x38,0x00,
	0x38,0x44,0x04,0x3C,0x40,0x40,0x7C,0x00,
	0x38,0x44,0x04,0x18,0x04,0x44,0x38,0x00,
	0x08,0x18,0x28,0x48,0x7C,0x08,0x08,0x00,
	0x7C,0x40,0x78,0x04,0x04,0x44,0x38,0x00,
	0x38,0x40,0x40,0x78,0x44,0x44,0x38,0x00,
	0x7C,0x04,0x08,0x10,0x20,0x40,0x40,0x00,
	0x38,0x44,0x44,0x38,0x44,0x44,0x38,0x00,
	0x38,0x44,0x44,0x38,0x04,0x04,0x38,0x00,
	0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,
	0x00,0x00,0x10,0x00,0x00,0x10,0x10,0x20,
	0x08,0x10,0x20,0x40,0x20,0x10,0x08,0x00,
	0x00,0x00,0x7C,0x00,0x7C,0x00,0x00,0x00,
	0x20,0x10,0x08,0x04,0x08,0x10,0x20,0x00,
	0x38,0x44,0x04,0x08,0x10,0x00,0x10,0x00,
	0x38,0x44,0x04,0x34,0x4C,0x4C,0x38,0x00,
	0x10,0x28,0x44,0x44,0x7C,0x44,0x44,0x00,
	0x78,0x24,0x24,0x38,0x24,0x24,0x78,0x00,
	0x38,0x44,0x40,0x40,0x40,0x44,0x38,0x00,
	0x78,0x24,0x24,0x24,0x24,0x24,0x78,0x00,
	0x7C,0x40,0x40,0x78,0x40,0x40,0x7C,0x00,
	0x7C,0x40,0x40,0x70,0x40,0x40,0x40,0x00,
	0x38,0x44,0x40,0x40,0x4C,0x44,0x38,0x00,
	0x44,0x44,0x44,0x7C,0x44,0x44,0x44,0x00,
	0x38,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x04,0x04,0x04,0x04,0x04,0x44,0x38,0x00,
	0x44,0x48,0x50,0x60,0x50,0x48,0x44,0x00,
	0x40,0x40,0x40,0x40,0x40,0x40,0x7C,0x00,
	0x44,0x6C,0x54,0x54,0x44,0x44,0x44,0x00,
	0x44,0x44,0x64,0x54,0x4C,0x44,0x44,0x00,
	0x38,0x44,0x44,0x44,0x44,0x44,0x38,0x00,
	0x78,0x44,0x44,0x78,0x40,0x40,0x40,0x00,
	0x38,0x44,0x44,0x44,0x54,0x48,0x34,0x00,
	0x78,0x44,0x44,0x78,0x50,0x48,0x44,0x00,
	0x38,0x44,0x40,0x38,0x04,0x44,0x38,0x00,
	0x7C,0x10,0x10,0x10,0x10,0x10,0x10,0x00,
	0x44,0x44,0x44,0x44,0x44,0x44,0x38,0x00,
	0x44,0x44,0x44,0x28,0x28,0x10,0x10,0x00,
	0x44,0x44,0x44,0x44,0x54,0x6C,0x44,0x00,
	0x44,0x44,0x28,0x10,0x28,0x44,0x44,0x00,
	0x44,0x44,0x28,0x10,0x10,0x10,0x10,0x00,
	0x7C,0x04,0x08,0x10,0x20,0x40,0x7C,0x00,
	0x38,0x20,0x20,0x20,0x20,0x20,0x38,0x00,
	0x00,0x40,0x20,0x10,0x08,0x04,0x00,0x00,
	0x38,0x08,0x08,0x08,0x08,0x08,0x38,0x00,
	0x10,0x38,0x54,0x10,0x10,0x10,0x10,0x00,
	0x00,0x10,0x20,0x7C,0x20,0x10,0x00,0x00,
	0x10,0x28,0x44,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x38,0x04,0x3C,0x44,0x3C,0x00,
	0x40,0x40,0x58,0x64,0x44,0x64,0x58,0x00,
	0x00,0x00,0x38,0x44,0x40,0x44,0x38,0x00,
	0x04,0x04,0x34,0x4C,0x44,0x4C,0x34,0x00,
	0x00,0x00,0x38,0x44,0x7C,0x40,0x38,0x00,
	0x08,0x14,0x10,0x38,0x10,0x10,0x10,0x00,
	0x00,0x00,0x34,0x4C,0x4C,0x34,0x04,0x38,
	0x40,0x40,0x58,0x64,0x44,0x44,0x44,0x00,
	0x00,0x10,0x00,0x30,0x10,0x10,0x38,0x00,
	0x04,0x00,0x04,0x04,0x04,0x04,0x44,0x38,
	0x40,0x40,0x48,0x50,0x60,0x50,0x48,0x00,
	0x30,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x00,0x00,0x68,0x54,0x54,0x54,0x54,0x00,
	0x00,0x00,0x58,0x64,0x44,0x44,0x44,0x00,
	0x00,0x00,0x38,0x44,0x44,0x44,0x38,0x00,
	0x00,0x00,0x78,0x44,0x44,0x78,0x40,0x40,
	0x00,0x00,0x3C,0x44,0x44,0x3C,0x04,0x04,
	0x00,0x00,0x58,0x64,0x40,0x40,0x40,0x00,
	0x00,0x00,0x3C,0x40,0x38,0x04,0x78,0x00,
	0x20,0x20,0x70,0x20,0x20,0x24,0x18,0x00,
	0x00,0x00,0x44,0x44,0x44,0x4C,0x34,0x00,
	0x00,0x00,0x44,0x44,0x44,0x28,0x10,0x00,
	0x00,0x00,0x44,0x44,0x54,0x54,0x28,0x00,
	0x00,0x00,0x44,0x28,0x10,0x28,0x44,0x00,
	0x00,0x00,0x44,0x44,0x44,0x3C,0x04,0x38,
	0x00,0x00,0x7C,0x08,0x10,0x20,0x7C,0x00,
	0x08,0x10,0x10,0x20,0x10,0x10,0x08,0x00,
	0x10,0x10,0x10,0x00,0x10,0x10,0x10,0x00,
	0x20,0x10,0x10,0x08,0x10,0x10,0x20,0x00,
	0x20,0x54,0x08,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x7C,0x00,
};
