
#include <stdio.h>
//#include <io.h>
//#include <conio.h>
#include <stdlib.h>
#include <string.h>

#pragma pack(1)

#define	BYTE	unsigned char
#define	WORD	unsigned short
#define	DWORD	unsigned int

extern BYTE Model1Font1[3][128][8];
extern BYTE Model3Font[256][8];
extern BYTE Model4Font[256][8];
extern BYTE AltFonts[3][256][8];

struct GLYPHENTRY {
	WORD	wWidth;		// Width of character in pixels
	DWORD	dwAddress;	// Address of character info
	} GlyphEntry;

struct FONTINFO {
	WORD	dfVersion;			// Specifies the version (0x0200 or 0x0300) of the file. 
	DWORD	dfSize;				// Specifies the total size of the file, in bytes. 
	char	dfCopyright[60];	// Specifies copyright information. 
	WORD	dfType;				// Specifies the type of font file.
	WORD	dfPoints;			// Specifies the nominal point size (that is, the number identifying the point size) at which
								//		this character set looks best. 
	WORD	dfVertRes;			// Specifies the nominal vertical resolution (that is, the number identifying the vertical
								//		resolution), in dots per inch, at which this character set was digitized. 
	WORD	dfHorizRes;			// Specifies the nominal horizontal resolution (that is, the number identifying the
								//		horizontal resolution), in dots per inch, at which this character set was digitized. 
	WORD	dfAscent;			// Specifies the distance from the top of a character-definition cell to the base line of the
								//		typographical font. The dfAscent member is useful for aligning the base lines of
								//		fonts with different heights. 
	WORD	dfInternalLeading;	// Specifies the amount of leading inside the bounds set by the dfPixHeight member. Accent
								//		marks can occur in this area. The designer can set the value to zero. 
	WORD	dfExternalLeading;	// Specifies the amount of extra leading that the designer requests the application to add
								//		between rows. Since this area is outside the font proper, it contains no marks and is
								//		not altered by text-output calls in either opaque or transparent mode. The designer
								//		can set	the value to zero. 
	BYTE	dfItalic;			// Specifies whether the character-definition data represents an italic font. If the flag is
								//		set, the low-order bit is 1. All other bits are zero. 
	BYTE	dfUnderline;		// Specifies whether the character-definition data represents an underlined font. If the flag
								//		is set, the low-order bit is 1. All other bits are zero. 
	BYTE	dfStrikeOut;		// Specifies whether the character-definition data represents a strikeout font. If the flag
								//		is set, the low-order bit is 1. All other bits are zero. 
	WORD	dfWeight;			// Specifies the weight of the characters in the character-definition data, on a scale of 1
								//		through 1000. A dfWeight value of 400 specifies a regular weight. 
	BYTE	dfCharSet;			// Specifies the character set defined by this font. 
	WORD	dfPixWidth;			// Specifies the width of the grid on which a vector font was digitized. For raster fonts,
								//		if the dfPixWidth member is nonzero, it represents the width for all the characters
								//		in the bitmap. If the member is zero, the font has variable-width characters whose
								//		widths are specified in the array for the dfCharTable member. 
	WORD	dfPixHeight;		// Specifies the height of the character bitmap for raster fonts or the height of the grid on
								//		which a vector font was digitized. 
	BYTE	dfPitchAndFamily;	// Specifies the pitch and font family. If the font is variable pitch, the low bit is set.
								//		The four high bits give the family name of the font. Font families describe the
								//		general look of a font. They identify fonts when the exact name is not available.
								//		The font families are described as follows: 
								//			Family			Description
								//			FF_DONTCARE		Unknown. 
								//			FF_ROMAN		Proportionally spaced fonts with serifs. 
								//			FF_SWISS		Proportionally spaced fonts without serifs. 
								//			FF_MODERN		Fixed-pitch fonts. 
								//			FF_SCRIPT		Cursive or script fonts. (Both are designed to look similar to handwriting. Script fonts have joined letters; cursive fonts do not.) 
								//			FF_DECORATIVE	Novelty fonts. 
	WORD	dfAvgWidth;			// Specifies the width of characters in the font. For fixed-pitch fonts, this value is the
								//		same as the value for the dfPixWidth member. For variable-pitch fonts, it is the
								//		width of the character "X". 
	WORD	dfMaxWidth;			// Specifies the maximum pixel width of any character in the font. For fixed-pitch fonts,
								//		this value is the same as the value of the dfPixWidth member. 
	BYTE	dfFirstChar;		// Specifies the first character code defined by the font. Character definitions are stored
								//		only for the characters actually present in the font. Use this member, therefore,
								//		when calculating indexes for either the dfBits or dfCharOffset member. 
	BYTE	dfLastChar;			// Specifies the last character code defined by the font. All characters with codes between
								//		the values for the dfFirstChar and dfLastChar members must be present in the
								//		character definitions for the font. 
	BYTE	dfDefaultChar;		// Specifies the character to substitute whenever a string contains a character that is out
								//		of range. The character is given relative to the dfFirstChar member so that the
								//		dfDefaultChar member is the actual value of the character less the value of the
								//		dfFirstChar member. The dfDefaultChar member indicates a special character that is
								//		not a space. 
	WORD	dfBreakChar;		// Specifies the character that defines word breaks for word wrapping and word-spacing
								//		justification. The character is given relative to the dfFirstChar member so that the
								//		dfBreakChar member is the actual value of the character less that of the dfFirstChar
								//		member. The dfBreakChar member is normally 32 minus the value of the dfFirstChar
								//		member (the ASCII space character). 
	BYTE	dfWidthBytes;		// Specifies the number of bytes in each row of the bitmap. This value is always even so that
								//		the rows start on word boundaries. For vector fonts, this member has no meaning. 
	DWORD	dfDevice;			// Specifies the offset in the file to the string giving the device name. For a generic font,
								//		this value is zero. 
	DWORD	dfFace;				// Specifies the offset in the file to the null-terminated string that names the face. 
	DWORD	dfBitsPointer;		// Specifies the absolute machine address of the bitmap. This is set by GDI at load time.
								//		The value of the dfBitsPointer member is guaranteed to be even. 
	DWORD	dfBitsOffset;		// Specifies the offset in the file to the beginning of the bitmap information. If the third
								//		bit in the dfType member is set, the dfBitsOffset member is an absolute address of
								//		the bitmap (probably in read-only memory). 
								//		For raster fonts, the dfBitsOffset member points to a sequence of bytes that make up
								//		the bitmap of the font. The height of the bitmap is the height of the font, and its
								//		width is the sum of the widths of the characters in the font, rounded up to the next
								//		word boundary. 
								//		For vector fonts, the dfBitsOffset member points to a string of bytes or words
								//		(depending on the size of the grid on which the font was digitized) that specify the
								//		strokes for each character of the font. The value of the dfBitsOffset member must be
								//		even. 
	BYTE	dfReserved;			// Not used. 
	WORD	dfFlags;			// Specifies the bit flags that define the format of the glyph bitmap, as follows: 
								//		DFF_FIXED			0x0001 
								//		DFF_PROPORTIONAL	0x0002 
								//		DFF_ABCFIXED		0x0004 
								//		DFF_ABCPROPORTIONAL	0x0008 
								//		DFF_1COLOR			0x0010 
								//		DFF_16COLOR			0x0020 
								//		DFF_256COLOR		0x0040 
								//		DFF_RGBCOLOR		0x0080 
	WORD	dfAspace;			// Specifies the global A space, if any. The value of the dfAspace member is the distance
								//		from the current position to the left edge of the bitmap. 
	WORD	dfBspace;			// Specifies the global B space, if any. The value of the dfBspace member is the width of the
								//		character. 
	WORD	dfCspace;			// Specifies the global C space, if any. The value of the dfCspace member is the distance
								//		from the right edge of the bitmap to the new current position. The increment of a
								//		character is the sum of the A, B, and C spaces. These spaces apply to all glyphs,
								//		including DFF_ABCFIXED. 
	DWORD	dfColorPointer;		// Specifies the offset to the color table for color fonts, if any. The format of the bits is
								//		like a device-independent bitmap (DIB), but without the header. (That is, the
								//		characters are not split into disjoint bytes; instead, they are left intact.) If no
								//		color table is needed, this entry is NULL. 
	BYTE	dfReserved1[18];	// Not used. 
	//GLYPHENTRY	dfCharTable[x];		// Specifies an array of entries for raster, fixed-pitch vector, and proportionally spaced
								// vector fonts.
} WinFontInfo;

char* FaceNames[12]={
	"Model1old",	// 0
	"Model1new",	// 1
	"Model1lc",		// 2
	"Model3",		// 3
	"Model4",		// 4
	"Alt1",			// 5
	"Alt2",			// 6
	"Alt3",			// 7
	"Model3a",		// 8
	"Model4a",		// 9
	"Alt1a",		// 10
	"Alt2a"			// 11
};

void main(int argc, char *argv[])
{
	const int iNumFonts=12;
	const int iChars=256;
	WORD wBytes=12;		// Bytes per char (pixel data only)
	WORD wHeight=12;	// Height in pixels
	WORD wWidth=6;		// Width in pixels

	for(int iFontCount=0;iFontCount<iNumFonts;iFontCount++) {
		switch(iFontCount) {
			case 0:
			case 1:
			case 2:
				wBytes=12;
				wHeight=12;
				wWidth=6;
				break;
			case 3:
			case 4:
			case 5:
			case 6:
			case 7:
			case 8:
			case 9:
			case 10:
			case 11:
				wBytes=12;
				wHeight=12;
				wWidth=8;
				break;
		}
		//char szFaceName[32]="Font_x";
		//szFaceName[5]='1'+iFontCount;
		char szFaceName[32];
		strcpy(szFaceName,FaceNames[iFontCount]);
		
		memset(&WinFontInfo,0,sizeof(WinFontInfo));
		WinFontInfo.dfVersion=0x0300;
		strcpy(WinFontInfo.dfCopyright,"(C) 1998 Kevin Timmerman\0");
		WinFontInfo.dfPoints=10;
		WinFontInfo.dfVertRes=19;
		WinFontInfo.dfHorizRes=47;
		WinFontInfo.dfWeight=500;
		WinFontInfo.dfCharSet=2;	// 0=ANSI 2=SYMBOL 255=OEM
		WinFontInfo.dfPitchAndFamily=48;
		WinFontInfo.dfFirstChar=0;
		WinFontInfo.dfLastChar=iChars-1;
		WinFontInfo.dfDefaultChar=96;
		WinFontInfo.dfFlags=1;
		
		WinFontInfo.dfSize=sizeof(WinFontInfo)+(sizeof(GLYPHENTRY)+wBytes)*iChars+strlen(szFaceName)+1; //3741;
		WinFontInfo.dfAscent=(WORD)wHeight*9/10;
		WinFontInfo.dfPixWidth=wWidth;
		WinFontInfo.dfPixHeight=wHeight;
		WinFontInfo.dfAvgWidth=wWidth;
		WinFontInfo.dfMaxWidth=wWidth;
		WinFontInfo.dfWidthBytes=wBytes/wHeight; //(wWidth-1)/8+1;
		WinFontInfo.dfFace=sizeof(WinFontInfo)+(sizeof(GLYPHENTRY)+wBytes)*iChars;
		WinFontInfo.dfBitsOffset=sizeof(WinFontInfo)+sizeof(GLYPHENTRY)*iChars;
	
		printf("Version: 0x%04X\n",(int)WinFontInfo.dfVersion);
	    printf("Size: %li\n",(long int)WinFontInfo.dfSize);
		printf("Copyright: %s\n",WinFontInfo.dfCopyright);
		printf("Type: %i\n",(int)WinFontInfo.dfType);
		printf("Points: %i\n",(int)WinFontInfo.dfPoints);
		printf("Vertical Resolution: %i\n",(int)WinFontInfo.dfVertRes);
		printf("Horizontal Resolution: %i\n",(int)WinFontInfo.dfHorizRes);
		printf("Ascent: %i\n",(int)WinFontInfo.dfAscent);
		printf("Internal Leading: %i\n",(int)WinFontInfo.dfInternalLeading);
		printf("External Leading: %i\n",(int)WinFontInfo.dfExternalLeading);
		printf("Italic: %i\n",(int)WinFontInfo.dfItalic);
		printf("Underline: %i\n",(int)WinFontInfo.dfUnderline);
		printf("Strikeout: %i\n",(int)WinFontInfo.dfStrikeOut);
		printf("Weight: %i\n",(int)WinFontInfo.dfWeight);
		printf("Character Set: %i\n",(int)WinFontInfo.dfCharSet);
		printf("Pixel Width: %i\n",(int)WinFontInfo.dfPixWidth);
		printf("Pixel Height: %i\n",(int)WinFontInfo.dfPixHeight);
		printf("Pitch and Family: %i\n",(int)WinFontInfo.dfPitchAndFamily);
		printf("Average Width: %i\n",(int)WinFontInfo.dfAvgWidth);
		printf("Maximum Width: %i\n",(int)WinFontInfo.dfMaxWidth);
		printf("First Char: %i\n",(int)WinFontInfo.dfFirstChar);
		printf("Last Char: %i\n",(int)WinFontInfo.dfLastChar);
		printf("Default Char: %i\n",(int)WinFontInfo.dfDefaultChar);
		printf("Break Char: %i\n",(int)WinFontInfo.dfBreakChar);
		printf("Width Bytes: %i\n",(int)WinFontInfo.dfWidthBytes);
		printf("Bits Offset: %li\n",(long int)WinFontInfo.dfBitsOffset);
		printf("Flags: %i\n",(int)WinFontInfo.dfFlags);
		printf("A Space: %i\n",(int)WinFontInfo.dfAspace);
		printf("B Space: %i\n",(int)WinFontInfo.dfBspace);
		printf("C Space: %i\n",(int)WinFontInfo.dfCspace);
		
	    
		char szWinFontFile[64]="d:\\source\\fonts\\M80\\";
		strcat(szWinFontFile,szFaceName);
		strcat(szWinFontFile,".fnt");
		FILE *WinFontFile=fopen(szWinFontFile,"wb");
		
		fwrite(&WinFontInfo,sizeof(WinFontInfo),1,WinFontFile);
	    
	    for(int i=0;i<iChars;i++) {
	    	GlyphEntry.wWidth=WinFontInfo.dfPixWidth;
	    	GlyphEntry.dwAddress=sizeof(WinFontInfo)+sizeof(GLYPHENTRY)*iChars+i*WinFontInfo.dfPixHeight*WinFontInfo.dfWidthBytes;
	    	fwrite(&GlyphEntry,sizeof(GLYPHENTRY),1,WinFontFile);
	    }
		
		int iGraphEnd=192;
		for(i=0;i<128;i++) {
			for(int iLine=0;iLine<8;iLine++) {
				BYTE by;
				switch(iFontCount) {
					case 0:
					case 1:
					case 2:
						by=Model1Font1[iFontCount][i][iLine];
						iGraphEnd=iChars;
						break;
					case 3:
					case 8:
						by=Model3Font[i][iLine];
						break;
					case 4:
					case 9:
						by=Model4Font[i][iLine];
						break;
					case 5:
					case 10:
						by=AltFonts[0][i][iLine];
						break;
					case 6:
					case 11:
						by=AltFonts[1][i][iLine];
						break;
					case 7:
						iGraphEnd=iChars;
						by=AltFonts[2][i][iLine];
						break;
				}
				BYTE by2=0;
				if(by&0x01) by2|=0x80;
				if(by&0x02) by2|=0x40;
				if(by&0x04) by2|=0x20;
				if(by&0x08) by2|=0x10;
				if(by&0x10) by2|=0x08;
				if(by&0x20) by2|=0x04;
				if(by&0x40) by2|=0x02;
				if(by&0x80) by2|=0x01;
				fwrite(&by2,1,1,WinFontFile);
			}
			for(;iLine<(int)wHeight;iLine++) {
				BYTE by=0;
				fwrite(&by,1,1,WinFontFile);
			}
		}
		for(;i<iGraphEnd;i++) {
			for(int iLine=0;iLine<(int)wHeight;iLine++) {
				BYTE by=(BYTE)i;
				if(iLine>=4) by>>=2;
				if(iLine>=8) by>>=2;
				BYTE by2=0;
				if(iFontCount<=2) {
					if(by&0x01) by2|=0xE0;
					if(by&0x02) by2|=0x1C;
				} else {
					if(by&0x01) by2|=0xF0;
					if(by&0x02) by2|=0x0F;
				}
				fwrite(&by2,1,1,WinFontFile);
			}
		}
		int iGraphOffset=64;
		if(iFontCount>7) iGraphOffset=0;
		for(;i<iChars;i++) {
 			for(int iLine=0;iLine<8;iLine++) {
				BYTE by;
				switch(iFontCount) {
					case 3:
					case 8:
						by=Model3Font[i-iGraphOffset][iLine];
						break;
					case 4:
					case 9:
						by=Model4Font[i-iGraphOffset][iLine];
						break;
					case 5:
					case 10:
						by=AltFonts[0][i-iGraphOffset][iLine];
						break;
					case 6:
					case 11:
						by=AltFonts[1][i-iGraphOffset][iLine];
						break;
				}
				BYTE by2=0;
				if(by&0x01) by2|=0x80;
				if(by&0x02) by2|=0x40;
				if(by&0x04) by2|=0x20;
				if(by&0x08) by2|=0x10;
				if(by&0x10) by2|=0x08;
				if(by&0x20) by2|=0x04;
				if(by&0x40) by2|=0x02;
				if(by&0x80) by2|=0x01;
				fwrite(&by2,1,1,WinFontFile);
			}
			for(;iLine<(int)wHeight;iLine++) {
				BYTE by=0;
				fwrite(&by,1,1,WinFontFile);
			}
		}

		fwrite(szFaceName,strlen(szFaceName)+1,1,WinFontFile);
			
		fclose(WinFontFile);
	}
}

/*
 * trs_chars.c
 *
 * This file contains the bitmap data for all 256 characters in the
 * TRS-80 character set, for both Model I and Model III/4.  Thanks to
 * Al Petrofsky for supplying some of the data in .bdf format.  Thanks
 * to Todd P. Cromwell III for supplying exact dumps of two different
 * Model III character generator ROMs.
 */

BYTE Model1Font1[3][128][8] = {
{
/* CG 0 - for Model I */
/* Source: MCM6674 Data Sheet */
/* This is a very old version of the Model I font, found in only a few
   machines, that has standard ASCII [ \ ] ^ instead of directional arrows.
   It also has odd symbols in positions 0-31, and the lowercase letters with
   descenders (plus 'a') are raised. Level II Basic put the odd symbols
   on the screen instead of uppercase if you did a homebrew lowercase
   conversion and did not replace the CG.
*/
	0x1f,0x11,0x11,0x11,0x11,0x11,0x1f,0x00,
	0x1f,0x01,0x01,0x01,0x01,0x01,0x01,0x00,
	0x04,0x04,0x04,0x04,0x04,0x04,0x1f,0x00,
	0x10,0x10,0x10,0x10,0x10,0x10,0x1f,0x00,
	0x02,0x04,0x08,0x1e,0x04,0x08,0x10,0x00,
	0x1f,0x11,0x1b,0x15,0x1b,0x11,0x1f,0x00,
	0x00,0x10,0x08,0x05,0x03,0x01,0x00,0x00,
	0x0e,0x11,0x11,0x1f,0x0a,0x0a,0x1b,0x00,
	0x04,0x02,0x0f,0x12,0x14,0x10,0x10,0x00,
	0x00,0x04,0x08,0x1f,0x08,0x04,0x00,0x00,
	0x1f,0x00,0x00,0x1f,0x00,0x00,0x1f,0x00,
	0x00,0x04,0x04,0x15,0x0e,0x04,0x00,0x00,
	0x04,0x15,0x0e,0x04,0x15,0x0e,0x04,0x00,
	0x00,0x04,0x02,0x1f,0x02,0x04,0x00,0x00,
	0x0e,0x11,0x1b,0x15,0x1b,0x11,0x0e,0x00,
	0x0e,0x11,0x11,0x15,0x11,0x11,0x0e,0x00,
	0x1f,0x11,0x11,0x1f,0x11,0x11,0x1f,0x00,
	0x0e,0x15,0x15,0x1d,0x11,0x11,0x0e,0x00,
	0x0e,0x11,0x11,0x1d,0x15,0x15,0x0e,0x00,
	0x0e,0x11,0x11,0x17,0x15,0x15,0x0e,0x00,
	0x0e,0x15,0x15,0x17,0x11,0x11,0x0e,0x00,
	0x00,0x14,0x08,0x15,0x03,0x01,0x00,0x00,
	0x0e,0x0a,0x0a,0x0a,0x0a,0x0a,0x1b,0x00,
	0x10,0x10,0x10,0x1f,0x10,0x10,0x10,0x00,
	0x1f,0x11,0x0a,0x04,0x0a,0x11,0x1f,0x00,
	0x04,0x04,0x0e,0x0e,0x04,0x04,0x04,0x00,
	0x0e,0x11,0x01,0x02,0x04,0x00,0x04,0x00,
	0x0e,0x11,0x11,0x1f,0x11,0x11,0x0e,0x00,
	0x1f,0x15,0x15,0x17,0x11,0x11,0x1f,0x00,
	0x1f,0x11,0x11,0x17,0x15,0x15,0x1f,0x00,
	0x1f,0x11,0x11,0x1d,0x15,0x15,0x1f,0x00,
	0x1f,0x15,0x15,0x1d,0x11,0x11,0x1f,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x04,0x04,0x04,0x04,0x04,0x00,0x04,0x00,
	0x0a,0x0a,0x0a,0x00,0x00,0x00,0x00,0x00,
	0x0a,0x0a,0x1f,0x0a,0x1f,0x0a,0x0a,0x00,
	0x04,0x1e,0x05,0x0e,0x14,0x0f,0x04,0x00,
	0x03,0x13,0x08,0x04,0x02,0x19,0x18,0x00,
	0x02,0x05,0x05,0x02,0x15,0x09,0x16,0x00,
	0x06,0x06,0x02,0x01,0x00,0x00,0x00,0x00,
	0x08,0x04,0x02,0x02,0x02,0x04,0x08,0x00,
	0x02,0x04,0x08,0x08,0x08,0x04,0x02,0x00,
	0x04,0x15,0x0e,0x1f,0x0e,0x15,0x04,0x00,
	0x00,0x04,0x04,0x1f,0x04,0x04,0x00,0x00,
	0x00,0x00,0x00,0x06,0x06,0x02,0x01,0x00,
	0x00,0x00,0x00,0x1f,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,
	0x00,0x10,0x08,0x04,0x02,0x01,0x00,0x00,
	0x0e,0x11,0x19,0x15,0x13,0x11,0x0e,0x00,
	0x04,0x06,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x0e,0x11,0x10,0x0e,0x01,0x01,0x1f,0x00,
	0x0e,0x11,0x10,0x0c,0x10,0x11,0x0e,0x00,
	0x08,0x0c,0x0a,0x09,0x1f,0x08,0x08,0x00,
	0x1f,0x01,0x0f,0x10,0x10,0x11,0x0e,0x00,
	0x0c,0x02,0x01,0x0f,0x11,0x11,0x0e,0x00,
	0x1f,0x10,0x08,0x04,0x02,0x01,0x01,0x00,
	0x0e,0x11,0x11,0x0e,0x11,0x11,0x0e,0x00,
	0x0e,0x11,0x11,0x1e,0x10,0x08,0x06,0x00,
	0x00,0x06,0x06,0x00,0x06,0x06,0x00,0x00,
	0x06,0x06,0x00,0x06,0x06,0x02,0x01,0x00,
	0x08,0x04,0x02,0x01,0x02,0x04,0x08,0x00,
	0x00,0x00,0x1f,0x00,0x1f,0x00,0x00,0x00,
	0x02,0x04,0x08,0x10,0x08,0x04,0x02,0x00,
	0x0e,0x11,0x10,0x08,0x04,0x00,0x04,0x00,
	0x0e,0x11,0x10,0x16,0x15,0x15,0x0e,0x00,
	0x04,0x0a,0x11,0x11,0x1f,0x11,0x11,0x00,
	0x0f,0x12,0x12,0x0e,0x12,0x12,0x0f,0x00,
	0x0e,0x11,0x01,0x01,0x01,0x11,0x0e,0x00,
	0x0f,0x12,0x12,0x12,0x12,0x12,0x0f,0x00,
	0x1f,0x01,0x01,0x07,0x01,0x01,0x1f,0x00,
	0x1f,0x01,0x01,0x07,0x01,0x01,0x01,0x00,
	0x1e,0x01,0x01,0x19,0x11,0x11,0x1e,0x00,
	0x11,0x11,0x11,0x1f,0x11,0x11,0x11,0x00,
	0x0e,0x04,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x10,0x10,0x10,0x10,0x10,0x11,0x0e,0x00,
	0x11,0x09,0x05,0x03,0x05,0x09,0x11,0x00,
	0x01,0x01,0x01,0x01,0x01,0x01,0x1f,0x00,
	0x11,0x1b,0x15,0x15,0x11,0x11,0x11,0x00,
	0x11,0x13,0x15,0x19,0x11,0x11,0x11,0x00,
	0x0e,0x11,0x11,0x11,0x11,0x11,0x0e,0x00,
	0x0f,0x11,0x11,0x0f,0x01,0x01,0x01,0x00,
	0x0e,0x11,0x11,0x11,0x15,0x09,0x16,0x00,
	0x0f,0x11,0x11,0x0f,0x05,0x09,0x11,0x00,
	0x0e,0x11,0x01,0x0e,0x10,0x11,0x0e,0x00,
	0x1f,0x04,0x04,0x04,0x04,0x04,0x04,0x00,
	0x11,0x11,0x11,0x11,0x11,0x11,0x0e,0x00,
	0x11,0x11,0x11,0x0a,0x0a,0x04,0x04,0x00,
	0x11,0x11,0x11,0x11,0x15,0x1b,0x11,0x00,
	0x11,0x11,0x0a,0x04,0x0a,0x11,0x11,0x00,
	0x11,0x11,0x0a,0x04,0x04,0x04,0x04,0x00,
	0x1f,0x10,0x08,0x04,0x02,0x01,0x1f,0x00,
	0x0e,0x02,0x02,0x02,0x02,0x02,0x0e,0x00,
	0x00,0x01,0x02,0x04,0x08,0x10,0x00,0x00,
	0x0e,0x08,0x08,0x08,0x08,0x08,0x0e,0x00,
	0x04,0x0a,0x11,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x1f,0x00,
	0x0c,0x0c,0x04,0x08,0x00,0x00,0x00,0x00,
	0x0e,0x10,0x1e,0x11,0x1e,0x00,0x00,0x00,
	0x01,0x01,0x0d,0x13,0x11,0x13,0x0d,0x00,
	0x00,0x00,0x0e,0x11,0x01,0x11,0x0e,0x00,
	0x10,0x10,0x16,0x19,0x11,0x19,0x16,0x00,
	0x00,0x00,0x0e,0x11,0x1f,0x01,0x0e,0x00,
	0x08,0x14,0x04,0x0e,0x04,0x04,0x04,0x00,
	0x16,0x19,0x19,0x16,0x10,0x11,0x0e,0x00,
	0x01,0x01,0x0d,0x13,0x11,0x11,0x11,0x00,
	0x04,0x00,0x06,0x04,0x04,0x04,0x0e,0x00,
	0x10,0x00,0x10,0x10,0x10,0x11,0x0e,0x00,
	0x01,0x01,0x09,0x05,0x03,0x05,0x09,0x00,
	0x06,0x04,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x00,0x00,0x0b,0x15,0x15,0x15,0x15,0x00,
	0x00,0x00,0x0d,0x13,0x11,0x11,0x11,0x00,
	0x00,0x00,0x0e,0x11,0x11,0x11,0x0e,0x00,
	0x0d,0x13,0x11,0x13,0x0d,0x01,0x01,0x00,
	0x16,0x19,0x11,0x19,0x16,0x10,0x10,0x00,
	0x00,0x00,0x0d,0x13,0x01,0x01,0x01,0x00,
	0x00,0x00,0x1e,0x01,0x0e,0x10,0x0f,0x00,
	0x04,0x04,0x1f,0x04,0x04,0x14,0x08,0x00,
	0x00,0x00,0x11,0x11,0x11,0x19,0x16,0x00,
	0x00,0x00,0x11,0x11,0x11,0x0a,0x04,0x00,
	0x00,0x00,0x11,0x11,0x15,0x15,0x0a,0x00,
	0x00,0x00,0x11,0x0a,0x04,0x0a,0x11,0x00,
	0x11,0x11,0x11,0x1e,0x10,0x11,0x0e,0x00,
	0x00,0x00,0x1f,0x08,0x04,0x02,0x1f,0x00,
	0x08,0x04,0x04,0x02,0x04,0x04,0x08,0x00,
	0x04,0x04,0x04,0x00,0x04,0x04,0x04,0x00,
	0x02,0x04,0x04,0x08,0x04,0x04,0x02,0x00,
	0x02,0x15,0x08,0x00,0x00,0x00,0x00,0x00,
	0x0a,0x15,0x0a,0x15,0x0a,0x15,0x0a,0x00
},

{
/* CG 1 - for Model I */
/* Source: MCM6674 Data Sheet, modified by mann (from memory) to add arrows. */
/* This is the standard Model I character generator found in machines
   without the Radio Shack lower case modification, including the arrows.
   It has odd symbols in positions 0-31, and lowercase letters with
   descenders (plus 'a') are raised. Level II Basic put the odd symbols
   on the screen if you did a homebrew lowercase conversion and did not
   replace the CG.
*/
	0x1f,0x11,0x11,0x11,0x11,0x11,0x1f,0x00,
	0x1f,0x01,0x01,0x01,0x01,0x01,0x01,0x00,
	0x04,0x04,0x04,0x04,0x04,0x04,0x1f,0x00,
	0x10,0x10,0x10,0x10,0x10,0x10,0x1f,0x00,
	0x02,0x04,0x08,0x1e,0x04,0x08,0x10,0x00,
	0x1f,0x11,0x1b,0x15,0x1b,0x11,0x1f,0x00,
	0x00,0x10,0x08,0x05,0x03,0x01,0x00,0x00,
	0x0e,0x11,0x11,0x1f,0x0a,0x0a,0x1b,0x00,
	0x04,0x02,0x0f,0x12,0x14,0x10,0x10,0x00,
	0x00,0x04,0x08,0x1f,0x08,0x04,0x00,0x00,
	0x1f,0x00,0x00,0x1f,0x00,0x00,0x1f,0x00,
	0x00,0x04,0x04,0x15,0x0e,0x04,0x00,0x00,
	0x04,0x15,0x0e,0x04,0x15,0x0e,0x04,0x00,
	0x00,0x04,0x02,0x1f,0x02,0x04,0x00,0x00,
	0x0e,0x11,0x1b,0x15,0x1b,0x11,0x0e,0x00,
	0x0e,0x11,0x11,0x15,0x11,0x11,0x0e,0x00,
	0x1f,0x11,0x11,0x1f,0x11,0x11,0x1f,0x00,
	0x0e,0x15,0x15,0x1d,0x11,0x11,0x0e,0x00,
	0x0e,0x11,0x11,0x1d,0x15,0x15,0x0e,0x00,
	0x0e,0x11,0x11,0x17,0x15,0x15,0x0e,0x00,
	0x0e,0x15,0x15,0x17,0x11,0x11,0x0e,0x00,
	0x00,0x14,0x08,0x15,0x03,0x01,0x00,0x00,
	0x0e,0x0a,0x0a,0x0a,0x0a,0x0a,0x1b,0x00,
	0x10,0x10,0x10,0x1f,0x10,0x10,0x10,0x00,
	0x1f,0x11,0x0a,0x04,0x0a,0x11,0x1f,0x00,
	0x04,0x04,0x0e,0x0e,0x04,0x04,0x04,0x00,
	0x0e,0x11,0x01,0x02,0x04,0x00,0x04,0x00,
	0x0e,0x11,0x11,0x1f,0x11,0x11,0x0e,0x00,
	0x1f,0x15,0x15,0x17,0x11,0x11,0x1f,0x00,
	0x1f,0x11,0x11,0x17,0x15,0x15,0x1f,0x00,
	0x1f,0x11,0x11,0x1d,0x15,0x15,0x1f,0x00,
	0x1f,0x15,0x15,0x1d,0x11,0x11,0x1f,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x04,0x04,0x04,0x04,0x04,0x00,0x04,0x00,
	0x0a,0x0a,0x0a,0x00,0x00,0x00,0x00,0x00,
	0x0a,0x0a,0x1f,0x0a,0x1f,0x0a,0x0a,0x00,
	0x04,0x1e,0x05,0x0e,0x14,0x0f,0x04,0x00,
	0x03,0x13,0x08,0x04,0x02,0x19,0x18,0x00,
	0x02,0x05,0x05,0x02,0x15,0x09,0x16,0x00,
	0x06,0x06,0x02,0x01,0x00,0x00,0x00,0x00,
	0x08,0x04,0x02,0x02,0x02,0x04,0x08,0x00,
	0x02,0x04,0x08,0x08,0x08,0x04,0x02,0x00,
	0x04,0x15,0x0e,0x1f,0x0e,0x15,0x04,0x00,
	0x00,0x04,0x04,0x1f,0x04,0x04,0x00,0x00,
	0x00,0x00,0x00,0x06,0x06,0x02,0x01,0x00,
	0x00,0x00,0x00,0x1f,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,
	0x00,0x10,0x08,0x04,0x02,0x01,0x00,0x00,
	0x0e,0x11,0x19,0x15,0x13,0x11,0x0e,0x00,
	0x04,0x06,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x0e,0x11,0x10,0x0e,0x01,0x01,0x1f,0x00,
	0x0e,0x11,0x10,0x0c,0x10,0x11,0x0e,0x00,
	0x08,0x0c,0x0a,0x09,0x1f,0x08,0x08,0x00,
	0x1f,0x01,0x0f,0x10,0x10,0x11,0x0e,0x00,
	0x0c,0x02,0x01,0x0f,0x11,0x11,0x0e,0x00,
	0x1f,0x10,0x08,0x04,0x02,0x01,0x01,0x00,
	0x0e,0x11,0x11,0x0e,0x11,0x11,0x0e,0x00,
	0x0e,0x11,0x11,0x1e,0x10,0x08,0x06,0x00,
	0x00,0x06,0x06,0x00,0x06,0x06,0x00,0x00,
	0x06,0x06,0x00,0x06,0x06,0x02,0x01,0x00,
	0x08,0x04,0x02,0x01,0x02,0x04,0x08,0x00,
	0x00,0x00,0x1f,0x00,0x1f,0x00,0x00,0x00,
	0x02,0x04,0x08,0x10,0x08,0x04,0x02,0x00,
	0x0e,0x11,0x10,0x08,0x04,0x00,0x04,0x00,
	0x0e,0x11,0x10,0x16,0x15,0x15,0x0e,0x00,
	0x04,0x0a,0x11,0x11,0x1f,0x11,0x11,0x00,
	0x0f,0x12,0x12,0x0e,0x12,0x12,0x0f,0x00,
	0x0e,0x11,0x01,0x01,0x01,0x11,0x0e,0x00,
	0x0f,0x12,0x12,0x12,0x12,0x12,0x0f,0x00,
	0x1f,0x01,0x01,0x07,0x01,0x01,0x1f,0x00,
	0x1f,0x01,0x01,0x07,0x01,0x01,0x01,0x00,
	0x1e,0x01,0x01,0x19,0x11,0x11,0x1e,0x00,
	0x11,0x11,0x11,0x1f,0x11,0x11,0x11,0x00,
	0x0e,0x04,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x10,0x10,0x10,0x10,0x10,0x11,0x0e,0x00,
	0x11,0x09,0x05,0x03,0x05,0x09,0x11,0x00,
	0x01,0x01,0x01,0x01,0x01,0x01,0x1f,0x00,
	0x11,0x1b,0x15,0x15,0x11,0x11,0x11,0x00,
	0x11,0x13,0x15,0x19,0x11,0x11,0x11,0x00,
	0x0e,0x11,0x11,0x11,0x11,0x11,0x0e,0x00,
	0x0f,0x11,0x11,0x0f,0x01,0x01,0x01,0x00,
	0x0e,0x11,0x11,0x11,0x15,0x09,0x16,0x00,
	0x0f,0x11,0x11,0x0f,0x05,0x09,0x11,0x00,
	0x0e,0x11,0x01,0x0e,0x10,0x11,0x0e,0x00,
	0x1f,0x04,0x04,0x04,0x04,0x04,0x04,0x00,
	0x11,0x11,0x11,0x11,0x11,0x11,0x0e,0x00,
	0x11,0x11,0x11,0x0a,0x0a,0x04,0x04,0x00,
	0x11,0x11,0x11,0x11,0x15,0x1b,0x11,0x00,
	0x11,0x11,0x0a,0x04,0x0a,0x11,0x11,0x00,
	0x11,0x11,0x0a,0x04,0x04,0x04,0x04,0x00,
	0x1f,0x10,0x08,0x04,0x02,0x01,0x1f,0x00,
	0x04,0x0e,0x15,0x04,0x04,0x04,0x04,0x00,
	0x04,0x04,0x04,0x04,0x15,0x0e,0x04,0x00,
	0x00,0x04,0x02,0x1f,0x02,0x04,0x00,0x00,
	0x00,0x04,0x08,0x1f,0x08,0x04,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x1f,0x00,
	0x0c,0x0c,0x04,0x08,0x00,0x00,0x00,0x00,
	0x0e,0x10,0x1e,0x11,0x1e,0x00,0x00,0x00,
	0x01,0x01,0x0d,0x13,0x11,0x13,0x0d,0x00,
	0x00,0x00,0x0e,0x11,0x01,0x11,0x0e,0x00,
	0x10,0x10,0x16,0x19,0x11,0x19,0x16,0x00,
	0x00,0x00,0x0e,0x11,0x1f,0x01,0x0e,0x00,
	0x08,0x14,0x04,0x0e,0x04,0x04,0x04,0x00,
	0x16,0x19,0x19,0x16,0x10,0x11,0x0e,0x00,
	0x01,0x01,0x0d,0x13,0x11,0x11,0x11,0x00,
	0x04,0x00,0x06,0x04,0x04,0x04,0x0e,0x00,
	0x10,0x00,0x10,0x10,0x10,0x11,0x0e,0x00,
	0x01,0x01,0x09,0x05,0x03,0x05,0x09,0x00,
	0x06,0x04,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x00,0x00,0x0b,0x15,0x15,0x15,0x15,0x00,
	0x00,0x00,0x0d,0x13,0x11,0x11,0x11,0x00,
	0x00,0x00,0x0e,0x11,0x11,0x11,0x0e,0x00,
	0x0d,0x13,0x11,0x13,0x0d,0x01,0x01,0x00,
	0x16,0x19,0x11,0x19,0x16,0x10,0x10,0x00,
	0x00,0x00,0x0d,0x13,0x01,0x01,0x01,0x00,
	0x00,0x00,0x1e,0x01,0x0e,0x10,0x0f,0x00,
	0x04,0x04,0x1f,0x04,0x04,0x14,0x08,0x00,
	0x00,0x00,0x11,0x11,0x11,0x19,0x16,0x00,
	0x00,0x00,0x11,0x11,0x11,0x0a,0x04,0x00,
	0x00,0x00,0x11,0x11,0x15,0x15,0x0a,0x00,
	0x00,0x00,0x11,0x0a,0x04,0x0a,0x11,0x00,
	0x11,0x11,0x11,0x1e,0x10,0x11,0x0e,0x00,
	0x00,0x00,0x1f,0x08,0x04,0x02,0x1f,0x00,
	0x08,0x04,0x04,0x02,0x04,0x04,0x08,0x00,
	0x04,0x04,0x04,0x00,0x04,0x04,0x04,0x00,
	0x02,0x04,0x04,0x08,0x04,0x04,0x02,0x00,
	0x02,0x15,0x08,0x00,0x00,0x00,0x00,0x00,
	0x0a,0x15,0x0a,0x15,0x0a,0x15,0x0a,0x00,
},

{
/* CG 2 - for Model I */
/* Source: MCM6674 Data Sheet, modified by mann (from memory). */
/* This is the replacement Model I character generator you got with the
   Radio Shack lowercase modification. Positions 0-31 are a copy of the
   uppercase letters, to work around a bug (?) in the Level II ROM. All
   characters without descenders are moved up one row.  I'm not sure I got
   all the changes exactly right -- help?
*/
	0x0e,0x11,0x10,0x16,0x15,0x15,0x0e,0x00,
	0x04,0x0a,0x11,0x11,0x1f,0x11,0x11,0x00,
	0x0f,0x12,0x12,0x0e,0x12,0x12,0x0f,0x00,
	0x0e,0x11,0x01,0x01,0x01,0x11,0x0e,0x00,
	0x0f,0x12,0x12,0x12,0x12,0x12,0x0f,0x00,
	0x1f,0x01,0x01,0x07,0x01,0x01,0x1f,0x00,
	0x1f,0x01,0x01,0x07,0x01,0x01,0x01,0x00,
	0x1e,0x01,0x01,0x19,0x11,0x11,0x1e,0x00,
	0x11,0x11,0x11,0x1f,0x11,0x11,0x11,0x00,
	0x0e,0x04,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x10,0x10,0x10,0x10,0x10,0x11,0x0e,0x00,
	0x11,0x09,0x05,0x03,0x05,0x09,0x11,0x00,
	0x01,0x01,0x01,0x01,0x01,0x01,0x1f,0x00,
	0x11,0x1b,0x15,0x15,0x11,0x11,0x11,0x00,
	0x11,0x13,0x15,0x19,0x11,0x11,0x11,0x00,
	0x0e,0x11,0x11,0x11,0x11,0x11,0x0e,0x00,
	0x0f,0x11,0x11,0x0f,0x01,0x01,0x01,0x00,
	0x0e,0x11,0x11,0x11,0x15,0x09,0x16,0x00,
	0x0f,0x11,0x11,0x0f,0x05,0x09,0x11,0x00,
	0x0e,0x11,0x01,0x0e,0x10,0x11,0x0e,0x00,
	0x1f,0x04,0x04,0x04,0x04,0x04,0x04,0x00,
	0x11,0x11,0x11,0x11,0x11,0x11,0x0e,0x00,
	0x11,0x11,0x11,0x0a,0x0a,0x04,0x04,0x00,
	0x11,0x11,0x11,0x11,0x15,0x1b,0x11,0x00,
	0x11,0x11,0x0a,0x04,0x0a,0x11,0x11,0x00,
	0x11,0x11,0x0a,0x04,0x04,0x04,0x04,0x00,
	0x1f,0x10,0x08,0x04,0x02,0x01,0x1f,0x00,
	0x04,0x0e,0x15,0x04,0x04,0x04,0x04,0x00,
	0x04,0x04,0x04,0x04,0x15,0x0e,0x04,0x00,
	0x00,0x04,0x02,0x1f,0x02,0x04,0x00,0x00,
	0x00,0x04,0x08,0x1f,0x08,0x04,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x1f,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x04,0x04,0x04,0x04,0x04,0x00,0x04,0x00,
	0x0a,0x0a,0x0a,0x00,0x00,0x00,0x00,0x00,
	0x0a,0x0a,0x1f,0x0a,0x1f,0x0a,0x0a,0x00,
	0x04,0x1e,0x05,0x0e,0x14,0x0f,0x04,0x00,
	0x03,0x13,0x08,0x04,0x02,0x19,0x18,0x00,
	0x02,0x05,0x05,0x02,0x15,0x09,0x16,0x00,
	0x06,0x06,0x02,0x01,0x00,0x00,0x00,0x00,
	0x08,0x04,0x02,0x02,0x02,0x04,0x08,0x00,
	0x02,0x04,0x08,0x08,0x08,0x04,0x02,0x00,
	0x04,0x15,0x0e,0x1f,0x0e,0x15,0x04,0x00,
	0x00,0x04,0x04,0x1f,0x04,0x04,0x00,0x00,
	0x00,0x00,0x00,0x06,0x06,0x02,0x01,0x00,
	0x00,0x00,0x00,0x1f,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x06,0x06,0x00,
	0x00,0x10,0x08,0x04,0x02,0x01,0x00,0x00,
	0x0e,0x11,0x19,0x15,0x13,0x11,0x0e,0x00,
	0x04,0x06,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x0e,0x11,0x10,0x0e,0x01,0x01,0x1f,0x00,
	0x0e,0x11,0x10,0x0c,0x10,0x11,0x0e,0x00,
	0x08,0x0c,0x0a,0x09,0x1f,0x08,0x08,0x00,
	0x1f,0x01,0x0f,0x10,0x10,0x11,0x0e,0x00,
	0x0c,0x02,0x01,0x0f,0x11,0x11,0x0e,0x00,
	0x1f,0x10,0x08,0x04,0x02,0x01,0x01,0x00,
	0x0e,0x11,0x11,0x0e,0x11,0x11,0x0e,0x00,
	0x0e,0x11,0x11,0x1e,0x10,0x08,0x06,0x00,
	0x00,0x06,0x06,0x00,0x06,0x06,0x00,0x00,
	0x06,0x06,0x00,0x06,0x06,0x02,0x01,0x00,
	0x08,0x04,0x02,0x01,0x02,0x04,0x08,0x00,
	0x00,0x00,0x1f,0x00,0x1f,0x00,0x00,0x00,
	0x02,0x04,0x08,0x10,0x08,0x04,0x02,0x00,
	0x0e,0x11,0x10,0x08,0x04,0x00,0x04,0x00,
	0x0e,0x11,0x10,0x16,0x15,0x15,0x0e,0x00,
	0x04,0x0a,0x11,0x11,0x1f,0x11,0x11,0x00,
	0x0f,0x12,0x12,0x0e,0x12,0x12,0x0f,0x00,
	0x0e,0x11,0x01,0x01,0x01,0x11,0x0e,0x00,
	0x0f,0x12,0x12,0x12,0x12,0x12,0x0f,0x00,
	0x1f,0x01,0x01,0x07,0x01,0x01,0x1f,0x00,
	0x1f,0x01,0x01,0x07,0x01,0x01,0x01,0x00,
	0x1e,0x01,0x01,0x19,0x11,0x11,0x1e,0x00,
	0x11,0x11,0x11,0x1f,0x11,0x11,0x11,0x00,
	0x0e,0x04,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x10,0x10,0x10,0x10,0x10,0x11,0x0e,0x00,
	0x11,0x09,0x05,0x03,0x05,0x09,0x11,0x00,
	0x01,0x01,0x01,0x01,0x01,0x01,0x1f,0x00,
	0x11,0x1b,0x15,0x15,0x11,0x11,0x11,0x00,
	0x11,0x13,0x15,0x19,0x11,0x11,0x11,0x00,
	0x0e,0x11,0x11,0x11,0x11,0x11,0x0e,0x00,
	0x0f,0x11,0x11,0x0f,0x01,0x01,0x01,0x00,
	0x0e,0x11,0x11,0x11,0x15,0x09,0x16,0x00,
	0x0f,0x11,0x11,0x0f,0x05,0x09,0x11,0x00,
	0x0e,0x11,0x01,0x0e,0x10,0x11,0x0e,0x00,
	0x1f,0x04,0x04,0x04,0x04,0x04,0x04,0x00,
	0x11,0x11,0x11,0x11,0x11,0x11,0x0e,0x00,
	0x11,0x11,0x11,0x0a,0x0a,0x04,0x04,0x00,
	0x11,0x11,0x11,0x11,0x15,0x1b,0x11,0x00,
	0x11,0x11,0x0a,0x04,0x0a,0x11,0x11,0x00,
	0x11,0x11,0x0a,0x04,0x04,0x04,0x04,0x00,
	0x1f,0x10,0x08,0x04,0x02,0x01,0x1f,0x00,
	0x04,0x0e,0x15,0x04,0x04,0x04,0x04,0x00,
	0x04,0x04,0x04,0x04,0x15,0x0e,0x04,0x00,
	0x00,0x04,0x02,0x1f,0x02,0x04,0x00,0x00,
	0x00,0x04,0x08,0x1f,0x08,0x04,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x1f,0x00,
	0x0c,0x0c,0x04,0x08,0x00,0x00,0x00,0x00,
	0x00,0x00,0x0e,0x10,0x1e,0x11,0x1e,0x00,
	0x01,0x01,0x0d,0x13,0x11,0x13,0x0d,0x00,
	0x00,0x00,0x0e,0x11,0x01,0x11,0x0e,0x00,
	0x10,0x10,0x16,0x19,0x11,0x19,0x16,0x00,
	0x00,0x00,0x0e,0x11,0x1f,0x01,0x0e,0x00,
	0x08,0x14,0x04,0x0e,0x04,0x04,0x04,0x00,
	0x00,0x00,0x16,0x19,0x19,0x16,0x10,0x0e,
	0x01,0x01,0x0d,0x13,0x11,0x11,0x11,0x00,
	0x04,0x00,0x06,0x04,0x04,0x04,0x0e,0x00,
	0x10,0x00,0x10,0x10,0x10,0x10,0x11,0x0e,
	0x01,0x01,0x09,0x05,0x03,0x05,0x09,0x00,
	0x06,0x04,0x04,0x04,0x04,0x04,0x0e,0x00,
	0x00,0x00,0x0b,0x15,0x15,0x15,0x15,0x00,
	0x00,0x00,0x0d,0x13,0x11,0x11,0x11,0x00,
	0x00,0x00,0x0e,0x11,0x11,0x11,0x0e,0x00,
	0x00,0x00,0x0d,0x13,0x13,0x0d,0x01,0x01,
	0x00,0x00,0x16,0x19,0x19,0x16,0x10,0x10,
	0x00,0x00,0x0d,0x13,0x01,0x01,0x01,0x00,
	0x00,0x00,0x1e,0x01,0x0e,0x10,0x0f,0x00,
	0x04,0x04,0x1f,0x04,0x04,0x14,0x08,0x00,
	0x00,0x00,0x11,0x11,0x11,0x19,0x16,0x00,
	0x00,0x00,0x11,0x11,0x11,0x0a,0x04,0x00,
	0x00,0x00,0x11,0x11,0x15,0x15,0x0a,0x00,
	0x00,0x00,0x11,0x0a,0x04,0x0a,0x11,0x00,
	0x00,0x00,0x11,0x11,0x11,0x1e,0x10,0x0e,
	0x00,0x00,0x1f,0x08,0x04,0x02,0x1f,0x00,
	0x08,0x04,0x04,0x02,0x04,0x04,0x08,0x00,
	0x04,0x04,0x04,0x00,0x04,0x04,0x04,0x00,
	0x02,0x04,0x04,0x08,0x04,0x04,0x02,0x00,
	0x02,0x15,0x08,0x00,0x00,0x00,0x00,0x00,
	0x0a,0x15,0x0a,0x15,0x0a,0x15,0x0a,0x00
}
};

BYTE Model3Font[256][8]={
/* CG 4 - for Model III */
/* Source: A model III CG ROM, read by Todd P. Cromwell III (todd2.bin) */
/* This is the older CG with Katakana alternate characters */
/* Letters start at top of cell, Model III style */
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x30,0x48,0x08,0x3e,0x08,0x48,0x3e,0x00,
	0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,
	0x20,0x10,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x24,0x00,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x10,0x28,0x10,0x28,0x44,0x7c,0x44,0x00,
	0x00,0x00,0x00,0x7e,0x40,0x40,0x00,0x00,
	0x28,0x00,0x38,0x44,0x44,0x44,0x38,0x00,
	0xb8,0x44,0x64,0x54,0x4c,0x44,0x3a,0x00,
	0x08,0x10,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x4c,0x32,0x00,0x34,0x4c,0x44,0x44,0x00,
	0x10,0x20,0x40,0x00,0x00,0x00,0x00,0x00,
	0x1c,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x7c,0x5e,0x22,0x22,0x1e,0x12,0x22,0x00,
	0x28,0x00,0x10,0x28,0x44,0x7c,0x44,0x00,
	0x4c,0x32,0x10,0x28,0x44,0x7c,0x44,0x00,
	0x4c,0x32,0x44,0x4c,0x54,0x64,0x44,0x00,
	0x00,0x28,0x38,0x44,0x44,0x44,0x38,0x00,
	0x90,0x68,0x64,0x54,0x4c,0x2c,0x12,0x00,
	0x4c,0x32,0x00,0x3c,0x42,0x42,0x3c,0x00,
	0x3c,0x44,0x44,0x3c,0x44,0x44,0x3e,0x00,
	0x24,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x4c,0x32,0x00,0x18,0x24,0x24,0x18,0x00,
	0x38,0x54,0x50,0x38,0x14,0x54,0x38,0x00,
	0x14,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x04,0x08,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x08,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x3c,0x02,0x3e,0x42,0x7c,0x40,0x3c,0x00,
	0x20,0x10,0x7c,0x04,0x7c,0x04,0x7c,0x00,
	0x10,0x78,0x24,0x64,0x3c,0x24,0x64,0x00,
	0x38,0x44,0x04,0x04,0x44,0x38,0x10,0x08,
	0x00,0x00,0x4c,0x32,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x10,0x10,0x10,0x10,0x10,0x00,0x10,0x00,
	0x24,0x24,0x24,0x00,0x00,0x00,0x00,0x00,
	0x24,0x24,0x7e,0x24,0x7e,0x24,0x24,0x00,
	0x10,0x78,0x14,0x38,0x50,0x3c,0x10,0x00,
	0x00,0x46,0x26,0x10,0x08,0x64,0x62,0x00,
	0x0c,0x12,0x12,0x0c,0x52,0x22,0x5c,0x00,
	0x20,0x10,0x08,0x00,0x00,0x00,0x00,0x00,
	0x20,0x10,0x08,0x08,0x08,0x10,0x20,0x00,
	0x04,0x08,0x10,0x10,0x10,0x08,0x04,0x00,
	0x10,0x54,0x38,0x7c,0x38,0x54,0x10,0x00,
	0x00,0x10,0x10,0x7c,0x10,0x10,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x08,
	0x00,0x00,0x00,0x7e,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,
	0x00,0x40,0x20,0x10,0x08,0x04,0x02,0x00,
	0x3c,0x42,0x62,0x5a,0x46,0x42,0x3c,0x00,
	0x10,0x18,0x14,0x10,0x10,0x10,0x7c,0x00,
	0x3c,0x42,0x40,0x30,0x0c,0x02,0x7e,0x00,
	0x3c,0x42,0x40,0x38,0x40,0x42,0x3c,0x00,
	0x20,0x30,0x28,0x24,0x7e,0x20,0x20,0x00,
	0x7e,0x02,0x1e,0x20,0x40,0x22,0x1c,0x00,
	0x38,0x04,0x02,0x3e,0x42,0x42,0x3c,0x00,
	0x7e,0x42,0x20,0x10,0x08,0x08,0x08,0x00,
	0x3c,0x42,0x42,0x3c,0x42,0x42,0x3c,0x00,
	0x3c,0x42,0x42,0x7c,0x40,0x20,0x1c,0x00,
	0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,
	0x00,0x00,0x10,0x00,0x00,0x10,0x10,0x08,
	0x60,0x30,0x18,0x0c,0x18,0x30,0x60,0x00,
	0x00,0x00,0x7e,0x00,0x7e,0x00,0x00,0x00,
	0x06,0x0c,0x18,0x30,0x18,0x0c,0x06,0x00,
	0x3c,0x42,0x40,0x30,0x08,0x00,0x08,0x00,
	0x38,0x44,0x52,0x6a,0x32,0x04,0x78,0x00,
	0x18,0x24,0x42,0x7e,0x42,0x42,0x42,0x00,
	0x3e,0x44,0x44,0x3c,0x44,0x44,0x3e,0x00,
	0x38,0x44,0x02,0x02,0x02,0x44,0x38,0x00,
	0x1e,0x24,0x44,0x44,0x44,0x24,0x1e,0x00,
	0x7e,0x02,0x02,0x1e,0x02,0x02,0x7e,0x00,
	0x7e,0x02,0x02,0x1e,0x02,0x02,0x02,0x00,
	0x38,0x44,0x02,0x72,0x42,0x44,0x38,0x00,
	0x42,0x42,0x42,0x7e,0x42,0x42,0x42,0x00,
	0x38,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x70,0x20,0x20,0x20,0x20,0x22,0x1c,0x00,
	0x42,0x22,0x12,0x0e,0x12,0x22,0x42,0x00,
	0x02,0x02,0x02,0x02,0x02,0x02,0x7e,0x00,
	0x42,0x66,0x5a,0x5a,0x42,0x42,0x42,0x00,
	0x42,0x46,0x4a,0x52,0x62,0x42,0x42,0x00,
	0x3c,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x3e,0x42,0x42,0x3e,0x02,0x02,0x02,0x00,
	0x3c,0x42,0x42,0x42,0x52,0x22,0x5c,0x00,
	0x3e,0x42,0x42,0x3e,0x12,0x22,0x42,0x00,
	0x3c,0x42,0x02,0x3c,0x40,0x42,0x3c,0x00,
	0x7c,0x10,0x10,0x10,0x10,0x10,0x10,0x00,
	0x42,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x42,0x42,0x42,0x24,0x24,0x18,0x18,0x00,
	0x42,0x42,0x42,0x5a,0x5a,0x66,0x42,0x00,
	0x42,0x42,0x24,0x18,0x24,0x42,0x42,0x00,
	0x44,0x44,0x44,0x38,0x10,0x10,0x10,0x00,
	0x7e,0x40,0x20,0x18,0x04,0x02,0x7e,0x00,
	0x3c,0x04,0x04,0x04,0x04,0x04,0x3c,0x00,
	0x00,0x02,0x04,0x08,0x10,0x20,0x40,0x00,
	0x3c,0x20,0x20,0x20,0x20,0x20,0x3c,0x00,
	0x10,0x28,0x44,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xff,
	0x08,0x10,0x20,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x02,0x02,0x3a,0x46,0x42,0x46,0x3a,0x00,
	0x00,0x00,0x3c,0x42,0x02,0x42,0x3c,0x00,
	0x40,0x40,0x5c,0x62,0x42,0x62,0x5c,0x00,
	0x00,0x00,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x30,0x48,0x08,0x3e,0x08,0x08,0x08,0x00,
	0x00,0x00,0x5c,0x62,0x62,0x5c,0x40,0x3c,
	0x02,0x02,0x3a,0x46,0x42,0x42,0x42,0x00,
	0x10,0x00,0x18,0x10,0x10,0x10,0x38,0x00,
	0x20,0x00,0x30,0x20,0x20,0x20,0x22,0x1c,
	0x02,0x02,0x22,0x12,0x0a,0x16,0x22,0x00,
	0x18,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x00,0x00,0x6e,0x92,0x92,0x92,0x92,0x00,
	0x00,0x00,0x3a,0x46,0x42,0x42,0x42,0x00,
	0x00,0x00,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x00,0x00,0x3a,0x46,0x46,0x3a,0x02,0x02,
	0x00,0x00,0x5c,0x62,0x62,0x5c,0x40,0x40,
	0x00,0x00,0x3a,0x46,0x02,0x02,0x02,0x00,
	0x00,0x00,0x7c,0x02,0x3c,0x40,0x3e,0x00,
	0x08,0x08,0x3e,0x08,0x08,0x48,0x30,0x00,
	0x00,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x00,0x00,0x42,0x42,0x42,0x24,0x18,0x00,
	0x00,0x00,0x82,0x92,0x92,0x92,0x6c,0x00,
	0x00,0x00,0x42,0x24,0x18,0x24,0x42,0x00,
	0x00,0x00,0x42,0x42,0x62,0x5c,0x40,0x3c,
	0x00,0x00,0x7e,0x20,0x18,0x04,0x7e,0x00,
	0x30,0x08,0x08,0x04,0x08,0x08,0x30,0x00,
	0x10,0x10,0x10,0x00,0x10,0x10,0x10,0x00,
	0x0c,0x10,0x10,0x20,0x10,0x10,0x0c,0x00,
	0x0c,0x92,0x60,0x00,0x00,0x00,0x00,0x00,
	0x10,0x10,0x7c,0x10,0x10,0x00,0x7c,0x00,
	0x10,0x38,0x7c,0xfe,0xfe,0x7c,0x10,0x10,
	0x00,0x6c,0xfe,0xfe,0x7c,0x38,0x10,0x00,
	0x10,0x38,0x7c,0xfe,0x7c,0x38,0x10,0x00,
	0x38,0x38,0x10,0xd6,0xfe,0xd6,0x10,0x38,
	0x3c,0x42,0xa5,0x81,0xa5,0x99,0x42,0x3c,
	0x3c,0x42,0xa5,0x81,0x99,0xa5,0x42,0x3c,
	0x20,0x10,0x08,0x04,0x08,0x10,0x20,0x3c,
	0x04,0x08,0x10,0x20,0x10,0x08,0x04,0x3c,
	0x00,0x00,0x9c,0x62,0x62,0x9c,0x00,0x00,
	0x3c,0x44,0x3c,0x44,0x44,0x3c,0x04,0x02,
	0x86,0x48,0x28,0x18,0x08,0x0c,0x0c,0x00,
	0x30,0x48,0x08,0x30,0x50,0x48,0x30,0x00,
	0x60,0x10,0x08,0x7c,0x08,0x10,0x60,0x00,
	0x68,0x60,0x10,0x08,0x38,0x40,0x30,0x00,
	0x34,0x4a,0x48,0x48,0x40,0x40,0x40,0x00,
	0x10,0x28,0x44,0x7c,0x44,0x28,0x10,0x00,
	0x00,0x04,0x04,0x04,0x44,0x44,0x38,0x00,
	0x02,0x12,0x0a,0x06,0x0a,0x52,0x22,0x00,
	0x04,0x08,0x08,0x08,0x18,0x24,0x42,0x00,
	0x24,0x24,0x24,0x24,0x5c,0x04,0x04,0x00,
	0x00,0x00,0x4c,0x48,0x28,0x18,0x08,0x00,
	0x10,0x38,0x04,0x18,0x04,0x38,0x40,0x30,
	0x00,0x18,0x24,0x42,0x42,0x24,0x18,0x00,
	0x00,0x00,0x7c,0x2a,0x28,0x28,0x28,0x00,
	0x00,0x18,0x24,0x24,0x1c,0x04,0x04,0x00,
	0x00,0x00,0x7c,0x12,0x12,0x0c,0x00,0x00,
	0x00,0x00,0x7c,0x12,0x10,0x10,0x10,0x10,
	0x00,0x40,0x26,0x24,0x24,0x24,0x18,0x00,
	0x10,0x38,0x54,0x54,0x54,0x38,0x10,0x00,
	0x00,0x00,0x46,0x28,0x10,0x28,0xc4,0x00,
	0x92,0x54,0x54,0x38,0x10,0x10,0x10,0x00,
	0x00,0x00,0x44,0x82,0x92,0x92,0x6c,0x00,
	0x38,0x44,0x82,0x82,0xc6,0x44,0xc6,0x00,
	0x78,0x08,0x08,0x08,0x0a,0x0c,0x08,0x00,
	0x00,0x10,0x00,0x7c,0x00,0x10,0x00,0x00,
	0x7e,0x04,0x08,0x30,0x08,0x04,0x7e,0x00,
	0x00,0x4c,0x32,0x00,0x4c,0x32,0x00,0x00,
	0x00,0x00,0x10,0x28,0x44,0xfe,0x00,0x00,
	0x20,0x10,0x08,0x08,0x10,0x10,0x08,0x04,
	0x80,0x40,0xfe,0x10,0xfe,0x04,0x02,0x00,
	0x08,0x10,0x20,0x7c,0x08,0x10,0x20,0x00,
	0xfc,0x4a,0x24,0x10,0x48,0xa4,0x42,0x00,
	0x38,0x44,0x82,0x82,0xfe,0x44,0x44,0xc6,
	0x00,0x00,0x6c,0x92,0x92,0x6c,0x00,0x00,
	0x00,0x40,0x20,0x12,0x0a,0x06,0x02,0x00,
	0x78,0x04,0x38,0x44,0x38,0x40,0x3c,0x00,
	0x44,0xaa,0x54,0x28,0x54,0xaa,0x44,0x00,
	0x3c,0x42,0xb9,0x85,0x85,0xb9,0x42,0x3c,
	0x42,0x24,0x18,0x24,0x18,0x24,0x42,0x00,
	0x7c,0x52,0x52,0x5c,0x50,0x50,0x50,0x50,
	0x10,0x38,0x54,0x14,0x54,0x38,0x10,0x00,
	0x3c,0x5e,0xa5,0xa5,0x9d,0x95,0x66,0x3c,
	0xfa,0x06,0xc6,0x46,0x26,0xde,0x06,0xfa,
	0xff,0x20,0xc0,0x3f,0x40,0x3f,0x20,0x1f,
	0x3f,0x40,0x3f,0x00,0x00,0x00,0x00,0x00,
	0x1e,0x22,0x22,0x1e,0x52,0x22,0xd2,0x00,
	0x86,0x41,0x21,0x16,0x68,0x94,0x92,0x61,
	0x70,0x60,0x50,0x0e,0x09,0x09,0x06,0x00,
	0x38,0x44,0x44,0x44,0x38,0x10,0x38,0x10,
	0x70,0x10,0x10,0x70,0x00,0x00,0x00,0x00,
	0xff,0xc7,0xbb,0xcf,0xef,0xff,0xef,0xff,
	0x10,0x28,0x10,0x38,0x54,0x10,0x28,0x44,
	0x10,0x28,0x10,0x38,0x54,0x28,0x7c,0x28,
	0x10,0x28,0x44,0x44,0x44,0x54,0x6c,0x44,
	0x44,0x28,0x10,0x7c,0x10,0x7c,0x10,0x00,
	0x00,0x00,0x00,0x00,0x04,0x0a,0x04,0x00,
	0x7c,0x04,0x04,0x04,0x04,0x00,0x00,0x00,
	0x00,0x00,0x20,0x20,0x20,0x20,0x3e,0x00,
	0x00,0x00,0x00,0x02,0x04,0x08,0x10,0x00,
	0x00,0x00,0x00,0x04,0x00,0x00,0x00,0x00,
	0x00,0x00,0x3c,0x20,0x3c,0x10,0x08,0x00,
	0x00,0x00,0x7c,0x40,0x30,0x10,0x08,0x00,
	0x00,0x00,0x20,0x10,0x18,0x14,0x10,0x00,
	0x00,0x00,0x10,0x7c,0x44,0x40,0x20,0x00,
	0x00,0x00,0x00,0x38,0x10,0x10,0x7c,0x00,
	0x00,0x00,0x10,0x3c,0x18,0x14,0x10,0x00,
	0x00,0x00,0x08,0x7c,0x48,0x08,0x08,0x00,
	0x00,0x00,0x00,0x38,0x20,0x20,0x7c,0x00,
	0x00,0x00,0x7c,0x40,0x78,0x40,0x7c,0x00,
	0x00,0x00,0x54,0x54,0x44,0x20,0x10,0x00,
	0x00,0x00,0x00,0x7e,0x00,0x00,0x00,0x00,
	0x7e,0x40,0x28,0x18,0x08,0x08,0x04,0x00,
	0x40,0x20,0x10,0x18,0x14,0x10,0x10,0x00,
	0x10,0x7c,0x44,0x44,0x20,0x10,0x08,0x00,
	0x7c,0x10,0x10,0x10,0x10,0x10,0x7c,0x00,
	0x10,0x7e,0x10,0x18,0x14,0x12,0x10,0x00,
	0x08,0x7e,0x48,0x48,0x48,0x44,0x72,0x00,
	0x10,0x38,0x10,0x7c,0x10,0x10,0x10,0x00,
	0x7c,0x44,0x44,0x42,0x20,0x10,0x08,0x00,
	0x04,0x04,0x7c,0x14,0x12,0x10,0x08,0x00,
	0x7e,0x40,0x40,0x40,0x40,0x40,0x7e,0x00,
	0x24,0x7e,0x24,0x24,0x20,0x10,0x08,0x00,
	0x1c,0x40,0x4e,0x40,0x40,0x24,0x18,0x00,
	0x7e,0x40,0x20,0x10,0x18,0x24,0x42,0x00,
	0x08,0x7e,0x48,0x28,0x08,0x48,0x38,0x00,
	0x42,0x44,0x48,0x20,0x10,0x08,0x04,0x00,
	0x7e,0x42,0x42,0x50,0x20,0x10,0x08,0x00,
	0x50,0x3e,0x10,0x7c,0x10,0x10,0x08,0x00,
	0x7e,0x00,0x7e,0x40,0x20,0x10,0x0c,0x00,
	0x38,0x00,0x7c,0x10,0x10,0x08,0x04,0x00,
	0x04,0x04,0x1c,0x24,0x44,0x04,0x04,0x00,
	0x10,0x7c,0x10,0x10,0x10,0x08,0x04,0x00,
	0x38,0x00,0x00,0x00,0x00,0x00,0x7c,0x00,
	0x7e,0x40,0x40,0x28,0x10,0x28,0x44,0x00,
	0x10,0x7e,0x40,0x20,0x30,0x58,0x14,0x00,
	0x60,0x40,0x20,0x10,0x08,0x04,0x02,0x00,
	0x10,0x20,0x50,0x50,0x50,0x48,0x44,0x00,
	0x02,0x02,0x7e,0x02,0x02,0x42,0x3c,0x00,
	0x7e,0x40,0x40,0x20,0x10,0x08,0x04,0x00,
	0x00,0x00,0x08,0x14,0x22,0x40,0x00,0x00,
	0x10,0x7c,0x10,0x54,0x54,0x54,0x10,0x00,
	0x7e,0x40,0x40,0x28,0x10,0x20,0x40,0x00,
	0x02,0x3c,0x42,0x3c,0x42,0x3c,0x40,0x00,
	0x20,0x10,0x08,0x04,0x12,0x22,0x5e,0x00,
	0x40,0x44,0x28,0x10,0x28,0x04,0x02,0x00,
	0x7e,0x08,0x3c,0x08,0x08,0x48,0x30,0x00,
	0x08,0x7e,0x48,0x28,0x08,0x08,0x08,0x00,
	0x3c,0x20,0x20,0x20,0x10,0x08,0x7e,0x00,
	0x7e,0x40,0x40,0x7c,0x40,0x40,0x7e,0x00,
	0x54,0x54,0x44,0x40,0x20,0x10,0x08,0x00,
	0x42,0x42,0x42,0x42,0x22,0x10,0x08,0x00,
	0x0a,0x0a,0x0a,0x4a,0x4a,0x2a,0x1a,0x00,
	0x04,0x04,0x04,0x44,0x44,0x24,0x1c,0x00,
	0x7e,0x42,0x42,0x42,0x42,0x42,0x7e,0x00,
	0x7e,0x42,0x42,0x40,0x20,0x10,0x08,0x00,
	0x4e,0x40,0x40,0x40,0x20,0x12,0x0e,0x00,
	0x08,0x12,0x24,0x08,0x00,0x00,0x00,0x00,
	0x04,0x0a,0x04,0x00,0x00,0x00,0x00,0x00
};

BYTE Model4Font[256][8]={
/* CG 8 - for Model 4/4P */
/* Source: Reed M4 emulator (reedm4l.xbm, reedm4la.xbm). Checked
   by eye against my Model 4P. I should really pull out the ROM and read
   it directly to be sure this is right. Apologies to Matthew Reed. */
/* This is the newer CG with international alternate characters.
   Characters 0-31 are also different from the older CG. */
/* Letters start one line from top of cell, Model 4 style */
                                            
	0x24,0x18,0x24,0x42,0x7e,0x42,0x42,0x00,
	0x24,0x3c,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x24,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x10,0x08,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x00,0x38,0x44,0x3c,0x44,0x44,0x3c,0x02,
	0x10,0x08,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x18,0x24,0x04,0x0e,0x04,0x44,0x3e,0x00,
	0x7c,0x02,0x3c,0x42,0x3c,0x40,0x3e,0x00,
	0x24,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x24,0x00,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x24,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x08,0x10,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x08,0x10,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x08,0x10,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x00,0x18,0x24,0x18,0x00,0x00,0x00,0x00,
	0x24,0x00,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x24,0x00,0x18,0x10,0x10,0x10,0x38,0x00,
	0x08,0x14,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x10,0x28,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x10,0x28,0x18,0x10,0x10,0x10,0x38,0x00,
	0x10,0x28,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x10,0x28,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x00,0x00,0x3c,0x42,0x02,0x42,0x3c,0x08,
	0x00,0x00,0x00,0x00,0x00,0xfe,0x82,0xfe,
	0x00,0x1c,0x20,0x20,0x14,0x0c,0x1c,0x00,
	0x00,0x42,0x3c,0x24,0x24,0x3c,0x42,0x00,
	0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,
	0x01,0x03,0x07,0x0f,0x1f,0x3f,0x7f,0xff,
	0x00,0x00,0xff,0xff,0x00,0x00,0xff,0xff,
	0x00,0x00,0x10,0x38,0x38,0x28,0x00,0x00,
	0x30,0x48,0x08,0x3e,0x08,0x08,0x06,0x00,
	0x24,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x10,0x10,0x10,0x10,0x10,0x00,0x10,0x00,
	0x24,0x24,0x24,0x00,0x00,0x00,0x00,0x00,
	0x24,0x24,0x7e,0x24,0x7e,0x24,0x24,0x00,
	0x10,0x78,0x14,0x38,0x50,0x3c,0x10,0x00,
	0x00,0x46,0x26,0x10,0x08,0x64,0x62,0x00,
	0x0c,0x12,0x12,0x0c,0x52,0x22,0x5c,0x00,
	0x20,0x10,0x08,0x00,0x00,0x00,0x00,0x00,
	0x20,0x10,0x08,0x08,0x08,0x10,0x20,0x00,
	0x04,0x08,0x10,0x10,0x10,0x08,0x04,0x00,
	0x10,0x54,0x38,0x7c,0x38,0x54,0x10,0x00,
	0x00,0x10,0x10,0x7c,0x10,0x10,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x08,
	0x00,0x00,0x00,0x7e,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,
	0x00,0x40,0x20,0x10,0x08,0x04,0x02,0x00,
	0x3c,0x42,0x62,0x5a,0x46,0x42,0x3c,0x00,
	0x10,0x18,0x14,0x10,0x10,0x10,0x7c,0x00,
	0x3c,0x42,0x40,0x30,0x0c,0x02,0x7e,0x00,
	0x3c,0x42,0x40,0x38,0x40,0x42,0x3c,0x00,
	0x20,0x30,0x28,0x24,0x7e,0x20,0x20,0x00,
	0x7e,0x02,0x1e,0x20,0x40,0x22,0x1c,0x00,
	0x38,0x04,0x02,0x3e,0x42,0x42,0x3c,0x00,
	0x7e,0x42,0x20,0x10,0x08,0x08,0x08,0x00,
	0x3c,0x42,0x42,0x3c,0x42,0x42,0x3c,0x00,
	0x3c,0x42,0x42,0x7c,0x40,0x20,0x1c,0x00,
	0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,
	0x00,0x00,0x10,0x00,0x00,0x10,0x10,0x08,
	0x60,0x30,0x18,0x0c,0x18,0x30,0x60,0x00,
	0x00,0x00,0x7e,0x00,0x7e,0x00,0x00,0x00,
	0x06,0x0c,0x18,0x30,0x18,0x0c,0x06,0x00,
	0x3c,0x42,0x40,0x30,0x08,0x00,0x08,0x00,
	0x38,0x44,0x52,0x6a,0x32,0x04,0x78,0x00,
	0x18,0x24,0x42,0x7e,0x42,0x42,0x42,0x00,
	0x3e,0x44,0x44,0x3c,0x44,0x44,0x3e,0x00,
	0x38,0x44,0x02,0x02,0x02,0x44,0x38,0x00,
	0x1e,0x24,0x44,0x44,0x44,0x24,0x1e,0x00,
	0x7e,0x02,0x02,0x1e,0x02,0x02,0x7e,0x00,
	0x7e,0x02,0x02,0x1e,0x02,0x02,0x02,0x00,
	0x38,0x44,0x02,0x72,0x42,0x44,0x38,0x00,
	0x42,0x42,0x42,0x7e,0x42,0x42,0x42,0x00,
	0x38,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x70,0x20,0x20,0x20,0x20,0x22,0x1c,0x00,
	0x42,0x22,0x12,0x0e,0x12,0x22,0x42,0x00,
	0x02,0x02,0x02,0x02,0x02,0x02,0x7e,0x00,
	0x42,0x66,0x5a,0x5a,0x42,0x42,0x42,0x00,
	0x42,0x46,0x4a,0x52,0x62,0x42,0x42,0x00,
	0x3c,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x3e,0x42,0x42,0x3e,0x02,0x02,0x02,0x00,
	0x3c,0x42,0x42,0x42,0x52,0x22,0x5c,0x00,
	0x3e,0x42,0x42,0x3e,0x12,0x22,0x42,0x00,
	0x3c,0x42,0x02,0x3c,0x40,0x42,0x3c,0x00,
	0x7c,0x10,0x10,0x10,0x10,0x10,0x10,0x00,
	0x42,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x42,0x42,0x42,0x24,0x24,0x18,0x18,0x00,
	0x42,0x42,0x42,0x5a,0x5a,0x66,0x42,0x00,
	0x42,0x42,0x24,0x18,0x24,0x42,0x42,0x00,
	0x44,0x44,0x44,0x38,0x10,0x10,0x10,0x00,
	0x7e,0x40,0x20,0x18,0x04,0x02,0x7e,0x00,
	0x3c,0x04,0x04,0x04,0x04,0x04,0x3c,0x00,
	0x00,0x02,0x04,0x08,0x10,0x20,0x40,0x00,
	0x3c,0x20,0x20,0x20,0x20,0x20,0x3c,0x00,
	0x10,0x28,0x44,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xff,
	0x08,0x10,0x20,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x02,0x02,0x3a,0x46,0x42,0x46,0x3a,0x00,
	0x00,0x00,0x3c,0x42,0x02,0x42,0x3c,0x00,
	0x40,0x40,0x5c,0x62,0x42,0x62,0x5c,0x00,
	0x00,0x00,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x30,0x48,0x08,0x3e,0x08,0x08,0x08,0x00,
	0x00,0x00,0x5c,0x62,0x62,0x5c,0x40,0x3c,
	0x02,0x02,0x3a,0x46,0x42,0x42,0x42,0x00,
	0x10,0x00,0x18,0x10,0x10,0x10,0x38,0x00,
	0x20,0x00,0x30,0x20,0x20,0x20,0x22,0x1c,
	0x02,0x02,0x22,0x12,0x0a,0x16,0x22,0x00,
	0x18,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x00,0x00,0x6e,0x92,0x92,0x92,0x92,0x00,
	0x00,0x00,0x3a,0x46,0x42,0x42,0x42,0x00,
	0x00,0x00,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x00,0x00,0x3a,0x46,0x46,0x3a,0x02,0x02,
	0x00,0x00,0x5c,0x62,0x62,0x5c,0x40,0x40,
	0x00,0x00,0x3a,0x46,0x02,0x02,0x02,0x00,
	0x00,0x00,0x7c,0x02,0x3c,0x40,0x3e,0x00,
	0x08,0x08,0x3e,0x08,0x08,0x48,0x30,0x00,
	0x00,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x00,0x00,0x42,0x42,0x42,0x24,0x18,0x00,
	0x00,0x00,0x82,0x92,0x92,0x92,0x6c,0x00,
	0x00,0x00,0x42,0x24,0x18,0x24,0x42,0x00,
	0x00,0x00,0x42,0x42,0x62,0x5c,0x40,0x3c,
	0x00,0x00,0x7e,0x20,0x18,0x04,0x7e,0x00,
	0x30,0x08,0x08,0x04,0x08,0x08,0x30,0x00,
	0x10,0x10,0x10,0x00,0x10,0x10,0x10,0x00,
	0x0c,0x10,0x10,0x20,0x10,0x10,0x0c,0x00,
	0x0c,0x92,0x60,0x00,0x00,0x00,0x00,0x00,
	0x10,0x10,0x7c,0x10,0x10,0x00,0x7c,0x00,
	0x10,0x38,0x7c,0xfe,0xfe,0x7c,0x10,0x10,
	0x00,0x6c,0xfe,0xfe,0x7c,0x38,0x10,0x00,
	0x10,0x38,0x7c,0xfe,0x7c,0x38,0x10,0x00,
	0x38,0x38,0x10,0xd6,0xfe,0xd6,0x10,0x38,
	0x3c,0x42,0xa5,0x81,0xa5,0x99,0x42,0x3c,
	0x3c,0x42,0xa5,0x81,0x99,0xa5,0x42,0x3c,
	0x20,0x10,0x08,0x04,0x08,0x10,0x20,0x3c,
	0x04,0x08,0x10,0x20,0x10,0x08,0x04,0x3c,
	0x00,0x00,0x9c,0x62,0x62,0x9c,0x00,0x00,
	0x3c,0x44,0x3c,0x44,0x44,0x3c,0x04,0x02,
	0x86,0x48,0x28,0x18,0x08,0x0c,0x0c,0x00,
	0x30,0x48,0x08,0x30,0x50,0x48,0x30,0x00,
	0x60,0x10,0x08,0x7c,0x08,0x10,0x60,0x00,
	0x68,0x60,0x10,0x08,0x38,0x40,0x30,0x00,
	0x34,0x4a,0x48,0x48,0x40,0x40,0x40,0x00,
	0x10,0x28,0x44,0x7c,0x44,0x28,0x10,0x00,
	0x00,0x04,0x04,0x04,0x44,0x44,0x38,0x00,
	0x02,0x12,0x0a,0x06,0x0a,0x52,0x22,0x00,
	0x04,0x08,0x08,0x08,0x18,0x24,0x42,0x00,
	0x24,0x24,0x24,0x24,0x5c,0x04,0x04,0x00,
	0x00,0x00,0x4c,0x48,0x28,0x18,0x08,0x00,
	0x10,0x38,0x04,0x18,0x04,0x38,0x40,0x30,
	0x00,0x18,0x24,0x42,0x42,0x24,0x18,0x00,
	0x00,0x00,0x7c,0x2a,0x28,0x28,0x28,0x00,
	0x00,0x18,0x24,0x24,0x1c,0x04,0x04,0x00,
	0x00,0x00,0x7c,0x12,0x12,0x0c,0x00,0x00,
	0x00,0x00,0x7c,0x12,0x10,0x10,0x10,0x10,
	0x00,0x40,0x26,0x24,0x24,0x24,0x18,0x00,
	0x10,0x38,0x54,0x54,0x54,0x38,0x10,0x00,
	0x00,0x00,0x46,0x28,0x10,0x28,0xc4,0x00,
	0x92,0x54,0x54,0x38,0x10,0x10,0x10,0x00,
	0x00,0x00,0x44,0x82,0x92,0x92,0x6c,0x00,
	0x38,0x44,0x82,0x82,0xc6,0x44,0xc6,0x00,
	0x78,0x08,0x08,0x08,0x0a,0x0c,0x08,0x00,
	0x00,0x10,0x00,0x7c,0x00,0x10,0x00,0x00,
	0x7e,0x04,0x08,0x30,0x08,0x04,0x7e,0x00,
	0x00,0x4c,0x32,0x00,0x4c,0x32,0x00,0x00,
	0x00,0x00,0x10,0x28,0x44,0xfe,0x00,0x00,
	0x20,0x10,0x08,0x08,0x10,0x10,0x08,0x04,
	0x80,0x40,0xfe,0x10,0xfe,0x04,0x02,0x00,
	0x08,0x10,0x20,0x7c,0x08,0x10,0x20,0x00,
	0xfc,0x4a,0x24,0x10,0x48,0xa4,0x42,0x00,
	0x38,0x44,0x82,0x82,0xfe,0x44,0x44,0xc6,
	0x00,0x00,0x6c,0x92,0x92,0x6c,0x00,0x00,
	0x00,0x40,0x20,0x12,0x0a,0x06,0x02,0x00,
	0x78,0x04,0x38,0x44,0x38,0x40,0x3c,0x00,
	0x44,0xaa,0x54,0x28,0x54,0xaa,0x44,0x00,
	0x3c,0x42,0xb9,0x85,0x85,0xb9,0x42,0x3c,
	0x42,0x24,0x18,0x24,0x18,0x24,0x42,0x00,
	0x7c,0x52,0x52,0x5c,0x50,0x50,0x50,0x50,
	0x10,0x38,0x54,0x14,0x54,0x38,0x10,0x00,
	0x3c,0x5e,0xa5,0xa5,0x9d,0x95,0x66,0x3c,
	0xfa,0x06,0xc6,0x46,0x26,0xde,0x06,0xfa,
	0xff,0x20,0xc0,0x3f,0x40,0x3f,0x20,0x1f,
	0x3f,0x40,0x3f,0x00,0x00,0x00,0x00,0x00,
	0x1e,0x22,0x22,0x1e,0x52,0x22,0xd2,0x00,
	0x86,0x41,0x21,0x16,0x68,0x94,0x92,0x61,
	0x70,0x60,0x50,0x0e,0x09,0x09,0x06,0x00,
	0x38,0x44,0x44,0x44,0x38,0x10,0x38,0x10,
	0x70,0x10,0x10,0x70,0x00,0x00,0x00,0x00,
	0xff,0xc7,0xbb,0xcf,0xef,0xff,0xef,0xff,
	0x10,0x28,0x10,0x38,0x54,0x10,0x28,0x44,
	0x10,0x28,0x10,0x38,0x54,0x28,0x7c,0x28,
	0x10,0x28,0x44,0x44,0x44,0x54,0x6c,0x44,
	0x10,0x08,0x00,0x00,0x00,0x00,0x00,0x00,
	0x08,0x10,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x00,0x00,0x3c,0x42,0x02,0x42,0x3c,0x08,
	0x18,0x24,0x04,0x0e,0x04,0x44,0x3e,0x00,
	0x08,0x10,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x44,0x44,0x44,0x64,0x5c,0x02,
	0x00,0x18,0x24,0x18,0x00,0x00,0x00,0x00,
	0x00,0x1c,0x14,0x08,0x00,0x00,0x00,0x00,
	0x00,0x08,0x1c,0x08,0x08,0x00,0x00,0x00,
	0x7c,0x02,0x3c,0x42,0x3c,0x40,0x3e,0x00,
	0x3c,0x42,0x9d,0xa5,0x9d,0xa5,0x42,0x3c,
	0x3c,0x42,0xb9,0x85,0x85,0xb9,0x42,0x3c,
	0x04,0x44,0x24,0x14,0x08,0x54,0x72,0x40,
	0x06,0x44,0x26,0x14,0x0e,0x54,0x72,0x40,
	0x04,0x44,0x24,0x14,0x68,0x44,0x22,0x60,
	0x7c,0x52,0x52,0x5c,0x50,0x50,0x50,0x00,
	0x44,0x28,0x10,0x7c,0x10,0x7c,0x10,0x00,
	0x24,0x18,0x24,0x42,0x7e,0x42,0x42,0x00,
	0x24,0x3c,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x24,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x10,0x38,0x54,0x14,0x54,0x38,0x10,0x00,
	0x4c,0x32,0x00,0x00,0x00,0x00,0x00,0x00,
	0x24,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x24,0x00,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x24,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x00,0x38,0x44,0x3c,0x44,0x44,0x3c,0x02,
	0x00,0x07,0x52,0xaa,0xaa,0x8a,0x8a,0x00,
	0x10,0x08,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x08,0x10,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x08,0x10,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x24,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x30,0x48,0x08,0x3e,0x08,0x08,0x06,0x00,
	0x08,0x14,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x10,0x28,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x10,0x28,0x18,0x10,0x10,0x10,0x38,0x00,
	0x10,0x28,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x10,0x28,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x10,0x28,0x00,0x00,0x00,0x00,0x00,0x00,
	0x24,0x00,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x24,0x00,0x18,0x10,0x10,0x10,0x38,0x00,
	0x10,0x08,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x10,0x08,0x18,0x10,0x10,0x10,0x38,0x00,
	0x10,0x08,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x10,0x08,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x08,0x00,0x08,0x08,0x08,0x08,0x08,0x00,
	0x4c,0x32,0x00,0x3a,0x46,0x42,0x42,0x00,
	0x4c,0x32,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x4c,0x32,0x00,0x3c,0x42,0x42,0x3c,0x00,
	0x78,0x14,0x12,0x72,0x1e,0x12,0x72,0x00,
	0x00,0x00,0x2e,0x50,0x7c,0x12,0x7c,0x00,
	0x18,0x18,0x24,0x42,0x7e,0x42,0x42,0x00,
	0x08,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x3c,0x42,0x62,0x5a,0x46,0x42,0x3c,0x00,
	0x00,0x00,0x3c,0x62,0x5a,0x46,0x3c,0x00,
	0x4c,0x32,0x46,0x4a,0x52,0x62,0x42,0x00,
	0x10,0x08,0x7e,0x02,0x1e,0x02,0x7e,0x00,
	0x10,0x08,0x18,0x24,0x7e,0x42,0x42,0x00,
	0x20,0x10,0x38,0x10,0x10,0x10,0x38,0x00,
	0x10,0x08,0x3c,0x42,0x42,0x42,0x3c,0x00,
	0x10,0x08,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x08,0x00,0x08,0x04,0x02,0x22,0x1c,0x00,
	0x08,0x10,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x08,0x10,0x7e,0x02,0x1e,0x02,0x7e,0x00,
	0x08,0x10,0x18,0x24,0x7e,0x42,0x42,0x00
};


BYTE AltFonts[3][256][8]={
{
/* CG 5 - for Model III */
/* Source: see corresponding Model 4/4P CG */
/* This is the newer CG with international alternate characters.
   Characters 0-31 are also different from the older CG. I'm not certain
   this CG was available in the Model III; it may have been introduced
   in the Model 4 */
/* Letters shifted up 1 to start at top of cell, Model III style */
                                      
   0x24,0x18,0x24,0x42,0x7e,0x42,0x42,0x00,
   0x24,0x3c,0x42,0x42,0x42,0x42,0x3c,0x00,
   0x24,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
   0x10,0x08,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x00,0x38,0x44,0x3c,0x44,0x44,0x3c,0x02,
   0x10,0x08,0x3c,0x42,0x42,0x42,0x3c,0x00,
   0x18,0x24,0x04,0x0e,0x04,0x44,0x3e,0x00,
   0x7c,0x02,0x3c,0x42,0x3c,0x40,0x3e,0x00,
   0x24,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x24,0x00,0x3c,0x42,0x42,0x42,0x3c,0x00,
   0x24,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
   0x08,0x10,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x08,0x10,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x08,0x10,0x42,0x42,0x42,0x62,0x5c,0x00,
   0x00,0x18,0x24,0x18,0x00,0x00,0x00,0x00,
   0x24,0x00,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x24,0x00,0x18,0x10,0x10,0x10,0x38,0x00,
   0x08,0x14,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x10,0x28,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x10,0x28,0x18,0x10,0x10,0x10,0x38,0x00,
   0x10,0x28,0x3c,0x42,0x42,0x42,0x3c,0x00,
   0x10,0x28,0x42,0x42,0x42,0x62,0x5c,0x00,
   0x00,0x00,0x3c,0x42,0x02,0x42,0x3c,0x08,
   0x00,0x00,0x00,0x00,0x00,0xfe,0x82,0xfe,
   0x00,0x1c,0x20,0x20,0x14,0x0c,0x1c,0x00,
   0x00,0x42,0x3c,0x24,0x24,0x3c,0x42,0x00,
   0x03,0x03,0x03,0x03,0x03,0x03,0x03,0x03,
   0x01,0x03,0x07,0x0f,0x1f,0x3f,0x7f,0xff,
   0x00,0x00,0xff,0xff,0x00,0x00,0xff,0xff,
   0x00,0x00,0x10,0x38,0x38,0x28,0x00,0x00,
   0x30,0x48,0x08,0x3e,0x08,0x08,0x06,0x00,
   0x24,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x10,0x10,0x10,0x10,0x10,0x00,0x10,0x00,
   0x24,0x24,0x24,0x00,0x00,0x00,0x00,0x00,
   0x24,0x24,0x7e,0x24,0x7e,0x24,0x24,0x00,
   0x10,0x78,0x14,0x38,0x50,0x3c,0x10,0x00,
   0x00,0x46,0x26,0x10,0x08,0x64,0x62,0x00,
   0x0c,0x12,0x12,0x0c,0x52,0x22,0x5c,0x00,
   0x20,0x10,0x08,0x00,0x00,0x00,0x00,0x00,
   0x20,0x10,0x08,0x08,0x08,0x10,0x20,0x00,
   0x04,0x08,0x10,0x10,0x10,0x08,0x04,0x00,
   0x10,0x54,0x38,0x7c,0x38,0x54,0x10,0x00,
   0x00,0x10,0x10,0x7c,0x10,0x10,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x08,
   0x00,0x00,0x00,0x7e,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,
   0x00,0x40,0x20,0x10,0x08,0x04,0x02,0x00,
   0x3c,0x42,0x62,0x5a,0x46,0x42,0x3c,0x00,
   0x10,0x18,0x14,0x10,0x10,0x10,0x7c,0x00,
   0x3c,0x42,0x40,0x30,0x0c,0x02,0x7e,0x00,
   0x3c,0x42,0x40,0x38,0x40,0x42,0x3c,0x00,
   0x20,0x30,0x28,0x24,0x7e,0x20,0x20,0x00,
   0x7e,0x02,0x1e,0x20,0x40,0x22,0x1c,0x00,
   0x38,0x04,0x02,0x3e,0x42,0x42,0x3c,0x00,
   0x7e,0x42,0x20,0x10,0x08,0x08,0x08,0x00,
   0x3c,0x42,0x42,0x3c,0x42,0x42,0x3c,0x00,
   0x3c,0x42,0x42,0x7c,0x40,0x20,0x1c,0x00,
   0x00,0x00,0x10,0x00,0x00,0x10,0x00,0x00,
   0x00,0x00,0x10,0x00,0x00,0x10,0x10,0x08,
   0x60,0x30,0x18,0x0c,0x18,0x30,0x60,0x00,
   0x00,0x00,0x7e,0x00,0x7e,0x00,0x00,0x00,
   0x06,0x0c,0x18,0x30,0x18,0x0c,0x06,0x00,
   0x3c,0x42,0x40,0x30,0x08,0x00,0x08,0x00,
   0x38,0x44,0x52,0x6a,0x32,0x04,0x78,0x00,
   0x18,0x24,0x42,0x7e,0x42,0x42,0x42,0x00,
   0x3e,0x44,0x44,0x3c,0x44,0x44,0x3e,0x00,
   0x38,0x44,0x02,0x02,0x02,0x44,0x38,0x00,
   0x1e,0x24,0x44,0x44,0x44,0x24,0x1e,0x00,
   0x7e,0x02,0x02,0x1e,0x02,0x02,0x7e,0x00,
   0x7e,0x02,0x02,0x1e,0x02,0x02,0x02,0x00,
   0x38,0x44,0x02,0x72,0x42,0x44,0x38,0x00,
   0x42,0x42,0x42,0x7e,0x42,0x42,0x42,0x00,
   0x38,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
   0x70,0x20,0x20,0x20,0x20,0x22,0x1c,0x00,
   0x42,0x22,0x12,0x0e,0x12,0x22,0x42,0x00,
   0x02,0x02,0x02,0x02,0x02,0x02,0x7e,0x00,
   0x42,0x66,0x5a,0x5a,0x42,0x42,0x42,0x00,
   0x42,0x46,0x4a,0x52,0x62,0x42,0x42,0x00,
   0x3c,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
   0x3e,0x42,0x42,0x3e,0x02,0x02,0x02,0x00,
   0x3c,0x42,0x42,0x42,0x52,0x22,0x5c,0x00,
   0x3e,0x42,0x42,0x3e,0x12,0x22,0x42,0x00,
   0x3c,0x42,0x02,0x3c,0x40,0x42,0x3c,0x00,
   0x7c,0x10,0x10,0x10,0x10,0x10,0x10,0x00,
   0x42,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
   0x42,0x42,0x42,0x24,0x24,0x18,0x18,0x00,
   0x42,0x42,0x42,0x5a,0x5a,0x66,0x42,0x00,
   0x42,0x42,0x24,0x18,0x24,0x42,0x42,0x00,
   0x44,0x44,0x44,0x38,0x10,0x10,0x10,0x00,
   0x7e,0x40,0x20,0x18,0x04,0x02,0x7e,0x00,
   0x3c,0x04,0x04,0x04,0x04,0x04,0x3c,0x00,
   0x00,0x02,0x04,0x08,0x10,0x20,0x40,0x00,
   0x3c,0x20,0x20,0x20,0x20,0x20,0x3c,0x00,
   0x10,0x28,0x44,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xff,
   0x08,0x10,0x20,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x02,0x02,0x3a,0x46,0x42,0x46,0x3a,0x00,
   0x00,0x00,0x3c,0x42,0x02,0x42,0x3c,0x00,
   0x40,0x40,0x5c,0x62,0x42,0x62,0x5c,0x00,
   0x00,0x00,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x30,0x48,0x08,0x3e,0x08,0x08,0x08,0x00,
   0x00,0x00,0x5c,0x62,0x62,0x5c,0x40,0x3c,
   0x02,0x02,0x3a,0x46,0x42,0x42,0x42,0x00,
   0x10,0x00,0x18,0x10,0x10,0x10,0x38,0x00,
   0x20,0x00,0x30,0x20,0x20,0x20,0x22,0x1c,
   0x02,0x02,0x22,0x12,0x0a,0x16,0x22,0x00,
   0x18,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
   0x00,0x00,0x6e,0x92,0x92,0x92,0x92,0x00,
   0x00,0x00,0x3a,0x46,0x42,0x42,0x42,0x00,
   0x00,0x00,0x3c,0x42,0x42,0x42,0x3c,0x00,
   0x00,0x00,0x3a,0x46,0x46,0x3a,0x02,0x02,
   0x00,0x00,0x5c,0x62,0x62,0x5c,0x40,0x40,
   0x00,0x00,0x3a,0x46,0x02,0x02,0x02,0x00,
   0x00,0x00,0x7c,0x02,0x3c,0x40,0x3e,0x00,
   0x08,0x08,0x3e,0x08,0x08,0x48,0x30,0x00,
   0x00,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
   0x00,0x00,0x42,0x42,0x42,0x24,0x18,0x00,
   0x00,0x00,0x82,0x92,0x92,0x92,0x6c,0x00,
   0x00,0x00,0x42,0x24,0x18,0x24,0x42,0x00,
   0x00,0x00,0x42,0x42,0x62,0x5c,0x40,0x3c,
   0x00,0x00,0x7e,0x20,0x18,0x04,0x7e,0x00,
   0x30,0x08,0x08,0x04,0x08,0x08,0x30,0x00,
   0x10,0x10,0x10,0x00,0x10,0x10,0x10,0x00,
   0x0c,0x10,0x10,0x20,0x10,0x10,0x0c,0x00,
   0x0c,0x92,0x60,0x00,0x00,0x00,0x00,0x00,
   0x10,0x10,0x7c,0x10,0x10,0x00,0x7c,0x00,
   0x10,0x38,0x7c,0xfe,0xfe,0x7c,0x10,0x10,
   0x00,0x6c,0xfe,0xfe,0x7c,0x38,0x10,0x00,
   0x10,0x38,0x7c,0xfe,0x7c,0x38,0x10,0x00,
   0x38,0x38,0x10,0xd6,0xfe,0xd6,0x10,0x38,
   0x3c,0x42,0xa5,0x81,0xa5,0x99,0x42,0x3c,
   0x3c,0x42,0xa5,0x81,0x99,0xa5,0x42,0x3c,
   0x20,0x10,0x08,0x04,0x08,0x10,0x20,0x3c,
   0x04,0x08,0x10,0x20,0x10,0x08,0x04,0x3c,
   0x00,0x00,0x9c,0x62,0x62,0x9c,0x00,0x00,
   0x3c,0x44,0x3c,0x44,0x44,0x3c,0x04,0x02,
   0x86,0x48,0x28,0x18,0x08,0x0c,0x0c,0x00,
   0x30,0x48,0x08,0x30,0x50,0x48,0x30,0x00,
   0x60,0x10,0x08,0x7c,0x08,0x10,0x60,0x00,
   0x68,0x60,0x10,0x08,0x38,0x40,0x30,0x00,
   0x34,0x4a,0x48,0x48,0x40,0x40,0x40,0x00,
   0x10,0x28,0x44,0x7c,0x44,0x28,0x10,0x00,
   0x00,0x04,0x04,0x04,0x44,0x44,0x38,0x00,
   0x02,0x12,0x0a,0x06,0x0a,0x52,0x22,0x00,
   0x04,0x08,0x08,0x08,0x18,0x24,0x42,0x00,
   0x24,0x24,0x24,0x24,0x5c,0x04,0x04,0x00,
   0x00,0x00,0x4c,0x48,0x28,0x18,0x08,0x00,
   0x10,0x38,0x04,0x18,0x04,0x38,0x40,0x30,
   0x00,0x18,0x24,0x42,0x42,0x24,0x18,0x00,
   0x00,0x00,0x7c,0x2a,0x28,0x28,0x28,0x00,
   0x00,0x18,0x24,0x24,0x1c,0x04,0x04,0x00,
   0x00,0x00,0x7c,0x12,0x12,0x0c,0x00,0x00,
   0x00,0x00,0x7c,0x12,0x10,0x10,0x10,0x10,
   0x00,0x40,0x26,0x24,0x24,0x24,0x18,0x00,
   0x10,0x38,0x54,0x54,0x54,0x38,0x10,0x00,
   0x00,0x00,0x46,0x28,0x10,0x28,0xc4,0x00,
   0x92,0x54,0x54,0x38,0x10,0x10,0x10,0x00,
   0x00,0x00,0x44,0x82,0x92,0x92,0x6c,0x00,
   0x38,0x44,0x82,0x82,0xc6,0x44,0xc6,0x00,
   0x78,0x08,0x08,0x08,0x0a,0x0c,0x08,0x00,
   0x00,0x10,0x00,0x7c,0x00,0x10,0x00,0x00,
   0x7e,0x04,0x08,0x30,0x08,0x04,0x7e,0x00,
   0x00,0x4c,0x32,0x00,0x4c,0x32,0x00,0x00,
   0x00,0x00,0x10,0x28,0x44,0xfe,0x00,0x00,
   0x20,0x10,0x08,0x08,0x10,0x10,0x08,0x04,
   0x80,0x40,0xfe,0x10,0xfe,0x04,0x02,0x00,
   0x08,0x10,0x20,0x7c,0x08,0x10,0x20,0x00,
   0xfc,0x4a,0x24,0x10,0x48,0xa4,0x42,0x00,
   0x38,0x44,0x82,0x82,0xfe,0x44,0x44,0xc6,
   0x00,0x00,0x6c,0x92,0x92,0x6c,0x00,0x00,
   0x00,0x40,0x20,0x12,0x0a,0x06,0x02,0x00,
   0x78,0x04,0x38,0x44,0x38,0x40,0x3c,0x00,
   0x44,0xaa,0x54,0x28,0x54,0xaa,0x44,0x00,
   0x3c,0x42,0xb9,0x85,0x85,0xb9,0x42,0x3c,
   0x42,0x24,0x18,0x24,0x18,0x24,0x42,0x00,
   0x7c,0x52,0x52,0x5c,0x50,0x50,0x50,0x50,
   0x10,0x38,0x54,0x14,0x54,0x38,0x10,0x00,
   0x3c,0x5e,0xa5,0xa5,0x9d,0x95,0x66,0x3c,
   0xfa,0x06,0xc6,0x46,0x26,0xde,0x06,0xfa,
   0xff,0x20,0xc0,0x3f,0x40,0x3f,0x20,0x1f,
   0x3f,0x40,0x3f,0x00,0x00,0x00,0x00,0x00,
   0x1e,0x22,0x22,0x1e,0x52,0x22,0xd2,0x00,
   0x86,0x41,0x21,0x16,0x68,0x94,0x92,0x61,
   0x70,0x60,0x50,0x0e,0x09,0x09,0x06,0x00,
   0x38,0x44,0x44,0x44,0x38,0x10,0x38,0x10,
   0x70,0x10,0x10,0x70,0x00,0x00,0x00,0x00,
   0xff,0xc7,0xbb,0xcf,0xef,0xff,0xef,0xff,
   0x10,0x28,0x10,0x38,0x54,0x10,0x28,0x44,
   0x10,0x28,0x10,0x38,0x54,0x28,0x7c,0x28,
   0x10,0x28,0x44,0x44,0x44,0x54,0x6c,0x44,
   0x10,0x08,0x00,0x00,0x00,0x00,0x00,0x00,
   0x08,0x10,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x00,0x00,0x3c,0x42,0x02,0x42,0x3c,0x08,
   0x18,0x24,0x04,0x0e,0x04,0x44,0x3e,0x00,
   0x08,0x10,0x00,0x00,0x00,0x00,0x00,0x00,
   0x00,0x00,0x44,0x44,0x44,0x64,0x5c,0x02,
   0x00,0x18,0x24,0x18,0x00,0x00,0x00,0x00,
   0x00,0x1c,0x14,0x08,0x00,0x00,0x00,0x00,
   0x00,0x08,0x1c,0x08,0x08,0x00,0x00,0x00,
   0x7c,0x02,0x3c,0x42,0x3c,0x40,0x3e,0x00,
   0x3c,0x42,0x9d,0xa5,0x9d,0xa5,0x42,0x3c,
   0x3c,0x42,0xb9,0x85,0x85,0xb9,0x42,0x3c,
   0x04,0x44,0x24,0x14,0x08,0x54,0x72,0x40,
   0x06,0x44,0x26,0x14,0x0e,0x54,0x72,0x40,
   0x04,0x44,0x24,0x14,0x68,0x44,0x22,0x60,
   0x7c,0x52,0x52,0x5c,0x50,0x50,0x50,0x00,
   0x44,0x28,0x10,0x7c,0x10,0x7c,0x10,0x00,
   0x24,0x18,0x24,0x42,0x7e,0x42,0x42,0x00,
   0x24,0x3c,0x42,0x42,0x42,0x42,0x3c,0x00,
   0x24,0x42,0x42,0x42,0x42,0x42,0x3c,0x00,
   0x10,0x38,0x54,0x14,0x54,0x38,0x10,0x00,
   0x4c,0x32,0x00,0x00,0x00,0x00,0x00,0x00,
   0x24,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x24,0x00,0x3c,0x42,0x42,0x42,0x3c,0x00,
   0x24,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
   0x00,0x38,0x44,0x3c,0x44,0x44,0x3c,0x02,
   0x00,0x07,0x52,0xaa,0xaa,0x8a,0x8a,0x00,
   0x10,0x08,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x08,0x10,0x42,0x42,0x42,0x62,0x5c,0x00,
   0x08,0x10,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x24,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
   0x30,0x48,0x08,0x3e,0x08,0x08,0x06,0x00,
   0x08,0x14,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x10,0x28,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x10,0x28,0x18,0x10,0x10,0x10,0x38,0x00,
   0x10,0x28,0x3c,0x42,0x42,0x42,0x3c,0x00,
   0x10,0x28,0x42,0x42,0x42,0x62,0x5c,0x00,
   0x10,0x28,0x00,0x00,0x00,0x00,0x00,0x00,
   0x24,0x00,0x3c,0x42,0x7e,0x02,0x3c,0x00,
   0x24,0x00,0x18,0x10,0x10,0x10,0x38,0x00,
   0x10,0x08,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x10,0x08,0x18,0x10,0x10,0x10,0x38,0x00,
   0x10,0x08,0x3c,0x42,0x42,0x42,0x3c,0x00,
   0x10,0x08,0x42,0x42,0x42,0x62,0x5c,0x00,
   0x08,0x00,0x08,0x08,0x08,0x08,0x08,0x00,
   0x4c,0x32,0x00,0x3a,0x46,0x42,0x42,0x00,
   0x4c,0x32,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x4c,0x32,0x00,0x3c,0x42,0x42,0x3c,0x00,
   0x78,0x14,0x12,0x72,0x1e,0x12,0x72,0x00,
   0x00,0x00,0x2e,0x50,0x7c,0x12,0x7c,0x00,
   0x18,0x18,0x24,0x42,0x7e,0x42,0x42,0x00,
   0x08,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
   0x3c,0x42,0x62,0x5a,0x46,0x42,0x3c,0x00,
   0x00,0x00,0x3c,0x62,0x5a,0x46,0x3c,0x00,
   0x4c,0x32,0x46,0x4a,0x52,0x62,0x42,0x00,
   0x10,0x08,0x7e,0x02,0x1e,0x02,0x7e,0x00,
   0x10,0x08,0x18,0x24,0x7e,0x42,0x42,0x00,
   0x20,0x10,0x38,0x10,0x10,0x10,0x38,0x00,
   0x10,0x08,0x3c,0x42,0x42,0x42,0x3c,0x00,
   0x10,0x08,0x42,0x42,0x42,0x42,0x3c,0x00,
   0x08,0x00,0x08,0x04,0x02,0x22,0x1c,0x00,
   0x08,0x10,0x42,0x42,0x42,0x42,0x3c,0x00,
   0x08,0x10,0x7e,0x02,0x1e,0x02,0x7e,0x00,
   0x08,0x10,0x18,0x24,0x7e,0x42,0x42,0x00
},

{
/* CG 6 - for Model III */
/* Source: a Model III CG ROM, read by Todd P. Cromwell III (todd2_4.bin) */
/* I'm guessing this was a 3rd party replacement CG, not from Radio
   Shack.  The ROM was marked as "Model III/4 character
   generator". The normal ASCII characters are bold, and alternates
   are the upper case and numbers in inverse video. This ROM doesn't
   seem especially suited for the Model 4, which had inverse video in
   hardware. */
/* Letters start at top of cell, Model III style */
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x30,0x48,0x08,0x3e,0x08,0x48,0x3e,0x00,
	0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,
	0x20,0x10,0x3c,0x42,0x7e,0x02,0x3c,0x00,
	0x24,0x00,0x42,0x42,0x42,0x42,0x3c,0x00,
	0x10,0x28,0x10,0x28,0x44,0x7c,0x44,0x00,
	0x00,0x00,0x00,0x7e,0x40,0x40,0x00,0x00,
	0x28,0x00,0x38,0x44,0x44,0x44,0x38,0x00,
	0xb8,0x44,0x64,0x54,0x4c,0x44,0x3a,0x00,
	0x08,0x10,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x4c,0x32,0x00,0x34,0x4c,0x44,0x44,0x00,
	0x10,0x20,0x40,0x00,0x00,0x00,0x00,0x00,
	0x1c,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x7c,0x5e,0x22,0x22,0x1e,0x12,0x22,0x00,
	0x28,0x00,0x10,0x28,0x44,0x7c,0x44,0x00,
	0x4c,0x32,0x10,0x28,0x44,0x7c,0x44,0x00,
	0x4c,0x32,0x44,0x4c,0x54,0x64,0x44,0x00,
	0x00,0x28,0x38,0x44,0x44,0x44,0x38,0x00,
	0x90,0x68,0x64,0x54,0x4c,0x2c,0x12,0x00,
	0x4c,0x32,0x00,0x3c,0x42,0x42,0x3c,0x00,
	0x3c,0x44,0x44,0x3c,0x44,0x44,0x3e,0x00,
	0x24,0x00,0x42,0x42,0x42,0x62,0x5c,0x00,
	0x4c,0x32,0x00,0x18,0x24,0x24,0x18,0x00,
	0x38,0x54,0x50,0x38,0x14,0x54,0x38,0x00,
	0x14,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x04,0x08,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x08,0x00,0x1c,0x20,0x3c,0x22,0x5c,0x00,
	0x3c,0x02,0x3e,0x42,0x7c,0x40,0x3c,0x00,
	0x20,0x10,0x7c,0x04,0x7c,0x04,0x7c,0x00,
	0x10,0x78,0x24,0x64,0x3c,0x24,0x64,0x00,
	0x38,0x44,0x04,0x04,0x44,0x38,0x10,0x08,
	0x00,0x00,0x4c,0x32,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x0c,0x1e,0x1e,0x0c,0x0c,0x00,0x0c,0x00,
	0x36,0x36,0x36,0x00,0x00,0x00,0x00,0x00,
	0x36,0x36,0x7f,0x36,0x7f,0x36,0x36,0x00,
	0x0c,0x3e,0x03,0x1e,0x30,0x1f,0x0c,0x00,
	0x00,0x36,0x33,0x18,0x0c,0x66,0x63,0x00,
	0x1c,0x36,0x1c,0x6e,0x3b,0x33,0x6e,0x00,
	0x06,0x06,0x03,0x00,0x00,0x00,0x00,0x00,
	0x18,0x0c,0x06,0x06,0x06,0x0c,0x18,0x00,
	0x06,0x0c,0x18,0x18,0x18,0x0c,0x06,0x00,
	0x00,0x66,0x3c,0xff,0x3c,0x66,0x00,0x00,
	0x00,0x0c,0x0c,0x3f,0x0c,0x0c,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x0c,0x0c,0x06,
	0x00,0x00,0x00,0x3f,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x0c,0x0c,0x00,
	0x00,0x60,0x30,0x18,0x0c,0x06,0x03,0x00,
	0x3e,0x63,0x63,0x6b,0x63,0x63,0x3e,0x00,
	0x0c,0x0e,0x0c,0x0c,0x0c,0x0c,0x3f,0x00,
	0x1e,0x33,0x30,0x1c,0x06,0x33,0x3f,0x00,
	0x1e,0x33,0x30,0x1c,0x30,0x33,0x1e,0x00,
	0x38,0x3c,0x36,0x33,0x7f,0x30,0x78,0x00,
	0x3f,0x03,0x1f,0x30,0x30,0x30,0x1e,0x00,
	0x1c,0x06,0x03,0x1f,0x33,0x33,0x1e,0x00,
	0x3f,0x33,0x30,0x18,0x0c,0x0c,0x0c,0x00,
	0x1e,0x33,0x33,0x1e,0x33,0x33,0x1e,0x00,
	0x1e,0x33,0x33,0x3e,0x30,0x18,0x0e,0x00,
	0x00,0x0c,0x0c,0x00,0x00,0x0c,0x0c,0x00,
	0x00,0x0c,0x0c,0x00,0x00,0x0c,0x0c,0x06,
	0x18,0x0c,0x06,0x03,0x06,0x0c,0x18,0x00,
	0x00,0x00,0x3f,0x00,0x3f,0x00,0x00,0x00,
	0x06,0x0c,0x18,0x30,0x18,0x0c,0x06,0x00,
	0x1e,0x33,0x30,0x18,0x0c,0x00,0x0c,0x00,
	0x3e,0x63,0x7b,0x7b,0x7b,0x03,0x1e,0x00,
	0x0c,0x1e,0x33,0x33,0x3f,0x33,0x33,0x00,
	0x3f,0x66,0x66,0x3e,0x66,0x66,0x3f,0x00,
	0x3c,0x66,0x03,0x03,0x03,0x66,0x3c,0x00,
	0x1f,0x36,0x66,0x66,0x66,0x36,0x1f,0x00,
	0x7f,0x46,0x16,0x1e,0x16,0x46,0x7f,0x00,
	0x7f,0x46,0x16,0x1e,0x16,0x06,0x0f,0x00,
	0x3c,0x66,0x03,0x03,0x73,0x66,0x3c,0x00,
	0x33,0x33,0x33,0x3f,0x33,0x33,0x33,0x00,
	0x1e,0x0c,0x0c,0x0c,0x0c,0x0c,0x1e,0x00,
	0x78,0x30,0x30,0x30,0x33,0x33,0x1e,0x00,
	0x67,0x66,0x36,0x1e,0x36,0x66,0x67,0x00,
	0x0f,0x06,0x06,0x06,0x46,0x66,0x7f,0x00,
	0x63,0x77,0x7f,0x7f,0x6b,0x63,0x63,0x00,
	0x63,0x67,0x6f,0x7b,0x73,0x63,0x63,0x00,
	0x3e,0x63,0x63,0x63,0x63,0x63,0x3e,0x00,
	0x3f,0x66,0x66,0x3e,0x06,0x06,0x0f,0x00,
	0x1e,0x33,0x33,0x33,0x3b,0x1e,0x38,0x00,
	0x3f,0x66,0x66,0x3e,0x36,0x66,0x67,0x00,
	0x1e,0x33,0x07,0x0e,0x38,0x33,0x1e,0x00,
	0x3f,0x2d,0x0c,0x0c,0x0c,0x0c,0x1e,0x00,
	0x33,0x33,0x33,0x33,0x33,0x33,0x3f,0x00,
	0x33,0x33,0x33,0x33,0x33,0x1e,0x0c,0x00,
	0x63,0x63,0x63,0x6b,0x7f,0x77,0x63,0x00,
	0x63,0x63,0x36,0x1c,0x1c,0x36,0x63,0x00,
	0x33,0x33,0x33,0x1e,0x0c,0x0c,0x1e,0x00,
	0x7f,0x63,0x31,0x18,0x4c,0x66,0x7f,0x00,
	0x3c,0x04,0x04,0x04,0x04,0x04,0x3c,0x00,
	0x00,0x06,0x0c,0x18,0x30,0x60,0xc0,0x00,
	0x3c,0x20,0x20,0x20,0x20,0x20,0x3c,0x00,
	0x10,0x38,0x6c,0xc6,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xff,
	0x18,0x30,0x60,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x1e,0x30,0x3e,0x33,0x6e,0x00,
	0x07,0x06,0x3e,0x66,0x66,0x66,0x3b,0x00,
	0x00,0x00,0x1e,0x33,0x03,0x33,0x1e,0x00,
	0x38,0x30,0x3e,0x33,0x33,0x33,0x6e,0x00,
	0x00,0x00,0x1e,0x33,0x3f,0x03,0x1e,0x00,
	0x1c,0x36,0x06,0x0f,0x06,0x06,0x0f,0x00,
	0x00,0x00,0x6e,0x33,0x33,0x3e,0x30,0x1f,
	0x07,0x06,0x36,0x6e,0x66,0x66,0x67,0x00,
	0x0c,0x00,0x0e,0x0c,0x0c,0x0c,0x1e,0x00,
	0x30,0x00,0x30,0x30,0x30,0x33,0x33,0x1e,
	0x07,0x06,0x66,0x36,0x1e,0x36,0x67,0x00,
	0x0e,0x0c,0x0c,0x0c,0x0c,0x0c,0x1e,0x00,
	0x00,0x00,0x33,0x7f,0x7f,0x6b,0x63,0x00,
	0x00,0x00,0x1f,0x33,0x33,0x33,0x33,0x00,
	0x00,0x00,0x1e,0x33,0x33,0x33,0x1e,0x00,
	0x00,0x00,0x3b,0x66,0x66,0x3e,0x06,0x0f,
	0x00,0x00,0x6e,0x33,0x33,0x3e,0x30,0x78,
	0x00,0x00,0x3b,0x6e,0x66,0x06,0x0f,0x00,
	0x00,0x00,0x3e,0x03,0x1e,0x30,0x1f,0x00,
	0x08,0x0c,0x3e,0x0c,0x0c,0x2c,0x18,0x00,
	0x00,0x00,0x33,0x33,0x33,0x33,0x6e,0x00,
	0x00,0x00,0x33,0x33,0x33,0x1e,0x0c,0x00,
	0x00,0x00,0x63,0x6b,0x7f,0x7f,0x36,0x00,
	0x00,0x00,0x63,0x36,0x1c,0x36,0x63,0x00,
	0x00,0x00,0x33,0x33,0x33,0x3e,0x30,0x1f,
	0x00,0x00,0x3f,0x19,0x0c,0x26,0x3f,0x00,
	0x30,0x08,0x08,0x04,0x08,0x08,0x30,0x00,
	0x30,0x30,0x30,0x00,0x30,0x30,0x30,0x00,
	0x0c,0x10,0x10,0x20,0x10,0x10,0x0c,0x00,
	0x0c,0x92,0x60,0x00,0x00,0x00,0x00,0x00,
	0x10,0x10,0x7c,0x10,0x10,0x00,0x7c,0x00,
	0x10,0x38,0x7c,0xfe,0xfe,0x7c,0x10,0x10,
	0x00,0x6c,0xfe,0xfe,0x7c,0x38,0x10,0x00,
	0x10,0x38,0x7c,0xfe,0x7c,0x38,0x10,0x00,
	0x38,0x38,0x10,0xd6,0xfe,0xd6,0x10,0x38,
	0x3c,0x42,0xa5,0x81,0xa5,0x99,0x42,0x3c,
	0x3c,0x42,0xa5,0x81,0x99,0xa5,0x42,0x3c,
	0x20,0x10,0x08,0x04,0x08,0x10,0x20,0x3c,
	0x04,0x08,0x10,0x20,0x10,0x08,0x04,0x3c,
	0x00,0x00,0x9c,0x62,0x62,0x9c,0x00,0x00,
	0x3c,0x44,0x3c,0x44,0x44,0x3c,0x04,0x02,
	0x86,0x48,0x28,0x18,0x08,0x0c,0x0c,0x00,
	0x30,0x48,0x08,0x30,0x50,0x48,0x30,0x00,
	0x60,0x10,0x08,0x7c,0x08,0x10,0x60,0x00,
	0x68,0x60,0x10,0x08,0x38,0x40,0x30,0x00,
	0x34,0x4a,0x48,0x48,0x40,0x40,0x40,0x00,
	0x10,0x28,0x44,0x7c,0x44,0x28,0x10,0x00,
	0x00,0x04,0x04,0x04,0x44,0x44,0x38,0x00,
	0x02,0x12,0x0a,0x06,0x0a,0x52,0x22,0x00,
	0x04,0x08,0x08,0x08,0x18,0x24,0x42,0x00,
	0x24,0x24,0x24,0x24,0x5c,0x04,0x04,0x00,
	0x00,0x00,0x4c,0x48,0x28,0x18,0x08,0x00,
	0x10,0x38,0x04,0x18,0x04,0x38,0x40,0x30,
	0x00,0x18,0x24,0x42,0x42,0x24,0x18,0x00,
	0x00,0x00,0x7c,0x2a,0x28,0x28,0x28,0x00,
	0x00,0x18,0x24,0x24,0x1c,0x04,0x04,0x00,
	0x00,0x00,0x7c,0x12,0x12,0x0c,0x00,0x00,
	0x00,0x00,0x7c,0x12,0x10,0x10,0x10,0x10,
	0x00,0x40,0x26,0x24,0x24,0x24,0x18,0x00,
	0x10,0x38,0x54,0x54,0x54,0x38,0x10,0x00,
	0x00,0x00,0x46,0x28,0x10,0x28,0xc4,0x00,
	0x92,0x54,0x54,0x38,0x10,0x10,0x10,0x00,
	0x00,0x00,0x44,0x82,0x92,0x92,0x6c,0x00,
	0x38,0x44,0x82,0x82,0xc6,0x44,0xc6,0x00,
	0x78,0x08,0x08,0x08,0x0a,0x0c,0x08,0x00,
	0x00,0x10,0x00,0x7c,0x00,0x10,0x00,0x00,
	0x7e,0x04,0x08,0x30,0x08,0x04,0x7e,0x00,
	0x00,0x4c,0x32,0x00,0x4c,0x32,0x00,0x00,
	0x00,0x00,0x10,0x28,0x44,0xfe,0x00,0x00,
	0x20,0x10,0x08,0x08,0x10,0x10,0x08,0x04,
	0x80,0x40,0xfe,0x10,0xfe,0x04,0x02,0x00,
	0x08,0x10,0x20,0x7c,0x08,0x10,0x20,0x00,
	0xfc,0x4a,0x24,0x10,0x48,0xa4,0x42,0x00,
	0x38,0x44,0x82,0x82,0xfe,0x44,0x44,0xc6,
	0x00,0x00,0x6c,0x92,0x92,0x6c,0x00,0x00,
	0x00,0x40,0x20,0x12,0x0a,0x06,0x02,0x00,
	0x78,0x04,0x38,0x44,0x38,0x40,0x3c,0x00,
	0x44,0xaa,0x54,0x28,0x54,0xaa,0x44,0x00,
	0x3c,0x42,0x99,0x85,0x85,0x99,0x42,0x3c,
	0x42,0x24,0x18,0x24,0x18,0x24,0x42,0x00,
	0x7c,0x52,0x52,0x5c,0x50,0x50,0x50,0x50,
	0x10,0x38,0x54,0x14,0x54,0x38,0x10,0x00,
	0x3c,0x5e,0xa5,0xa5,0x9d,0x95,0x66,0x3c,
	0xfa,0x06,0xc6,0x46,0x26,0xde,0x06,0xfa,
	0xff,0x20,0xc0,0x3f,0x40,0x3f,0x20,0x1f,
	0x3f,0x40,0x3f,0x00,0x00,0x00,0x00,0x00,
	0x1e,0x22,0x22,0x1e,0x52,0x22,0xd2,0x00,
	0x06,0x41,0x21,0x16,0x68,0x94,0x92,0x60,
	0x70,0x60,0x50,0x0e,0x09,0x09,0x06,0x00,
	0x38,0x44,0x44,0x44,0x38,0x10,0x38,0x10,
	0x70,0x10,0x10,0x70,0x00,0x00,0x00,0x00,
	0xff,0xc7,0xbb,0xcf,0xef,0xff,0xef,0xff,
	0x10,0x28,0x10,0x38,0x54,0x10,0x28,0x44,
	0x10,0x28,0x10,0x38,0x54,0x28,0x7c,0x28,
	0x10,0x10,0x38,0x28,0x28,0x6c,0xfe,0xc6,
	0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,
	0xf3,0xe1,0xe1,0xf3,0xf3,0xff,0xf3,0xff,
	0xc9,0xc9,0xc9,0xff,0xff,0xff,0xff,0xff,
	0xc9,0xc9,0x80,0xc9,0x80,0xc9,0xc9,0xff,
	0xf3,0xc1,0xfc,0xe1,0xcf,0xe0,0xf3,0xff,
	0xff,0xc9,0xcc,0xe7,0xf3,0x99,0x9c,0xff,
	0xe3,0xc9,0xe3,0x91,0xc4,0xcc,0x91,0xff,
	0xf9,0xf9,0xfc,0xff,0xff,0xff,0xff,0xff,
	0xe7,0xf3,0xf9,0xf9,0xf9,0xf3,0xe7,0xff,
	0xf9,0xf3,0xe7,0xe7,0xe7,0xf3,0xf9,0xff,
	0xff,0x99,0xc3,0x00,0xc3,0x99,0xff,0xff,
	0xff,0xf3,0xf3,0xc0,0xf3,0xf3,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xf3,0xf3,0xf9,
	0xff,0xff,0xff,0xc0,0xff,0xff,0xff,0xff,
	0xff,0xff,0xff,0xff,0xff,0xf3,0xf3,0xff,
	0xff,0x9f,0xcf,0xe7,0xf3,0xf9,0xfc,0xff,
	0xc1,0x9c,0x9c,0x94,0x9c,0x9c,0xc1,0xff,
	0xf3,0xf1,0xf3,0xf3,0xf3,0xf3,0xc0,0xff,
	0xe1,0xcc,0xcf,0xe3,0xf9,0xcc,0xc0,0xff,
	0xe1,0xcc,0xcf,0xe3,0xcf,0xcc,0xe1,0xff,
	0xc7,0xc3,0xc9,0xcc,0x80,0xcf,0x87,0xff,
	0xc0,0xfc,0xe0,0xcf,0xcf,0xcf,0xe1,0xff,
	0xe3,0xf9,0xfc,0xe0,0xcc,0xcc,0xe1,0xff,
	0xc0,0xcc,0xcf,0xe7,0xf3,0xf3,0xf3,0xff,
	0xe1,0xcc,0xcc,0xe1,0xcc,0xcc,0xe1,0xff,
	0xe1,0xcc,0xcc,0xc1,0xcf,0xe7,0xf1,0xff,
	0xff,0xf3,0xf3,0xff,0xff,0xf3,0xf3,0xff,
	0xff,0xf3,0xf3,0xff,0xff,0xf3,0xf3,0xf9,
	0xe7,0xf3,0xf9,0xfc,0xf9,0xf3,0xe7,0xff,
	0xff,0xff,0xc0,0xff,0xc0,0xff,0xff,0xff,
	0xf9,0xf3,0xe7,0xcf,0xe7,0xf3,0xf9,0xff,
	0xe1,0xcc,0xcf,0xe7,0xf3,0xff,0xf3,0xff,
	0xc1,0x9c,0x84,0x84,0x84,0xfc,0xe1,0xff,
	0xf3,0xe1,0xcc,0xcc,0xc0,0xcc,0xcc,0xff,
	0xc0,0x99,0x99,0xc1,0x99,0x99,0xc0,0xff,
	0xc3,0x99,0xfc,0xfc,0xfc,0x99,0xc3,0xff,
	0xe0,0xc9,0x99,0x99,0x99,0xc9,0xe0,0xff,
	0x80,0xb9,0xe9,0xe1,0xe9,0xb9,0x80,0xff,
	0x80,0xb9,0xe9,0xe1,0xe9,0xf9,0xf0,0xff,
	0xc3,0x99,0xfc,0xfc,0x8c,0x99,0xc3,0xff,
	0xcc,0xcc,0xcc,0xc0,0xcc,0xcc,0xcc,0xff,
	0xe1,0xf3,0xf3,0xf3,0xf3,0xf3,0xe1,0xff,
	0x87,0xcf,0xcf,0xcf,0xcc,0xcc,0xe1,0xff,
	0x98,0x99,0xc9,0xe1,0xc9,0x99,0x98,0xff,
	0xf0,0xf9,0xf9,0xf9,0xb9,0x99,0x80,0xff,
	0x9c,0x88,0x80,0x80,0x94,0x9c,0x9c,0xff,
	0x9c,0x98,0x90,0x84,0x8c,0x9c,0x9c,0xff,
	0xc1,0x9c,0x9c,0x9c,0x9c,0x9c,0xc1,0xff,
	0xc0,0x99,0x99,0xc1,0xf9,0xf9,0xf0,0xff,
	0xe1,0xcc,0xcc,0xcc,0xc4,0xe1,0xc7,0xff,
	0xc0,0x99,0x99,0xc1,0xc9,0x99,0x98,0xff,
	0xe1,0xcc,0xf8,0xf1,0xc7,0xcc,0xe1,0xff,
	0xc0,0xd2,0xf3,0xf3,0xf3,0xf3,0xe1,0xff,
	0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xc0,0xff,
	0xcc,0xcc,0xcc,0xcc,0xcc,0xe1,0xf3,0xff,
	0x9c,0x9c,0x9c,0x94,0x80,0x88,0x9c,0xff,
	0x9c,0x9c,0xc9,0xe3,0xe3,0xc9,0x9c,0xff,
	0xcc,0xcc,0xcc,0xe1,0xf3,0xf3,0xe1,0xff,
	0x80,0x9c,0xce,0xe7,0xb3,0x99,0x80,0xff,
	0xc3,0xfb,0xfb,0xfb,0xfb,0xfb,0xc3,0xff,
	0xff,0xf9,0xf3,0xe7,0xcf,0x9f,0x3f,0xff,
	0xc3,0xdf,0xdf,0xdf,0xdf,0xdf,0xc3,0xff,
	0xef,0xc7,0x93,0x39,0xff,0xff,0xff,0xff,
	0x1c,0x2a,0x3e,0x14,0x1c,0x63,0x1c,0x63
},


{
/* CG 3 - for Model I */
/* Source: BDF font from Al Petrofsky, probably adapted from another emulator.
   This is not the real Model I font, which used a 6x12 matrix;
   it seems to be a modified version of the 8x12 Model III font.
*/
	0x7c,0x82,0x80,0x8c,0x92,0x92,0x7c,0x00,
	0x30,0x48,0x84,0x84,0xfc,0x84,0x84,0x00,
	0x7c,0x88,0x88,0x78,0x88,0x88,0x7c,0x00,
	0x78,0x84,0x04,0x04,0x04,0x84,0x78,0x00,
	0x7c,0x88,0x88,0x88,0x88,0x88,0x7c,0x00,
	0xfc,0x04,0x04,0x3c,0x04,0x04,0xfc,0x00,
	0xfc,0x04,0x04,0x3c,0x04,0x04,0x04,0x00,
	0xf8,0x04,0x04,0xe4,0x84,0x84,0xf8,0x00,
	0x84,0x84,0x84,0xfc,0x84,0x84,0x84,0x00,
	0x38,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x80,0x80,0x80,0x80,0x80,0x84,0x78,0x00,
	0x84,0x44,0x24,0x1c,0x24,0x44,0x84,0x00,
	0x04,0x04,0x04,0x04,0x04,0x04,0xfc,0x00,
	0x82,0xc6,0xaa,0x92,0x82,0x82,0x82,0x00,
	0x84,0x8c,0x94,0xa4,0xc4,0x84,0x84,0x00,
	0x78,0x84,0x84,0x84,0x84,0x84,0x78,0x00,
	0x7c,0x84,0x84,0x7c,0x04,0x04,0x04,0x00,
	0x78,0x84,0x84,0x84,0xa4,0x44,0xb8,0x00,
	0x7c,0x84,0x84,0x7c,0x24,0x44,0x84,0x00,
	0x78,0x84,0x04,0x78,0x80,0x84,0x78,0x00,
	0xfe,0x10,0x10,0x10,0x10,0x10,0x10,0x00,
	0x84,0x84,0x84,0x84,0x84,0x84,0x78,0x00,
	0x82,0x82,0x82,0x82,0x44,0x28,0x10,0x00,
	0x82,0x82,0x82,0x92,0xaa,0xc6,0x82,0x00,
	0x84,0x84,0x48,0x30,0x48,0x84,0x84,0x00,
	0x82,0x82,0x44,0x38,0x10,0x10,0x10,0x00,
	0xfe,0x40,0x20,0x10,0x08,0x04,0xfe,0x00,
	0x10,0x38,0x54,0x92,0x10,0x10,0x10,0x00,
	0x10,0x10,0x10,0x92,0x54,0x38,0x10,0x00,
	0x00,0x08,0x04,0xfe,0x04,0x08,0x00,0x00,
	0x00,0x20,0x40,0xfe,0x40,0x20,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xfe,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x10,0x10,0x10,0x10,0x10,0x00,0x10,0x00,
	0x48,0x48,0x48,0x00,0x00,0x00,0x00,0x00,
	0x48,0x48,0xfc,0x48,0xfc,0x48,0x48,0x00,
	0x10,0xfc,0x12,0x7c,0x90,0x7e,0x10,0x00,
	0x00,0x8c,0x40,0x20,0x10,0x08,0xc4,0x00,
	0x38,0x44,0x28,0x18,0xa4,0x44,0xb8,0x00,
	0x30,0x30,0x10,0x08,0x00,0x00,0x00,0x00,
	0x20,0x10,0x08,0x08,0x08,0x10,0x20,0x00,
	0x08,0x10,0x20,0x20,0x20,0x10,0x08,0x00,
	0x10,0x54,0x38,0xfe,0x38,0x54,0x10,0x00,
	0x00,0x10,0x10,0x7c,0x10,0x10,0x00,0x00,
	0x00,0x00,0x00,0x00,0x30,0x30,0x10,0x08,
	0x00,0x00,0x00,0xfc,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x18,0x00,
	0x00,0x40,0x20,0x10,0x08,0x04,0x00,0x00,
	0x78,0x84,0xc4,0xa4,0x94,0x8c,0x78,0x00,
	0x10,0x18,0x10,0x10,0x10,0x10,0x38,0x00,
	0x78,0x84,0x80,0x78,0x04,0x04,0xfc,0x00,
	0x78,0x84,0x80,0x70,0x80,0x84,0x78,0x00,
	0x40,0x60,0x50,0x48,0xfc,0x40,0x40,0x00,
	0xfc,0x04,0x7c,0x80,0x80,0x84,0x78,0x00,
	0x70,0x08,0x04,0x7c,0x84,0x84,0x78,0x00,
	0xfc,0x80,0x40,0x20,0x10,0x10,0x10,0x00,
	0x78,0x84,0x84,0x78,0x84,0x84,0x78,0x00,
	0x78,0x84,0x84,0xf8,0x80,0x40,0x38,0x00,
	0x00,0x30,0x00,0x00,0x00,0x30,0x00,0x00,
	0x00,0x30,0x00,0x00,0x30,0x30,0x10,0x08,
	0x40,0x20,0x10,0x08,0x10,0x20,0x40,0x00,
	0x00,0x00,0xfc,0x00,0xfc,0x00,0x00,0x00,
	0x08,0x10,0x20,0x40,0x20,0x10,0x08,0x00,
	0x3c,0x42,0x40,0x30,0x08,0x00,0x08,0x00,
	0x7c,0x82,0x80,0x8c,0x92,0x92,0x7c,0x00,
	0x30,0x48,0x84,0x84,0xfc,0x84,0x84,0x00,
	0x7c,0x88,0x88,0x78,0x88,0x88,0x7c,0x00,
	0x78,0x84,0x04,0x04,0x04,0x84,0x78,0x00,
	0x7c,0x88,0x88,0x88,0x88,0x88,0x7c,0x00,
	0xfc,0x04,0x04,0x3c,0x04,0x04,0xfc,0x00,
	0xfc,0x04,0x04,0x3c,0x04,0x04,0x04,0x00,
	0xf8,0x04,0x04,0xe4,0x84,0x84,0xf8,0x00,
	0x84,0x84,0x84,0xfc,0x84,0x84,0x84,0x00,
	0x38,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x80,0x80,0x80,0x80,0x80,0x84,0x78,0x00,
	0x84,0x44,0x24,0x1c,0x24,0x44,0x84,0x00,
	0x04,0x04,0x04,0x04,0x04,0x04,0xfc,0x00,
	0x82,0xc6,0xaa,0x92,0x82,0x82,0x82,0x00,
	0x84,0x8c,0x94,0xa4,0xc4,0x84,0x84,0x00,
	0x78,0x84,0x84,0x84,0x84,0x84,0x78,0x00,
	0x7c,0x84,0x84,0x7c,0x04,0x04,0x04,0x00,
	0x78,0x84,0x84,0x84,0xa4,0x44,0xb8,0x00,
	0x7c,0x84,0x84,0x7c,0x24,0x44,0x84,0x00,
	0x78,0x84,0x04,0x78,0x80,0x84,0x78,0x00,
	0xfe,0x10,0x10,0x10,0x10,0x10,0x10,0x00,
	0x84,0x84,0x84,0x84,0x84,0x84,0x78,0x00,
	0x82,0x82,0x82,0x82,0x44,0x28,0x10,0x00,
	0x82,0x82,0x82,0x92,0xaa,0xc6,0x82,0x00,
	0x84,0x84,0x48,0x30,0x48,0x84,0x84,0x00,
	0x82,0x82,0x44,0x38,0x10,0x10,0x10,0x00,
	0xfe,0x40,0x20,0x10,0x08,0x04,0xfe,0x00,
	0x10,0x38,0x54,0x10,0x10,0x10,0x10,0x00,
	0x10,0x10,0x10,0x10,0x54,0x38,0x10,0x00,
	0x00,0x08,0x04,0xfe,0x04,0x08,0x00,0x00,
	0x00,0x20,0x40,0xfe,0x40,0x20,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xfe,
	0x30,0x48,0x08,0x1c,0x08,0x88,0x7c,0x00,
	0x00,0x00,0x78,0x80,0xf8,0x84,0xf8,0x00,
	0x04,0x04,0x74,0x8c,0x84,0x8c,0x74,0x00,
	0x00,0x00,0x78,0x84,0x04,0x84,0x78,0x00,
	0x80,0x80,0xb8,0xc4,0x84,0xc4,0xb8,0x00,
	0x00,0x00,0x78,0x84,0xfc,0x04,0x78,0x00,
	0x70,0x88,0x08,0x1c,0x08,0x08,0x08,0x00,
	0x00,0x00,0x78,0x84,0x84,0xf8,0x80,0x78,
	0x04,0x04,0x74,0x8c,0x84,0x84,0x84,0x00,
	0x10,0x00,0x18,0x10,0x10,0x10,0x38,0x00,
	0x80,0x00,0xc0,0x80,0x80,0x84,0x84,0x78,
	0x04,0x04,0x84,0x44,0x3c,0x44,0x84,0x00,
	0x18,0x10,0x10,0x10,0x10,0x10,0x38,0x00,
	0x00,0x00,0x6e,0x92,0x92,0x92,0x82,0x00,
	0x00,0x00,0x74,0x8c,0x84,0x84,0x84,0x00,
	0x00,0x00,0x78,0x84,0x84,0x84,0x78,0x00,
	0x00,0x00,0x74,0x8c,0x8c,0x74,0x04,0x04,
	0x00,0x00,0xb8,0xc4,0xc4,0xb8,0x80,0x80,
	0x00,0x00,0x74,0x8c,0x04,0x04,0x04,0x00,
	0x00,0x00,0xf8,0x04,0x78,0x80,0x7c,0x00,
	0x10,0x10,0x7c,0x10,0x10,0x90,0x60,0x00,
	0x00,0x00,0x44,0x44,0x44,0x44,0xb8,0x00,
	0x00,0x00,0x82,0x82,0x44,0x28,0x10,0x00,
	0x00,0x00,0x82,0x92,0x92,0x92,0x6c,0x00,
	0x00,0x00,0x84,0x48,0x30,0x48,0x84,0x00,
	0x00,0x00,0x84,0x84,0x84,0xf8,0x80,0x78,
	0x00,0x00,0x7c,0x20,0x10,0x08,0x7c,0x00,
	0x60,0x10,0x10,0x0c,0x10,0x10,0x60,0x00,
	0x10,0x10,0x10,0x00,0x10,0x10,0x10,0x00,
	0x0c,0x10,0x10,0x60,0x10,0x10,0x0c,0x00,
	0x82,0x44,0x38,0xfe,0x10,0xfe,0x10,0x10,
	0xaa,0x54,0xaa,0x54,0xaa,0x54,0xaa,0x54
}
};

BYTE trs_char_data[2][256][24] = {
{
/* CG 9 - for Model 4/4P */
/* Source: a Model III CG ROM, read by Todd P. Cromwell III (todd2_4.bin) */
/* I'm guessing this was a 3rd party replacement CG, not from Radio
   Shack.  The ROM was marked as "Model III/4 character
   generator". The normal ASCII characters are bold, and alternates
   are the upper case and numbers in inverse video. This ROM doesn't
   seem especially suited for the Model 4, which had inverse video in
   hardware. */
/* Letters shifted 1 line down by mann to match M4 style */
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x48,0x48,0x08,0x08,0x3e,0x3e,0x08,0x08,0x48,0x48,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x3c,0x3c,0x42,0x42,0x7e,0x7e,0x02,0x02,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x10,0x10,0x28,0x28,0x44,0x44,0x7c,0x7c,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7e,0x7e,0x40,0x40,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x28,0x28,0x00,0x00,0x38,0x38,0x44,0x44,0x44,0x44,0x44,0x44,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xb8,0xb8,0x44,0x44,0x64,0x64,0x54,0x54,0x4c,0x4c,0x44,0x44,0x3a,0x3a,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x10,0x10,0x42,0x42,0x42,0x42,0x42,0x42,0x62,0x62,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x34,0x34,0x4c,0x4c,0x44,0x44,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x20,0x20,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1c,0x1c,0x00,0x00,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7c,0x7c,0x5e,0x5e,0x22,0x22,0x22,0x22,0x1e,0x1e,0x12,0x12,0x22,0x22,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x28,0x28,0x00,0x00,0x10,0x10,0x28,0x28,0x44,0x44,0x7c,0x7c,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x10,0x10,0x28,0x28,0x44,0x44,0x7c,0x7c,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x44,0x44,0x4c,0x4c,0x54,0x54,0x64,0x64,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x28,0x28,0x38,0x38,0x44,0x44,0x44,0x44,0x44,0x44,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x90,0x90,0x68,0x68,0x64,0x64,0x54,0x54,0x4c,0x4c,0x2c,0x2c,0x12,0x12,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x3c,0x3c,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x44,0x44,0x44,0x44,0x3c,0x3c,0x44,0x44,0x44,0x44,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x62,0x62,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x18,0x18,0x24,0x24,0x24,0x24,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x54,0x54,0x50,0x50,0x38,0x38,0x14,0x14,0x54,0x54,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x14,0x14,0x00,0x00,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x08,0x08,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x00,0x00,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x02,0x02,0x3e,0x3e,0x42,0x42,0x7c,0x7c,0x40,0x40,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x7c,0x7c,0x04,0x04,0x7c,0x7c,0x04,0x04,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x78,0x78,0x24,0x24,0x64,0x64,0x3c,0x3c,0x24,0x24,0x64,0x64,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x04,0x04,0x04,0x04,0x44,0x44,0x38,0x38,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x1e,0x1e,0x1e,0x1e,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x36,0x36,0x36,0x36,0x36,0x36,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x36,0x36,0x36,0x36,0x7f,0x7f,0x36,0x36,0x7f,0x7f,0x36,0x36,0x36,0x36,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x3e,0x3e,0x03,0x03,0x1e,0x1e,0x30,0x30,0x1f,0x1f,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x36,0x36,0x33,0x33,0x18,0x18,0x0c,0x0c,0x66,0x66,0x63,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1c,0x1c,0x36,0x36,0x1c,0x1c,0x6e,0x6e,0x3b,0x3b,0x33,0x33,0x6e,0x6e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x06,0x06,0x06,0x06,0x03,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x18,0x18,0x0c,0x0c,0x06,0x06,0x06,0x06,0x06,0x06,0x0c,0x0c,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x06,0x06,0x0c,0x0c,0x18,0x18,0x18,0x18,0x18,0x18,0x0c,0x0c,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x66,0x66,0x3c,0x3c,0xff,0xff,0x3c,0x3c,0x66,0x66,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x0c,0x0c,0x0c,0x0c,0x3f,0x3f,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0c,0x0c,0x0c,0x0c,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x60,0x60,0x30,0x30,0x18,0x18,0x0c,0x0c,0x06,0x06,0x03,0x03,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3e,0x3e,0x63,0x63,0x63,0x63,0x6b,0x6b,0x63,0x63,0x63,0x63,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x0e,0x0e,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x33,0x33,0x30,0x30,0x1c,0x1c,0x06,0x06,0x33,0x33,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x33,0x33,0x30,0x30,0x1c,0x1c,0x30,0x30,0x33,0x33,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x3c,0x3c,0x36,0x36,0x33,0x33,0x7f,0x7f,0x30,0x30,0x78,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3f,0x3f,0x03,0x03,0x1f,0x1f,0x30,0x30,0x30,0x30,0x30,0x30,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1c,0x1c,0x06,0x06,0x03,0x03,0x1f,0x1f,0x33,0x33,0x33,0x33,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3f,0x3f,0x33,0x33,0x30,0x30,0x18,0x18,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x33,0x33,0x33,0x33,0x1e,0x1e,0x33,0x33,0x33,0x33,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x33,0x33,0x33,0x33,0x3e,0x3e,0x30,0x30,0x18,0x18,0x0e,0x0e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x00,0x00,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x00,0x00,0x0c,0x0c,0x0c,0x0c,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x18,0x18,0x0c,0x0c,0x06,0x06,0x03,0x03,0x06,0x06,0x0c,0x0c,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3f,0x3f,0x00,0x00,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x06,0x06,0x0c,0x0c,0x18,0x18,0x30,0x30,0x18,0x18,0x0c,0x0c,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x33,0x33,0x30,0x30,0x18,0x18,0x0c,0x0c,0x00,0x00,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3e,0x3e,0x63,0x63,0x7b,0x7b,0x7b,0x7b,0x7b,0x7b,0x03,0x03,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x1e,0x1e,0x33,0x33,0x33,0x33,0x3f,0x3f,0x33,0x33,0x33,0x33,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3f,0x3f,0x66,0x66,0x66,0x66,0x3e,0x3e,0x66,0x66,0x66,0x66,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x66,0x66,0x03,0x03,0x03,0x03,0x03,0x03,0x66,0x66,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1f,0x1f,0x36,0x36,0x66,0x66,0x66,0x66,0x66,0x66,0x36,0x36,0x1f,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7f,0x7f,0x46,0x46,0x16,0x16,0x1e,0x1e,0x16,0x16,0x46,0x46,0x7f,0x7f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7f,0x7f,0x46,0x46,0x16,0x16,0x1e,0x1e,0x16,0x16,0x06,0x06,0x0f,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x66,0x66,0x03,0x03,0x03,0x03,0x73,0x73,0x66,0x66,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x33,0x33,0x33,0x33,0x33,0x33,0x3f,0x3f,0x33,0x33,0x33,0x33,0x33,0x33,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x78,0x78,0x30,0x30,0x30,0x30,0x30,0x30,0x33,0x33,0x33,0x33,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x67,0x67,0x66,0x66,0x36,0x36,0x1e,0x1e,0x36,0x36,0x66,0x66,0x67,0x67,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0f,0x0f,0x06,0x06,0x06,0x06,0x06,0x06,0x46,0x46,0x66,0x66,0x7f,0x7f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x63,0x63,0x77,0x77,0x7f,0x7f,0x7f,0x7f,0x6b,0x6b,0x63,0x63,0x63,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x63,0x63,0x67,0x67,0x6f,0x6f,0x7b,0x7b,0x73,0x73,0x63,0x63,0x63,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3e,0x3e,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x63,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3f,0x3f,0x66,0x66,0x66,0x66,0x3e,0x3e,0x06,0x06,0x06,0x06,0x0f,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x33,0x33,0x33,0x33,0x33,0x33,0x3b,0x3b,0x1e,0x1e,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3f,0x3f,0x66,0x66,0x66,0x66,0x3e,0x3e,0x36,0x36,0x66,0x66,0x67,0x67,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x33,0x33,0x07,0x07,0x0e,0x0e,0x38,0x38,0x33,0x33,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3f,0x3f,0x2d,0x2d,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x1e,0x1e,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x63,0x63,0x63,0x63,0x63,0x63,0x6b,0x6b,0x7f,0x7f,0x77,0x77,0x63,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x63,0x63,0x63,0x63,0x36,0x36,0x1c,0x1c,0x1c,0x1c,0x36,0x36,0x63,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x33,0x33,0x33,0x33,0x33,0x33,0x1e,0x1e,0x0c,0x0c,0x0c,0x0c,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7f,0x7f,0x63,0x63,0x31,0x31,0x18,0x18,0x4c,0x4c,0x66,0x66,0x7f,0x7f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x06,0x06,0x0c,0x0c,0x18,0x18,0x30,0x30,0x60,0x60,0xc0,0xc0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x6c,0x6c,0xc6,0xc6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x18,0x18,0x30,0x30,0x60,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x1e,0x1e,0x30,0x30,0x3e,0x3e,0x33,0x33,0x6e,0x6e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x07,0x07,0x06,0x06,0x3e,0x3e,0x66,0x66,0x66,0x66,0x66,0x66,0x3b,0x3b,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x1e,0x1e,0x33,0x33,0x03,0x03,0x33,0x33,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x30,0x30,0x3e,0x3e,0x33,0x33,0x33,0x33,0x33,0x33,0x6e,0x6e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x1e,0x1e,0x33,0x33,0x3f,0x3f,0x03,0x03,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1c,0x1c,0x36,0x36,0x06,0x06,0x0f,0x0f,0x06,0x06,0x06,0x06,0x0f,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x6e,0x6e,0x33,0x33,0x33,0x33,0x3e,0x3e,0x30,0x30,0x1f,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x07,0x07,0x06,0x06,0x36,0x36,0x6e,0x6e,0x66,0x66,0x66,0x66,0x67,0x67,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x00,0x00,0x0e,0x0e,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x00,0x00,0x30,0x30,0x30,0x30,0x30,0x30,0x33,0x33,0x33,0x33,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x07,0x07,0x06,0x06,0x66,0x66,0x36,0x36,0x1e,0x1e,0x36,0x36,0x67,0x67,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0e,0x0e,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x0c,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x33,0x33,0x7f,0x7f,0x7f,0x7f,0x6b,0x6b,0x63,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x1f,0x1f,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x1e,0x1e,0x33,0x33,0x33,0x33,0x33,0x33,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3b,0x3b,0x66,0x66,0x66,0x66,0x3e,0x3e,0x06,0x06,0x0f,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x6e,0x6e,0x33,0x33,0x33,0x33,0x3e,0x3e,0x30,0x30,0x78,0x78,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3b,0x3b,0x6e,0x6e,0x66,0x66,0x06,0x06,0x0f,0x0f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3e,0x3e,0x03,0x03,0x1e,0x1e,0x30,0x30,0x1f,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x0c,0x0c,0x3e,0x3e,0x0c,0x0c,0x0c,0x0c,0x2c,0x2c,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x33,0x6e,0x6e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x33,0x33,0x33,0x33,0x33,0x33,0x1e,0x1e,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x63,0x63,0x6b,0x6b,0x7f,0x7f,0x7f,0x7f,0x36,0x36,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x63,0x63,0x36,0x36,0x1c,0x1c,0x36,0x36,0x63,0x63,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x33,0x33,0x33,0x33,0x33,0x33,0x3e,0x3e,0x30,0x30,0x1f,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3f,0x3f,0x19,0x19,0x0c,0x0c,0x26,0x26,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x08,0x08,0x08,0x08,0x04,0x04,0x08,0x08,0x08,0x08,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x30,0x30,0x30,0x30,0x00,0x00,0x30,0x30,0x30,0x30,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x10,0x10,0x10,0x10,0x20,0x20,0x10,0x10,0x10,0x10,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x92,0x92,0x60,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x10,0x10,0x7c,0x7c,0x10,0x10,0x10,0x10,0x00,0x00,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x7c,0x7c,0xfe,0xfe,0xfe,0xfe,0x7c,0x7c,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x6c,0x6c,0xfe,0xfe,0xfe,0xfe,0x7c,0x7c,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x7c,0x7c,0xfe,0xfe,0x7c,0x7c,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x38,0x38,0x10,0x10,0xd6,0xd6,0xfe,0xfe,0xd6,0xd6,0x10,0x10,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0xa5,0xa5,0x81,0x81,0xa5,0xa5,0x99,0x99,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0xa5,0xa5,0x81,0x81,0x99,0x99,0xa5,0xa5,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x08,0x08,0x10,0x10,0x20,0x20,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x08,0x08,0x10,0x10,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x9c,0x9c,0x62,0x62,0x62,0x62,0x9c,0x9c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x44,0x44,0x3c,0x3c,0x44,0x44,0x44,0x44,0x3c,0x3c,0x04,0x04,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x86,0x86,0x48,0x48,0x28,0x28,0x18,0x18,0x08,0x08,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x48,0x48,0x08,0x08,0x30,0x30,0x50,0x50,0x48,0x48,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x60,0x60,0x10,0x10,0x08,0x08,0x7c,0x7c,0x08,0x08,0x10,0x10,0x60,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x68,0x68,0x60,0x60,0x10,0x10,0x08,0x08,0x38,0x38,0x40,0x40,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x34,0x34,0x4a,0x4a,0x48,0x48,0x48,0x48,0x40,0x40,0x40,0x40,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x44,0x44,0x7c,0x7c,0x44,0x44,0x28,0x28,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x44,0x44,0x44,0x44,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x02,0x02,0x12,0x12,0x0a,0x0a,0x06,0x06,0x0a,0x0a,0x52,0x52,0x22,0x22,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x08,0x08,0x08,0x08,0x08,0x08,0x18,0x18,0x24,0x24,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x24,0x24,0x24,0x24,0x24,0x24,0x5c,0x5c,0x04,0x04,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x4c,0x4c,0x48,0x48,0x28,0x28,0x18,0x18,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x04,0x04,0x18,0x18,0x04,0x04,0x38,0x38,0x40,0x40,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x18,0x18,0x24,0x24,0x42,0x42,0x42,0x42,0x24,0x24,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x2a,0x2a,0x28,0x28,0x28,0x28,0x28,0x28,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x18,0x18,0x24,0x24,0x24,0x24,0x1c,0x1c,0x04,0x04,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x12,0x12,0x12,0x12,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x12,0x12,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x40,0x40,0x26,0x26,0x24,0x24,0x24,0x24,0x24,0x24,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x54,0x54,0x54,0x54,0x54,0x54,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x46,0x46,0x28,0x28,0x10,0x10,0x28,0x28,0xc4,0xc4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x92,0x92,0x54,0x54,0x54,0x54,0x38,0x38,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x44,0x44,0x82,0x82,0x92,0x92,0x92,0x92,0x6c,0x6c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x82,0x82,0x82,0x82,0xc6,0xc6,0x44,0x44,0xc6,0xc6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x78,0x78,0x08,0x08,0x08,0x08,0x08,0x08,0x0a,0x0a,0x0c,0x0c,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x10,0x10,0x00,0x00,0x7c,0x7c,0x00,0x00,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x04,0x04,0x08,0x08,0x30,0x30,0x08,0x08,0x04,0x04,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x28,0x28,0x44,0x44,0xfe,0xfe,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x08,0x08,0x08,0x08,0x10,0x10,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0x80,0x40,0x40,0xfe,0xfe,0x10,0x10,0xfe,0xfe,0x04,0x04,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x10,0x10,0x20,0x20,0x7c,0x7c,0x08,0x08,0x10,0x10,0x20,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xfc,0xfc,0x4a,0x4a,0x24,0x24,0x10,0x10,0x48,0x48,0xa4,0xa4,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x82,0x82,0x82,0x82,0xfe,0xfe,0x44,0x44,0x44,0x44,0xc6,0xc6,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x6c,0x6c,0x92,0x92,0x92,0x92,0x6c,0x6c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x40,0x40,0x20,0x20,0x12,0x12,0x0a,0x0a,0x06,0x06,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x78,0x78,0x04,0x04,0x38,0x38,0x44,0x44,0x38,0x38,0x40,0x40,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x44,0x44,0xaa,0xaa,0x54,0x54,0x28,0x28,0x54,0x54,0xaa,0xaa,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x99,0x99,0x85,0x85,0x85,0x85,0x99,0x99,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x24,0x24,0x18,0x18,0x24,0x24,0x18,0x18,0x24,0x24,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7c,0x7c,0x52,0x52,0x52,0x52,0x5c,0x5c,0x50,0x50,0x50,0x50,0x50,0x50,0x50,0x50,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x54,0x54,0x14,0x14,0x54,0x54,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x5e,0x5e,0xa5,0xa5,0xa5,0xa5,0x9d,0x9d,0x95,0x95,0x66,0x66,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xfa,0xfa,0x06,0x06,0xc6,0xc6,0x46,0x46,0x26,0x26,0xde,0xde,0x06,0x06,0xfa,0xfa,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0x20,0x20,0xc0,0xc0,0x3f,0x3f,0x40,0x40,0x3f,0x3f,0x20,0x20,0x1f,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3f,0x3f,0x40,0x40,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x22,0x22,0x22,0x22,0x1e,0x1e,0x52,0x52,0x22,0x22,0xd2,0xd2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x06,0x06,0x41,0x41,0x21,0x21,0x16,0x16,0x68,0x68,0x94,0x94,0x92,0x92,0x60,0x60,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x70,0x70,0x60,0x60,0x50,0x50,0x0e,0x0e,0x09,0x09,0x09,0x09,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x44,0x44,0x44,0x44,0x38,0x38,0x10,0x10,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x70,0x70,0x10,0x10,0x10,0x10,0x70,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xc7,0xc7,0xbb,0xbb,0xcf,0xcf,0xef,0xef,0xff,0xff,0xef,0xef,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x10,0x10,0x38,0x38,0x54,0x54,0x10,0x10,0x28,0x28,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x10,0x10,0x38,0x38,0x54,0x54,0x28,0x28,0x7c,0x7c,0x28,0x28,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x10,0x10,0x38,0x38,0x28,0x28,0x28,0x28,0x6c,0x6c,0xfe,0xfe,0xc6,0xc6,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xf3,0xf3,0xe1,0xe1,0xe1,0xe1,0xf3,0xf3,0xf3,0xf3,0xff,0xff,0xf3,0xf3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc9,0xc9,0xc9,0xc9,0xc9,0xc9,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc9,0xc9,0xc9,0xc9,0x80,0x80,0xc9,0xc9,0x80,0x80,0xc9,0xc9,0xc9,0xc9,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xf3,0xf3,0xc1,0xc1,0xfc,0xfc,0xe1,0xe1,0xcf,0xcf,0xe0,0xe0,0xf3,0xf3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xc9,0xc9,0xcc,0xcc,0xe7,0xe7,0xf3,0xf3,0x99,0x99,0x9c,0x9c,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe3,0xe3,0xc9,0xc9,0xe3,0xe3,0x91,0x91,0xc4,0xc4,0xcc,0xcc,0x91,0x91,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xf9,0xf9,0xf9,0xf9,0xfc,0xfc,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe7,0xe7,0xf3,0xf3,0xf9,0xf9,0xf9,0xf9,0xf9,0xf9,0xf3,0xf3,0xe7,0xe7,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xf9,0xf9,0xf3,0xf3,0xe7,0xe7,0xe7,0xe7,0xe7,0xe7,0xf3,0xf3,0xf9,0xf9,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0x99,0x99,0xc3,0xc3,0x00,0x00,0xc3,0xc3,0x99,0x99,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xf3,0xf3,0xf3,0xf3,0xc0,0xc0,0xf3,0xf3,0xf3,0xf3,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf3,0xf3,0xf3,0xf3,0xf9,0xf9,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xc0,0xc0,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xf3,0xf3,0xf3,0xf3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0x9f,0x9f,0xcf,0xcf,0xe7,0xe7,0xf3,0xf3,0xf9,0xf9,0xfc,0xfc,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc1,0xc1,0x9c,0x9c,0x9c,0x9c,0x94,0x94,0x9c,0x9c,0x9c,0x9c,0xc1,0xc1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xf3,0xf3,0xf1,0xf1,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xc0,0xc0,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe1,0xe1,0xcc,0xcc,0xcf,0xcf,0xe3,0xe3,0xf9,0xf9,0xcc,0xcc,0xc0,0xc0,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe1,0xe1,0xcc,0xcc,0xcf,0xcf,0xe3,0xe3,0xcf,0xcf,0xcc,0xcc,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc7,0xc7,0xc3,0xc3,0xc9,0xc9,0xcc,0xcc,0x80,0x80,0xcf,0xcf,0x87,0x87,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc0,0xc0,0xfc,0xfc,0xe0,0xe0,0xcf,0xcf,0xcf,0xcf,0xcf,0xcf,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe3,0xe3,0xf9,0xf9,0xfc,0xfc,0xe0,0xe0,0xcc,0xcc,0xcc,0xcc,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc0,0xc0,0xcc,0xcc,0xcf,0xcf,0xe7,0xe7,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe1,0xe1,0xcc,0xcc,0xcc,0xcc,0xe1,0xe1,0xcc,0xcc,0xcc,0xcc,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe1,0xe1,0xcc,0xcc,0xcc,0xcc,0xc1,0xc1,0xcf,0xcf,0xe7,0xe7,0xf1,0xf1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xf3,0xf3,0xf3,0xf3,0xff,0xff,0xff,0xff,0xf3,0xf3,0xf3,0xf3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xf3,0xf3,0xf3,0xf3,0xff,0xff,0xff,0xff,0xf3,0xf3,0xf3,0xf3,0xf9,0xf9,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe7,0xe7,0xf3,0xf3,0xf9,0xf9,0xfc,0xfc,0xf9,0xf9,0xf3,0xf3,0xe7,0xe7,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xff,0xff,0xc0,0xc0,0xff,0xff,0xc0,0xc0,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xf9,0xf9,0xf3,0xf3,0xe7,0xe7,0xcf,0xcf,0xe7,0xe7,0xf3,0xf3,0xf9,0xf9,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe1,0xe1,0xcc,0xcc,0xcf,0xcf,0xe7,0xe7,0xf3,0xf3,0xff,0xff,0xf3,0xf3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc1,0xc1,0x9c,0x9c,0x84,0x84,0x84,0x84,0x84,0x84,0xfc,0xfc,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xf3,0xf3,0xe1,0xe1,0xcc,0xcc,0xcc,0xcc,0xc0,0xc0,0xcc,0xcc,0xcc,0xcc,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc0,0xc0,0x99,0x99,0x99,0x99,0xc1,0xc1,0x99,0x99,0x99,0x99,0xc0,0xc0,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc3,0xc3,0x99,0x99,0xfc,0xfc,0xfc,0xfc,0xfc,0xfc,0x99,0x99,0xc3,0xc3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe0,0xe0,0xc9,0xc9,0x99,0x99,0x99,0x99,0x99,0x99,0xc9,0xc9,0xe0,0xe0,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0x80,0xb9,0xb9,0xe9,0xe9,0xe1,0xe1,0xe9,0xe9,0xb9,0xb9,0x80,0x80,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0x80,0xb9,0xb9,0xe9,0xe9,0xe1,0xe1,0xe9,0xe9,0xf9,0xf9,0xf0,0xf0,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc3,0xc3,0x99,0x99,0xfc,0xfc,0xfc,0xfc,0x8c,0x8c,0x99,0x99,0xc3,0xc3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xc0,0xc0,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe1,0xe1,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x87,0x87,0xcf,0xcf,0xcf,0xcf,0xcf,0xcf,0xcc,0xcc,0xcc,0xcc,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x98,0x98,0x99,0x99,0xc9,0xc9,0xe1,0xe1,0xc9,0xc9,0x99,0x99,0x98,0x98,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xf0,0xf0,0xf9,0xf9,0xf9,0xf9,0xf9,0xf9,0xb9,0xb9,0x99,0x99,0x80,0x80,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x9c,0x9c,0x88,0x88,0x80,0x80,0x80,0x80,0x94,0x94,0x9c,0x9c,0x9c,0x9c,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x9c,0x9c,0x98,0x98,0x90,0x90,0x84,0x84,0x8c,0x8c,0x9c,0x9c,0x9c,0x9c,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc1,0xc1,0x9c,0x9c,0x9c,0x9c,0x9c,0x9c,0x9c,0x9c,0x9c,0x9c,0xc1,0xc1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc0,0xc0,0x99,0x99,0x99,0x99,0xc1,0xc1,0xf9,0xf9,0xf9,0xf9,0xf0,0xf0,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe1,0xe1,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xc4,0xc4,0xe1,0xe1,0xc7,0xc7,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc0,0xc0,0x99,0x99,0x99,0x99,0xc1,0xc1,0xc9,0xc9,0x99,0x99,0x98,0x98,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xe1,0xe1,0xcc,0xcc,0xf8,0xf8,0xf1,0xf1,0xc7,0xc7,0xcc,0xcc,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc0,0xc0,0xd2,0xd2,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xf3,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xc0,0xc0,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xe1,0xe1,0xf3,0xf3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x9c,0x9c,0x9c,0x9c,0x9c,0x9c,0x94,0x94,0x80,0x80,0x88,0x88,0x9c,0x9c,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x9c,0x9c,0x9c,0x9c,0xc9,0xc9,0xe3,0xe3,0xe3,0xe3,0xc9,0xc9,0x9c,0x9c,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xcc,0xcc,0xcc,0xcc,0xcc,0xcc,0xe1,0xe1,0xf3,0xf3,0xf3,0xf3,0xe1,0xe1,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0x80,0x9c,0x9c,0xce,0xce,0xe7,0xe7,0xb3,0xb3,0x99,0x99,0x80,0x80,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc3,0xc3,0xfb,0xfb,0xfb,0xfb,0xfb,0xfb,0xfb,0xfb,0xfb,0xfb,0xc3,0xc3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xf9,0xf9,0xf3,0xf3,0xe7,0xe7,0xcf,0xcf,0x9f,0x9f,0x3f,0x3f,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xc3,0xc3,0xdf,0xdf,0xdf,0xdf,0xdf,0xdf,0xdf,0xdf,0xdf,0xdf,0xc3,0xc3,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xef,0xef,0xc7,0xc7,0x93,0x93,0x39,0x39,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1c,0x1c,0x2a,0x2a,0x3e,0x3e,0x14,0x14,0x1c,0x1c,0x63,0x63,0x1c,0x1c,0x63,0x63,0x00,0x00,0x00,0x00,0x00,0x00,
},

{
/* CG 7 - for Model 4/4P */
/* Source: A model III CG ROM, read by Todd P. Cromwell III (todd2.bin) */
/* This is the older CG with Katakana alternate characters */
/* Letters shifted 1 line down by mann to match M4 style */
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x48,0x48,0x08,0x08,0x3e,0x3e,0x08,0x08,0x48,0x48,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x3c,0x3c,0x42,0x42,0x7e,0x7e,0x02,0x02,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x10,0x10,0x28,0x28,0x44,0x44,0x7c,0x7c,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7e,0x7e,0x40,0x40,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x28,0x28,0x00,0x00,0x38,0x38,0x44,0x44,0x44,0x44,0x44,0x44,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xb8,0xb8,0x44,0x44,0x64,0x64,0x54,0x54,0x4c,0x4c,0x44,0x44,0x3a,0x3a,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x10,0x10,0x42,0x42,0x42,0x42,0x42,0x42,0x62,0x62,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x34,0x34,0x4c,0x4c,0x44,0x44,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x20,0x20,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1c,0x1c,0x00,0x00,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7c,0x7c,0x5e,0x5e,0x22,0x22,0x22,0x22,0x1e,0x1e,0x12,0x12,0x22,0x22,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x28,0x28,0x00,0x00,0x10,0x10,0x28,0x28,0x44,0x44,0x7c,0x7c,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x10,0x10,0x28,0x28,0x44,0x44,0x7c,0x7c,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x44,0x44,0x4c,0x4c,0x54,0x54,0x64,0x64,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x28,0x28,0x38,0x38,0x44,0x44,0x44,0x44,0x44,0x44,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x90,0x90,0x68,0x68,0x64,0x64,0x54,0x54,0x4c,0x4c,0x2c,0x2c,0x12,0x12,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x3c,0x3c,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x44,0x44,0x44,0x44,0x3c,0x3c,0x44,0x44,0x44,0x44,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x62,0x62,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x18,0x18,0x24,0x24,0x24,0x24,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x54,0x54,0x50,0x50,0x38,0x38,0x14,0x14,0x54,0x54,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x14,0x14,0x00,0x00,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x08,0x08,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x00,0x00,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x02,0x02,0x3e,0x3e,0x42,0x42,0x7c,0x7c,0x40,0x40,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x7c,0x7c,0x04,0x04,0x7c,0x7c,0x04,0x04,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x78,0x78,0x24,0x24,0x64,0x64,0x3c,0x3c,0x24,0x24,0x64,0x64,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x04,0x04,0x04,0x04,0x44,0x44,0x38,0x38,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x24,0x24,0x24,0x24,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x24,0x24,0x7e,0x7e,0x24,0x24,0x7e,0x7e,0x24,0x24,0x24,0x24,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x78,0x78,0x14,0x14,0x38,0x38,0x50,0x50,0x3c,0x3c,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x46,0x46,0x26,0x26,0x10,0x10,0x08,0x08,0x64,0x64,0x62,0x62,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x12,0x12,0x12,0x12,0x0c,0x0c,0x52,0x52,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x08,0x08,0x08,0x08,0x08,0x08,0x10,0x10,0x20,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x08,0x08,0x10,0x10,0x10,0x10,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x54,0x54,0x38,0x38,0x7c,0x7c,0x38,0x38,0x54,0x54,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x10,0x10,0x10,0x10,0x7c,0x7c,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x40,0x40,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x62,0x62,0x5a,0x5a,0x46,0x46,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x18,0x18,0x14,0x14,0x10,0x10,0x10,0x10,0x10,0x10,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x40,0x40,0x30,0x30,0x0c,0x0c,0x02,0x02,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x40,0x40,0x38,0x38,0x40,0x40,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x30,0x30,0x28,0x28,0x24,0x24,0x7e,0x7e,0x20,0x20,0x20,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x02,0x02,0x1e,0x1e,0x20,0x20,0x40,0x40,0x22,0x22,0x1c,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x04,0x04,0x02,0x02,0x3e,0x3e,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x42,0x42,0x20,0x20,0x10,0x10,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x42,0x42,0x3c,0x3c,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x42,0x42,0x7c,0x7c,0x40,0x40,0x20,0x20,0x1c,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x00,0x00,0x00,0x00,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x00,0x00,0x00,0x00,0x10,0x10,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x60,0x60,0x30,0x30,0x18,0x18,0x0c,0x0c,0x18,0x18,0x30,0x30,0x60,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7e,0x7e,0x00,0x00,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x06,0x06,0x0c,0x0c,0x18,0x18,0x30,0x30,0x18,0x18,0x0c,0x0c,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x40,0x40,0x30,0x30,0x08,0x08,0x00,0x00,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x52,0x52,0x6a,0x6a,0x32,0x32,0x04,0x04,0x78,0x78,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x18,0x18,0x24,0x24,0x42,0x42,0x7e,0x7e,0x42,0x42,0x42,0x42,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3e,0x3e,0x44,0x44,0x44,0x44,0x3c,0x3c,0x44,0x44,0x44,0x44,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x02,0x02,0x02,0x02,0x02,0x02,0x44,0x44,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x24,0x24,0x44,0x44,0x44,0x44,0x44,0x44,0x24,0x24,0x1e,0x1e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x02,0x02,0x02,0x02,0x1e,0x1e,0x02,0x02,0x02,0x02,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x02,0x02,0x02,0x02,0x1e,0x1e,0x02,0x02,0x02,0x02,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x02,0x02,0x72,0x72,0x42,0x42,0x44,0x44,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x7e,0x7e,0x42,0x42,0x42,0x42,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x70,0x70,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x22,0x22,0x1c,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x22,0x22,0x12,0x12,0x0e,0x0e,0x12,0x12,0x22,0x22,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x66,0x66,0x5a,0x5a,0x5a,0x5a,0x42,0x42,0x42,0x42,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x46,0x46,0x4a,0x4a,0x52,0x52,0x62,0x62,0x42,0x42,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3e,0x3e,0x42,0x42,0x42,0x42,0x3e,0x3e,0x02,0x02,0x02,0x02,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x42,0x42,0x42,0x42,0x52,0x52,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3e,0x3e,0x42,0x42,0x42,0x42,0x3e,0x3e,0x12,0x12,0x22,0x22,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0x02,0x02,0x3c,0x3c,0x40,0x40,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7c,0x7c,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x24,0x24,0x24,0x24,0x18,0x18,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x5a,0x5a,0x5a,0x5a,0x66,0x66,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x42,0x42,0x24,0x24,0x18,0x18,0x24,0x24,0x42,0x42,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x44,0x44,0x44,0x44,0x44,0x44,0x38,0x38,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x40,0x40,0x20,0x20,0x18,0x18,0x04,0x04,0x02,0x02,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x10,0x20,0x20,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x10,0x10,0x20,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x1c,0x1c,0x20,0x20,0x3c,0x3c,0x22,0x22,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x02,0x02,0x02,0x02,0x3a,0x3a,0x46,0x46,0x42,0x42,0x46,0x46,0x3a,0x3a,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3c,0x3c,0x42,0x42,0x02,0x02,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x40,0x40,0x40,0x40,0x5c,0x5c,0x62,0x62,0x42,0x42,0x62,0x62,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3c,0x3c,0x42,0x42,0x7e,0x7e,0x02,0x02,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x48,0x48,0x08,0x08,0x3e,0x3e,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x5c,0x5c,0x62,0x62,0x62,0x62,0x5c,0x5c,0x40,0x40,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x02,0x02,0x02,0x02,0x3a,0x3a,0x46,0x46,0x42,0x42,0x42,0x42,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x00,0x00,0x18,0x18,0x10,0x10,0x10,0x10,0x10,0x10,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x00,0x00,0x30,0x30,0x20,0x20,0x20,0x20,0x20,0x20,0x22,0x22,0x1c,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x02,0x02,0x02,0x02,0x22,0x22,0x12,0x12,0x0a,0x0a,0x16,0x16,0x22,0x22,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x18,0x18,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x6e,0x6e,0x92,0x92,0x92,0x92,0x92,0x92,0x92,0x92,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3a,0x3a,0x46,0x46,0x42,0x42,0x42,0x42,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3c,0x3c,0x42,0x42,0x42,0x42,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3a,0x3a,0x46,0x46,0x46,0x46,0x3a,0x3a,0x02,0x02,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x5c,0x5c,0x62,0x62,0x62,0x62,0x5c,0x5c,0x40,0x40,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3a,0x3a,0x46,0x46,0x02,0x02,0x02,0x02,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x02,0x02,0x3c,0x3c,0x40,0x40,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x08,0x08,0x3e,0x3e,0x08,0x08,0x08,0x08,0x48,0x48,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x62,0x62,0x5c,0x5c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x24,0x24,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x82,0x82,0x92,0x92,0x92,0x92,0x92,0x92,0x6c,0x6c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x42,0x42,0x24,0x24,0x18,0x18,0x24,0x24,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x42,0x42,0x42,0x42,0x62,0x62,0x5c,0x5c,0x40,0x40,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7e,0x7e,0x20,0x20,0x18,0x18,0x04,0x04,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x08,0x08,0x08,0x08,0x04,0x04,0x08,0x08,0x08,0x08,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x10,0x10,0x10,0x10,0x20,0x20,0x10,0x10,0x10,0x10,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0c,0x0c,0x92,0x92,0x60,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x10,0x10,0x7c,0x7c,0x10,0x10,0x10,0x10,0x00,0x00,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x7c,0x7c,0xfe,0xfe,0xfe,0xfe,0x7c,0x7c,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x6c,0x6c,0xfe,0xfe,0xfe,0xfe,0x7c,0x7c,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x7c,0x7c,0xfe,0xfe,0x7c,0x7c,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x38,0x38,0x10,0x10,0xd6,0xd6,0xfe,0xfe,0xd6,0xd6,0x10,0x10,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0xa5,0xa5,0x81,0x81,0xa5,0xa5,0x99,0x99,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0xa5,0xa5,0x81,0x81,0x99,0x99,0xa5,0xa5,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x08,0x08,0x10,0x10,0x20,0x20,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x08,0x08,0x10,0x10,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x9c,0x9c,0x62,0x62,0x62,0x62,0x9c,0x9c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x44,0x44,0x3c,0x3c,0x44,0x44,0x44,0x44,0x3c,0x3c,0x04,0x04,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x86,0x86,0x48,0x48,0x28,0x28,0x18,0x18,0x08,0x08,0x0c,0x0c,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x30,0x30,0x48,0x48,0x08,0x08,0x30,0x30,0x50,0x50,0x48,0x48,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x60,0x60,0x10,0x10,0x08,0x08,0x7c,0x7c,0x08,0x08,0x10,0x10,0x60,0x60,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x68,0x68,0x60,0x60,0x10,0x10,0x08,0x08,0x38,0x38,0x40,0x40,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x34,0x34,0x4a,0x4a,0x48,0x48,0x48,0x48,0x40,0x40,0x40,0x40,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x44,0x44,0x7c,0x7c,0x44,0x44,0x28,0x28,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x44,0x44,0x44,0x44,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x02,0x02,0x12,0x12,0x0a,0x0a,0x06,0x06,0x0a,0x0a,0x52,0x52,0x22,0x22,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x08,0x08,0x08,0x08,0x08,0x08,0x18,0x18,0x24,0x24,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x24,0x24,0x24,0x24,0x24,0x24,0x5c,0x5c,0x04,0x04,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x4c,0x4c,0x48,0x48,0x28,0x28,0x18,0x18,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x04,0x04,0x18,0x18,0x04,0x04,0x38,0x38,0x40,0x40,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x18,0x18,0x24,0x24,0x42,0x42,0x42,0x42,0x24,0x24,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x2a,0x2a,0x28,0x28,0x28,0x28,0x28,0x28,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x18,0x18,0x24,0x24,0x24,0x24,0x1c,0x1c,0x04,0x04,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x12,0x12,0x12,0x12,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x12,0x12,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x40,0x40,0x26,0x26,0x24,0x24,0x24,0x24,0x24,0x24,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x54,0x54,0x54,0x54,0x54,0x54,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x46,0x46,0x28,0x28,0x10,0x10,0x28,0x28,0xc4,0xc4,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x92,0x92,0x54,0x54,0x54,0x54,0x38,0x38,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x44,0x44,0x82,0x82,0x92,0x92,0x92,0x92,0x6c,0x6c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x82,0x82,0x82,0x82,0xc6,0xc6,0x44,0x44,0xc6,0xc6,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x78,0x78,0x08,0x08,0x08,0x08,0x08,0x08,0x0a,0x0a,0x0c,0x0c,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x10,0x10,0x00,0x00,0x7c,0x7c,0x00,0x00,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x04,0x04,0x08,0x08,0x30,0x30,0x08,0x08,0x04,0x04,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x4c,0x4c,0x32,0x32,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x28,0x28,0x44,0x44,0xfe,0xfe,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x08,0x08,0x08,0x08,0x10,0x10,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0x80,0x40,0x40,0xfe,0xfe,0x10,0x10,0xfe,0xfe,0x04,0x04,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x10,0x10,0x20,0x20,0x7c,0x7c,0x08,0x08,0x10,0x10,0x20,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xfc,0xfc,0x4a,0x4a,0x24,0x24,0x10,0x10,0x48,0x48,0xa4,0xa4,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x82,0x82,0x82,0x82,0xfe,0xfe,0x44,0x44,0x44,0x44,0xc6,0xc6,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x6c,0x6c,0x92,0x92,0x92,0x92,0x6c,0x6c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x40,0x40,0x20,0x20,0x12,0x12,0x0a,0x0a,0x06,0x06,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x78,0x78,0x04,0x04,0x38,0x38,0x44,0x44,0x38,0x38,0x40,0x40,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x44,0x44,0xaa,0xaa,0x54,0x54,0x28,0x28,0x54,0x54,0xaa,0xaa,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x42,0x42,0xb9,0xb9,0x85,0x85,0x85,0x85,0xb9,0xb9,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x24,0x24,0x18,0x18,0x24,0x24,0x18,0x18,0x24,0x24,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7c,0x7c,0x52,0x52,0x52,0x52,0x5c,0x5c,0x50,0x50,0x50,0x50,0x50,0x50,0x50,0x50,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x54,0x54,0x14,0x14,0x54,0x54,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x5e,0x5e,0xa5,0xa5,0xa5,0xa5,0x9d,0x9d,0x95,0x95,0x66,0x66,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xfa,0xfa,0x06,0x06,0xc6,0xc6,0x46,0x46,0x26,0x26,0xde,0xde,0x06,0x06,0xfa,0xfa,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0x20,0x20,0xc0,0xc0,0x3f,0x3f,0x40,0x40,0x3f,0x3f,0x20,0x20,0x1f,0x1f,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3f,0x3f,0x40,0x40,0x3f,0x3f,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1e,0x1e,0x22,0x22,0x22,0x22,0x1e,0x1e,0x52,0x52,0x22,0x22,0xd2,0xd2,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x86,0x86,0x41,0x41,0x21,0x21,0x16,0x16,0x68,0x68,0x94,0x94,0x92,0x92,0x61,0x61,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x70,0x70,0x60,0x60,0x50,0x50,0x0e,0x0e,0x09,0x09,0x09,0x09,0x06,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x44,0x44,0x44,0x44,0x44,0x44,0x38,0x38,0x10,0x10,0x38,0x38,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x70,0x70,0x10,0x10,0x10,0x10,0x70,0x70,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0xff,0xff,0xc7,0xc7,0xbb,0xbb,0xcf,0xcf,0xef,0xef,0xff,0xff,0xef,0xef,0xff,0xff,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x10,0x10,0x38,0x38,0x54,0x54,0x10,0x10,0x28,0x28,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x10,0x10,0x38,0x38,0x54,0x54,0x28,0x28,0x7c,0x7c,0x28,0x28,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x28,0x28,0x44,0x44,0x44,0x44,0x44,0x44,0x54,0x54,0x6c,0x6c,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x44,0x44,0x28,0x28,0x10,0x10,0x7c,0x7c,0x10,0x10,0x7c,0x7c,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x0a,0x0a,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7c,0x7c,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x3e,0x3e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x02,0x04,0x04,0x08,0x08,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3c,0x3c,0x20,0x20,0x3c,0x3c,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x40,0x40,0x30,0x30,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x20,0x20,0x10,0x10,0x18,0x18,0x14,0x14,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x7c,0x7c,0x44,0x44,0x40,0x40,0x20,0x20,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x38,0x10,0x10,0x10,0x10,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x10,0x3c,0x3c,0x18,0x18,0x14,0x14,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x08,0x7c,0x7c,0x48,0x48,0x08,0x08,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x38,0x38,0x20,0x20,0x20,0x20,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x40,0x40,0x78,0x78,0x40,0x40,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x54,0x54,0x54,0x54,0x44,0x44,0x20,0x20,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x40,0x40,0x28,0x28,0x18,0x18,0x08,0x08,0x08,0x08,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x40,0x40,0x20,0x20,0x10,0x10,0x18,0x18,0x14,0x14,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x7c,0x7c,0x44,0x44,0x44,0x44,0x20,0x20,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7c,0x7c,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x7e,0x7e,0x10,0x10,0x18,0x18,0x14,0x14,0x12,0x12,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x7e,0x7e,0x48,0x48,0x48,0x48,0x48,0x48,0x44,0x44,0x72,0x72,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x38,0x38,0x10,0x10,0x7c,0x7c,0x10,0x10,0x10,0x10,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7c,0x7c,0x44,0x44,0x44,0x44,0x42,0x42,0x20,0x20,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x04,0x04,0x7c,0x7c,0x14,0x14,0x12,0x12,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x24,0x24,0x7e,0x7e,0x24,0x24,0x24,0x24,0x20,0x20,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x1c,0x1c,0x40,0x40,0x4e,0x4e,0x40,0x40,0x40,0x40,0x24,0x24,0x18,0x18,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x40,0x40,0x20,0x20,0x10,0x10,0x18,0x18,0x24,0x24,0x42,0x42,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x7e,0x7e,0x48,0x48,0x28,0x28,0x08,0x08,0x48,0x48,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x44,0x44,0x48,0x48,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x42,0x42,0x42,0x42,0x50,0x50,0x20,0x20,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x50,0x50,0x3e,0x3e,0x10,0x10,0x7c,0x7c,0x10,0x10,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x00,0x00,0x7e,0x7e,0x40,0x40,0x20,0x20,0x10,0x10,0x0c,0x0c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x00,0x00,0x7c,0x7c,0x10,0x10,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x04,0x04,0x1c,0x1c,0x24,0x24,0x44,0x44,0x04,0x04,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x7c,0x7c,0x10,0x10,0x10,0x10,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x38,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x7c,0x7c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x40,0x40,0x40,0x40,0x28,0x28,0x10,0x10,0x28,0x28,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x7e,0x7e,0x40,0x40,0x20,0x20,0x30,0x30,0x58,0x58,0x14,0x14,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x60,0x60,0x40,0x40,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x20,0x20,0x50,0x50,0x50,0x50,0x50,0x50,0x48,0x48,0x44,0x44,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x02,0x02,0x02,0x02,0x7e,0x7e,0x02,0x02,0x02,0x02,0x42,0x42,0x3c,0x3c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x40,0x40,0x40,0x40,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x08,0x14,0x14,0x22,0x22,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x10,0x10,0x7c,0x7c,0x10,0x10,0x54,0x54,0x54,0x54,0x54,0x54,0x10,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x40,0x40,0x40,0x40,0x28,0x28,0x10,0x10,0x20,0x20,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x02,0x02,0x3c,0x3c,0x42,0x42,0x3c,0x3c,0x42,0x42,0x3c,0x3c,0x40,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x20,0x20,0x10,0x10,0x08,0x08,0x04,0x04,0x12,0x12,0x22,0x22,0x5e,0x5e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x40,0x40,0x44,0x44,0x28,0x28,0x10,0x10,0x28,0x28,0x04,0x04,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x08,0x08,0x3c,0x3c,0x08,0x08,0x08,0x08,0x48,0x48,0x30,0x30,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x7e,0x7e,0x48,0x48,0x28,0x28,0x08,0x08,0x08,0x08,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x3c,0x3c,0x20,0x20,0x20,0x20,0x20,0x20,0x10,0x10,0x08,0x08,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x40,0x40,0x40,0x40,0x7c,0x7c,0x40,0x40,0x40,0x40,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x54,0x54,0x54,0x54,0x44,0x44,0x40,0x40,0x20,0x20,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x22,0x22,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x0a,0x0a,0x0a,0x0a,0x0a,0x0a,0x4a,0x4a,0x4a,0x4a,0x2a,0x2a,0x1a,0x1a,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x44,0x44,0x44,0x44,0x24,0x24,0x1c,0x1c,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0x7e,0x7e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x7e,0x7e,0x42,0x42,0x42,0x42,0x40,0x40,0x20,0x20,0x10,0x10,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x4e,0x4e,0x40,0x40,0x40,0x40,0x40,0x40,0x20,0x20,0x12,0x12,0x0e,0x0e,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x08,0x08,0x12,0x12,0x24,0x24,0x08,0x08,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x04,0x04,0x0a,0x0a,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
}
};
